zenon Lizenzverwaltung 8.00

zenon Lizenzverwaltung 8.00

Um COPA-DATA Produkte einsetzen zu können, müssen diese lizenziert werden. Solange ein Produkt nicht lizenziert wurde, läuft es im Demo-Modus.

Die Lizenz wird beim Programmstart überprüft. Das Produkt wird mit den lizenzierten Modulen gestartet.
Wird beim Programmstart keine gültige Lizenz gefunden, weist ein Dialog darauf hin. Der Start kann wahlweise abgebrochen werden oder im Demo-Modus erfolgen. Steht auch keine Lizenz für den Demo-Modus zur Verfügung, kann das Produkt nicht gestartet werden. Zusätzlich kann auch die COPA-DATA Lizenzverwaltung geöffnet werden, um dem Produkt eine gültige Lizenz zuzuweisen.

info Info

Der in diesem Dokument beschriebene Mechanismus zur Lizenzierung wird für unterschiedliche Produkte angewandt. Screenshots werden dabei nicht für jedes einzelne Produkt erstellt. Es kann daher möglich sein, dass die Darstellung eines Screenshots von der Beschreibung für Ihr Produkt abweicht.

Gültigkeit

Die Informationen zur Lizenzierung gelten für:

  • zenon Produkte: ab Version 8.00
  • zenon Analyzer: ab Version 3.20

Produkte vorangegangener Versionen werden über einen anderen Mechanismus lizenziert. Informationen dazu finden Sie in der Dokumentation dieser Produkte.

Lizenzarten

Für COPA-DATA Produkte stehen Lizenzen für unterschiedliche Einsatzzwecke sowie vorkonfigurierte Bundles zur Verfügung. Zusätzlich wird jedes Produkt mit einer Demo-Lizenz ausgeliefert. Details zu Produkten, Editionen und Bundles entnehmen Sie der für Ihre Version gültigen COPA-DATA Preisliste.

Lizenzen können genutzt werden mit einem:

  • Hardware-Dongle: Frei übertragbare Lizenz auf einem Hardware-USB-Dongle.
  • Software-Dongle Standard: Rechnergebundene Lizenz auf einem Software-Dongle.
    Dabei handelt es sich um eine Datei auf dem Rechner.
  • Software-Dongle Virtual Machine: Rechnergebundene Lizenz für die Verwendung in virtuellen Maschinen.
    Dabei handelt es sich um eine Datei in einer virtuellen Maschine.

Lizenzen können:

  • Lokal oder im Netzwerk zur Verfügung stehen.
  • Mit einem fixen Ablaufdatum versehen sein.
  • Für eine bestimmte Nutzungsdauer konfiguriert sein.
  • Für ein bestimmtes Zeit-Kontingent konfiguriert sein.
  • Zurückgegeben und damit auf ein anderes System übertragen werden.

Achtung: Lizenzen mit einer bestimmten Nutzungsdauer können nicht zurückgegeben werden.

Noch in diesem Kapitel

Lizenzierung


Lizenzierung

zenon Lizenzverwaltung 8.00 > Lizenzierung

Um COPA-DATA Produkte einsetzen zu können, müssen diese lizenziert werden. Solange ein Produkt nicht lizenziert wurde, läuft es im Demo-Modus.

Die Lizenz wird beim Programmstart überprüft. Das Produkt wird mit den lizenzierten Modulen gestartet.
Wird beim Programmstart keine gültige Lizenz gefunden, weist ein Dialog darauf hin. Der Start kann wahlweise abgebrochen werden oder im Demo-Modus erfolgen. Steht auch keine Lizenz für den Demo-Modus zur Verfügung, kann das Produkt nicht gestartet werden. Zusätzlich kann auch die COPA-DATA Lizenzverwaltung geöffnet werden, um dem Produkt eine gültige Lizenz zuzuweisen.

info Info

Der in diesem Dokument beschriebene Mechanismus zur Lizenzierung wird für unterschiedliche Produkte angewandt. Screenshots werden dabei nicht für jedes einzelne Produkt erstellt. Es kann daher möglich sein, dass die Darstellung eines Screenshots von der Beschreibung für Ihr Produkt abweicht.

Gültigkeit

Die Informationen zur Lizenzierung gelten für:

  • zenon Produkte: ab Version 8.00
  • zenon Analyzer: ab Version 3.20

Produkte vorangegangener Versionen werden über einen anderen Mechanismus lizenziert. Informationen dazu finden Sie in der Dokumentation dieser Produkte.

Noch in diesem Kapitel

Produkte lizenzieren - Überblick

Dongle-Typen

Lizenzierung in wenigen Schritten

Virtual Machines

COPA-DATA Lizenzverwaltung

Lizenzierung über Kommandozeile - Automatisierung

Lizenzarten

Versionsüberprüfung und Wartungszeitraum/Wartungsvertrag

Produktspezifische Themen

Versions- und Lizenzinformationen anzeigen

Redundanter Lizenzschutz

Festplattendefekt - Festplatte tauschen - Betriebssystem neu aufsetzen

Lizenzbruch bei Software-Dongles

Wechsel zwischen Virtual Machine und Virtual Machine DataCenter

Lizenzabfrage während des Betriebes

Rechner-Defekt bei Software-Dongle: 30 Tage Demo-Lizenz nutzen

Besonderheiten beim Client-Server-Betrieb

Seriennummer

License.ini Datei

CodeMeter Voraussetzungen

CodeMeter Software


Produkte lizenzieren - Überblick

zenon Lizenzverwaltung 8.00 > Lizenzierung > Produkte lizenzieren - Überblick

Um zenon Produkte nutzen zu können, müssen diese lizenziert werden. Die Lizenz wird in Form eines Lizenzscheines und einer manipulationssicheren digitalen Information ausgestellt.

Wenn eine Lizenz bei COPA-DATA ausgestellt wird, dann wird Sie in einem sogenannten Lizenzdepot abgelegt. Dabei handelt es sich um eine Datenbank, in der die Lizenz auf Abholung wartet. Damit Sie als Anwender die Lizenz nutzen können, muss die Lizenz bei Ihnen gespeichert sein. Als Speicherort wird ein Dongle verwendet. Dieser Dongle wird auch als Lizenzcontainer bezeichnet. Bei der Aktivierung einer Lizenz wird diese vom Lizenzdepot in den Dongle übertragen.

Um die Lizenz zu aktivieren, benutzen Sie die COPA-DATA Lizenzverwaltung. Damit können Sie Lizenzen aktivieren, deaktivieren, verwalten und Produkten zuweisen. Alternativ können Sie Lizenzen auch automatisiert (silent ) per Kommandozeilen-Tool aktivieren.

Online-Aktivierung

Bei der Online-Aktivierung werden Lizenzen direkt ohne weitere Anwendungen oder Datenträger aktiviert. Es muss dazu eine Onlineverbindung ins Internet vorhanden sein.

Details siehe Kapitel Online-Aktivierung.

Offline-Aktivierung

Bei der Offline-Aktivierung muss der Austausch der digitalen Lizenzinformation manuell erfolgen. Dabei werden drei Dateien zwischen dem Lizenzdepot und dem Dongle übertragen. Auch hier ist in irgendeiner Form Zugriff auf das Internet nötig.

Details siehe Kapitel Offline-Aktivierung.

Lizenzen Produkten zuordnen

Damit eine Lizenz genutzt werden kann, reicht es nicht aus, dass sie im Dongle gespeichert ist. Sie muss auch den Produkten zugewiesen werden, von denen sie genutzt werden soll. Auf einem Rechner befinden sich oft mehrere Lizenzen, unter anderem auch Demo-Lizenzen. Details siehe Kapitel Lizenzen Produkten zuordnen.

Remote-Lizenzierung

Bei der Remote-Lizenzierung werden alle Vorgänge, die die Lizenzverwaltung unterstützt, nicht auf dem lokalen Rechner durchgeführt, sondern auf einem anderen Rechner im lokalen Netzwerk (LAN). Das ist vor allem nützlich, wenn der zu lizenzierende Rechner über keine Internetverbindung verfügt. Dann kann der Recher mit der COPA-DATA Lizenzverwaltung als Proxy-Rechner (Vermittlungsrechner)genutzt werden.

Details siehe Kapitel Remote Lizenzierung.

Lizenzen übertragen/übersiedeln

Lizenzen können auch auf andere Rechner oder Dongles übertragen werden. Auch wenn eine Virtual Machine von einem Host-System auf ein anderes übertragen wird, muss die Lizenz mit übertragen werden, damit Sie nicht bricht. Übertragen oder übersiedeln bedeutet: Die Lizenz wird im ersten Schritt an das Lizenzdepot beim Aussteller zurückgegeben. Im zweiten Schritt wird sie vom neuen System wieder abgeholt und aktiviert. Details siehe Kapitel Lizenzen übertragen/übersiedeln.


Dongle-Typen

zenon Lizenzverwaltung 8.00 > Lizenzierung > Dongle-Typen

Für die Lizenzierung werden ausschließlich Dongles des Typs CodeMeter der Firma Wibu Systems verwendet. Dongles sind der Speicherort für Lizenzen. Sie werden daher auch als Lizenz-Container bezeichnet. Es stehen zwei grundsätzliche Arten von Dongles zur Verfügung: Hardware-Dongles und Software-Dongles. Alle von COPA-DATA ausgestellten Lizenzen könne in beiden Dongle-Arten abgelegt werden, und auch von einer zur anderen Art übertragen werden.

Dongle-Typen:

  • Hardware-Dongles:
    Die Lizenzinformation ist in einer speziellen Hardware - einem Sicherheitschip - untergebracht.

    Vorteile:

    • Die Lizenz kann einfach durch Umstecken des Dongles von einem Rechner zum anderen übertragen werden.
    • Verschieden Bauformen sind erhältlich.

    Nachteile:

    • Bei der Nutzung einer Virtual Machine muss die Lizenz per Netzwerk von einem Host System aus in die Virtual Machine übertragen werden.
    • Dongles können gestohlen oder verloren werden.
  • Software-Dongles - rechnerbasierter Lizenzschutz:
    Dabei wird auf dem Rechner direkt ein Software-Dongle erzeugt. Der Software-Dongle ist an die Hardware des Rechners gebunden. Ändert sich die Hardware zu sehr, dann bricht die Lizenz.

    Vorteil:

    • Der Dongle kann nicht verloren oder gestohlen werden.

    Nachteile:

    • Durch Änderung der Hardwarekonfiguration kann die Lizenz brechen.
    • Die Lizenz muss zurückgegeben werden, bevor sie auf einen anderen Rechner übertragen werden kann.

Beide Dongle-Arten verhalten sich in der Praxis gleich. Alle Mechanismen können bei beiden Arten genutzt werden. Einschränkungen gibt es nur für Software-Dongles in einer Virtual Machine.


Lizenzierung in wenigen Schritten

zenon Lizenzverwaltung 8.00 > Lizenzierung > Lizenzierung in wenigen Schritten

Damit Sie zenon lizenziert betreiben können, sind in den meisten Fällen nur sehr wenige Schritte notwendig.
Es gibt zwei Möglichkeiten wie Sie eine Lizenz zugestellt bekommen:

  1. Sie erhalten einen vorprogrammierten Hardware-Dongle.
  2. Sie erhalten einen Lizenzschein für einen rechnergebundenen Software-Dongle oder einen Lizenzschein und einen leeren Hardware-Dongle.

Bei beiden Varianten gelangen Sie sehr einfach zu einem lizenzierten Produkt.

Vorprogrammierter Hardware-Dongle

Um einen vorprogrammierten Hardware-Dongle zu nutzen:

  1. Stecken Sie den Hardware-Dongle an den Rechner an und warten Sie bis Windows den Dongle erkannt hat.
  2. Starten Sie die COPA-DATA Lizenzverwaltung über Windows -> License Manager.
  3. Im Startdialog der COPA-DATA Lizenzverwaltung wählen Sie die Option Lizenz von Hardware-Dongle übernehmen.
    Die erkannte Lizenz wird im Dialog angezeigt.

  4. Klicken Sie auf die Schaltfläche Lizenz auf diesem Rechner verwenden.
  5. Beenden Sie die COPA-DATA Lizenzverwaltung.

Sie können die lizenzierten Produkte nun starten.
Detaillierte Informationen zu Ablauf und Einschränkungen finden Sie im Handbuch Lizenzierung im Kapitel Lizenz von Hardware-Dongle übernehmen.

Lizenzschein und leerer Hardware-Dongle oder rechnergebundene Lizenz

Um einen leeren Dongle oder eine rechnergebundene Lizenz zu nutzen:

  1. Stecken Sie den Hardware-Dongle an den Rechner an und warten Sie bis Windows den Dongle erkannt hat.
    Bei einer rechnergebundenen Software-Lizenz entfällt dieser Schritt.
  2. Starten Sie die COPA-DATA Lizenzverwaltung über Windows -> License Manager.
  3. Im Startdialog der COPA-DATA Lizenzverwaltung wählen Sie die Option Lizenz mit Lizenzschein aktivieren.

  4. Geben Sie die Seriennummer in das Eingabefeld für die Seriennummer ein.
  5. Wählen Sie zwischen Rechnergebundene Lizenz (Software-Dongle) und Hardware-Dongle.
  6. Klicken Sie auf die Schaltfläche Lizenz aktivieren.

    Die Lizenz wird online über das Internet in den von Ihnen gewählten Dongle übertragen.

  7. Beenden Sie die COPA-DATA Lizenzverwaltung.

Sie können die lizenzierten Produkte nun starten.

Detaillierte Informationen zu Ablauf, Einschränkungen und alternative Vorgehensweisen finden Sie im Handbuch Lizenzierung im Kapitel Lizenz aktivieren und den darauf folgenden Kapiteln.


Virtual Machines

zenon Lizenzverwaltung 8.00 > Lizenzierung > Virtual Machines

Die Lizenzierung in einer Virtual Machine unterliegt besonderen Voraussetzungen und Eigenschaften:

  • Hardware-Dongles können nicht direkt angeschlossen werden. Die Lizenz muss in die virtuelle Umgebung übertragen werden.
    Dazu können folgende Vorgangsweisen verwendet werden:
    • Der Dongle wird auf einem physikalischem Rechner angeschlossen und dort als Netzwerk Dongle aktiviert. In der Virtuellen Umgebung wird der Netzwerkdongle in die Server Suchliste eingetragen und steht damit zur Verfügung.
    • Der Dongle wird über eine USB zu Ethernet Box (Dongle-Server) in die virtuelle Umgebung übertragen. Dabei wird in der virtuellen Umgebung ein lokaler USB Port emuliert. Die CodeMeter Runtime betrachtet den Dongle als direkt angeschlossen. Solche Boxen sind im Handel erhältlich.
      Empfehlung: Dongle Server der Firma SEH.
    • Der Dongle wird über die Virtualisierungssoftware in die virtuelle Umgebung geroutet. VM-Ware und Virtual Box unterstützen solche Mechanismen. Dabei wird in der virtuellen Umgebung ein lokaler USB Port emuliert. Die CodeMeter Runtime betrachtet den Dongle als direkt angeschlossen.
      Hinweis: Diese Vorgehensweise wird von Wibu Systems nicht empfohlen.
  • Bei Software-Dongles existieren einige Einschränkungen für die Verwendung in virtuellen Umgebungen:
    • Standardmäßig sind Lizenzen nicht für virtuelle Umgebungen freigeschaltet. Sie können jedoch beim Lizenzaussteller eine Freischaltung beantragen.
      Achtung: Bereits aktivierte Lizenzen können nicht umgestellt werden. Diese müssen zuerst dem Lizenzaussteller zurückgegeben werden. Erst dann kann der Lizenzaussteller die Lizenz umstellen. Im Anschluss können Sie die Lizenz in einer virtuellen Umgebung aktivieren.
    • Demo-Lizenzen haben in virtuellen Umgebungen nur eine sehr eingeschränkte Laufzeit.
    • Bei der Übersiedlung einer Virtual Machine auf ein anderes Host-System wird die Lizenz brechen.
      Geben Sie daher vor der Übersiedlung die Lizenz an den Lizenzausteller zurück. Erst danach darf die Virtual Machine übersiedelt werden. Dann können Sie die Lizenz wieder aktivieren. Bei Verwendung in Data Center kann eine Virtual Machine auch automatisch unterschiedlichen Hosts zugewiesen werden. In diesem Fall benötigen Sie einen Software-Dongle VM DataCenter.

Unterschiedliche Software-Dongle Arten

Je nach Betriebssystemtyp werden unterschiedliche Software Dongle-Typen von der COPA-DATA Lizenzverwaltung installiert:

  • Software-Dongle Standard: Für die Verwendung auf physikalischen Rechnern.
  • Software-Dongle Virtual Machine: Für die Verwendung in einer Virtual Machine.
    Kann auch auf physikalischen Rechner verwendet werden, umgekehrt nicht.
  • Software-Dongle VM DataCenter: Für die Verwendung in einer Virtual Machine in einem öffentlichen Data Center wie Microsoft Azure oder Amazon Web Services (AWS) sowie in privaten Data Centers
    Kann auch auf physikalischen Rechner verwendet werden, umgekehrt nicht.

Hinweis: Wird eine Virtual Machine in einen physikalischen Rechner konvertiert, dann haben Sie beide Dongle-Typen auf einem System. Beide sind dann gleichwertig und beide können genutzt werden.

attention

Wird ein physikalischer Rechner in eine Virtual Machine umgewandelt, kann der Dongle-Typ Software-Dongle Standard nicht mehr genutzt werden. Alle darin enthaltenen Lizenzen stehen damit nicht mehr zur Verfügung. Sie müssen die Lizenzen zuvor zurückgeben. Siehe Kapitel: Lizenz übertragen/übersiedeln

Konvertierung in Virtual Machine

Wenn Sie Software-Dongles verwenden und einen physikalischen Rechner in eine Virtual Machine konvertieren möchten, dann:

  1. Geben Sie alle aktivierten Lizenzen zurück.
  2. Beantragen Sie bei COPA-DATA eine Umstellung der Lizenz auf eine Lizenz für Virtual Machine.
    Wenn Sie die Virtual Machine in einem Data Center wie Microsoft Azure oder Amazon Web Services (AWS) oder in einem privaten Data Center betreiben, beantragen Sie eine Lizenz für VM DataCenter
    Achtung: Standard-Lizenzen können nicht in einer Virtual Machine aktiviert werden. Ob eine Lizenz für die Verwendung in einer Virtual Machine geeignet ist, entnehmen Sie dem Lizenzschein.
  3. Konvertieren Sie das Betriebssystem in eine Virtual Machine.
  4. Aktivieren Sie die Lizenz erneut.

Konvertierung von Virtual Machine in physikalischen Rechner

Wenn Sie Software-Dongles verwenden und eine Virtual Machine in einen physikalischen Rechner konvertieren möchten, dann:

  1. Geben Sie alle aktivierten Lizenzen zurück.
  2. Konvertieren Sie das Betriebssystem in einen physikalischen Rechner.
  3. Aktivieren Sie die Lizenz erneut.

Übersiedlung von Virtual Machines auf ein anderes Host System

Lizenzen für Software-Dongles brechen, wenn sich die Hardware ändert. Geben Sie daher vor einer Übersiedlung alle Lizenzen, die in Software-Dongles gespeichert sind, zurück.


COPA-DATA Lizenzverwaltung

zenon Lizenzverwaltung 8.00 > Lizenzierung > COPA-DATA Lizenzverwaltung

Lizenzen werden in einer eigenen Anwendung verwaltet, der COPA-DATA Lizenzverwaltung.
Diese starten Sie über:

  • Windows Startmenü -> COPA-DATA -> License Manager.
  • Startup Tool: Klicken Sie auf die Schaltfläche Tools, wählen Sie im Bereich Available applications den Eintrag License Manager aus und klicken Sie auf Start.
  • In den meisten Info über Dialogen der zenonProdukte über die Schaltfläche Lizenzverwaltung öffnen.
  • Für zenon Analyzer auch direkt aus ZAMS.

Funktionalität

In der COPA-DATA Lizenzverwaltung können Sie Lizenzen:

  • Lokal oder remote aktiveren:
    Aktivieren Sie Lizenzen für einen lokalen Rechner oder einen Remote-Rechner und weisen Sie diese bestimmten COPA-DATA Produkten zu.
  • Online und offline aktivieren:
    Sie können Lizenzen direkt online aktivieren oder offline über eine Lizenz-Anforderungsdatei.
  • Lokal oder remote Produkten zuweisen:
    Bestimmen Sie, welche Produkte welche Lizenz in welcher Reihenfolge nutzen sollen.
  • Eine Sammelaktivierung durchführen:
    Nutzen Sie eine Sammeldatei, um viele Lizenzen zu aktivieren.
  • Ausleihen (ab Version 8.10):
    Sie können Lizenzen für bis zu 90 Tagen an andere Nutzer verleihen. So können zum Beispiel Servicetechniker Lizenzen für einen Einsatz beim Kunden mitnehmen. Diese Funktionalität steht Ihnen ab zenon 8.10 und zenon Analyzer 3.30 zur Verfügung.
  • Zurückgeben/Übersiedeln:
    Sie können Lizenzen zurückgeben und dann auf einem anderen Rechner wieder aktivieren. So übertragen Sie Lizenzen auf andere Rechner oder verhindern Sie Lizenzbruch bei Änderungen an Hardware für Software-Lizenzen oder Host-Systemen für eine Virtual Machine.

Hinweise:

  • Sie können Lizenzen auch silent über die Kommandozeile aktivieren, aktualisieren und verteilen.
  • Alle Änderungen in derCOPA-DATA Lizenzverwaltung werden sofort übernommen und ausgeführt.

Startdialog

Die COPA-DATA Lizenzverwaltung startet per Default mit einem Startdialog. Dieser stellt einfache, interaktive Konfigurationsmöglichkeiten zur Verfügung. Das Symbol Fragezeichen zeigt eine kurze Hilfe zum jeweiligen Eintrag an.

Dialog Lizenzverwaltung

Für individuelle Einstellungen steht eine umfangreiche Applikation mit mehreren Registerkarten zur Verfügung.

Noch in diesem Kapitel

Startdialog

Hauptanwendung


Startdialog

zenon Lizenzverwaltung 8.00 > Lizenzierung > COPA-DATA Lizenzverwaltung > Startdialog

Die COPA-DATA Lizenzverwaltung startet mit einem Startdialog. Dieser kann über die Option Diesen Dialog nicht mehr Anzeigen deaktiviert werden. Die generelle Reaktivierung erfolgt über die Registerkarte Einstellungen.

In der Start-Ansicht stehen die beiden wichtigsten Aktionen zur Verfügung:

  • Aktivierung einer Lizenz
  • Übernahme einer Lizenz von einem Hardware-Dongle

Option

Beschreibung

Lizenz mit Lizenzschein aktivieren

Ermöglicht die Online-Aktivierung einer Lizenz mit der Seriennummer aus dem Lizenzschein.

Lizenz von Hardware-Dongle übernehmen

Ermöglicht die Übernahme einer Lizenz für alle Produkte der Lizenz von einem Hardware-Dongle.

Erweiterte Optionen

Öffnet weitere Optionen für die Verwaltung von Lizenzen.

Diesen Dialog nicht mehr anzeigen
  • Aktiv: Beim nächsten Öffnen der COPA-DATA Lizenzverwaltung wird der Dialog ausgeblendet und die Ansicht mit allen Registerkarten geöffnet.

Dialog beenden

Option | Beschreibung
Hilfe | Öffnet die Online-Hilfe.
Beenden | Klick auf die Schaltfläche schließt den Dialog.

Noch in diesem Kapitel

Lizenz im Startdialog aktivieren

Lizenz von Hardware-Dongle übernehmen

Erweiterte Ansicht


Lizenz im Startdialog aktivieren

zenon Lizenzverwaltung 8.00 > Lizenzierung > COPA-DATA Lizenzverwaltung > Startdialog > Lizenz im Startdialog aktivieren

Nutzen Sie diese bevorzugte Option, wenn Sie eine Lizenz online auf einem lokalen Dongle aktivieren möchten.

Die Lizenz kann wahlweise in einen Software-Dongle oder - falls vorhanden - Hardware-Dongle übertragen werden. Details zu verfügbaren Dongles lesen Sie im Kapitel Dongle-Typen.
Bei der Online-Aktivierung werden Lizenzen direkt ohne weitere Anwendungen oder Datenträger aktiviert. Es muss dazu eine Onlineverbindung ins Internet vorhanden sein.

Tipp Tipp

Falls Sie über keine direkte Internetverbindung verfügen, verwenden Sie die Remote-Lizenzierung

Falls Sie für Ihre Internetverbindung einen Proxy-Server nutzen, achten Sie auf die korrekten Proxy-Einstellungen.

Um eine Lizenz mit Lizenzschein zu aktivieren:

  1. Starten Sie die COPA-DATA Lizenzverwaltung.
    Sollte der Startdialog nicht angezeigt werden, klicken Sie auf die Schaltfläche Startdialog anzeigen.
  2. Klicken Sie auf Lizenz mit Lizenzschein aktivieren.
  3. Geben Sie die Seriennummer von Ihrem Lizenzschein in das Feld ein.
  4. Wählen Sie den gewünschten Dongle aus:
    • Rechnerbezogene Lizenz (Software-Dongle)
    • Hardware-Dongle. Sollten Sie Ihren Hardware-Dongle noch nicht angesteckt haben, so stecken Sie ihn nun an und klicken auf die Schaltfläche Aktualisieren.

    Hinweis: Sollten mehrere Hard- oder Software-Dongles vorhanden sein, kann die Lizenz nicht automatisch aktiviert werden. Die COPA-DATA Lizenzverwaltung leitet Sie dann automatisch zur Registerkarte Lizenz aktivieren weiter.

  5. Klicken Sie auf Lizenz aktivieren.

    Die Lizenz wird in den Dongle übertragen und dort manipulationssicher gespeichert. Falls Sie die Option Aktivierte Lizenzen sofort übernehmen in der Registerkarte Einstellungen gesetzt haben, wird die Lizenz bei allen Produkten an erster Stelle in die Datei License.ini eingetragen. Diese INI-Datei enthält Informationen zur Reihenfolge, in der Lizenzen benutzt werden. Die Reihenfolge können Sie in der Registerkarte Lizenzverwendung anpassen.

Dialog Lizenz mit Lizenzschein aktivieren

Option | Beschreibung
Lizenz mit Lizenzschein aktivieren | Klick öffnet die weiteren Eingabeoptionen.
Seriennummer | Eingabefeld für die Seriennummer, die aktiviert werden soll.
Rechnerbezogene Lizenz (Software-Dongle) | Auswahl eines Software-Dongles für eine rechnerbezogene Lizenz.
Hardware-Dongle | Auswahl eines CodeMeter Hardware-Dongles. Der Dongle muss angesteckt sein
Lizenz aktivieren | Klick auf Schaltfläche aktiviert die Lizenz online. Nur verfügbar, wenn eine gültige Seriennummer eingegeben und ein gültiger Dongle gewählt wurden.

Dialog beenden

Option | Beschreibung
Hilfe | Öffnet die Online-Hilfe.
Beenden | Klick auf die Schaltfläche schließt den Dialog.


Lizenz von Hardware-Dongle übernehmen

zenon Lizenzverwaltung 8.00 > Lizenzierung > COPA-DATA Lizenzverwaltung > Startdialog > Lizenz von Hardware-Dongle übernehmen

Damit eine Lizenz genutzt werden kann, reicht es nicht aus, dass sie im Dongle gespeichert ist. Sie muss auch den Produkten zugewiesen werden, von denen sie genutzt werden soll. Auf einem Rechner befinden sich oft mehrere Lizenzen, unter anderem auch Demo-Lizenzen.

Mit dieser Option tragen Sie eine Hardware-Dongle Lizenz bei allen Produkten, die in der Lizenz enthalten sind, an erster Stelle in die Datei License.ini ein:

  1. Stecken Sie den Dongle an den Rechner.
  2. Klicken Sie im Startdialog auf Lizenz von Hardware-Dongle übernehmen.

    Die erkannte Lizenz wird angezeigt.

  3. Klicken Sie auf Lizenz auf diesem Rechner verwenden.

    Die Lizenz wird übernommen.

Sind auf einem Dongle mehrere Lizenzen gespeichert, wird im Startdialog eine entsprechende Meldung angezeigt.
In diesem Fall:

  • Stecken Sie einen Dongle mit nur einer Lizenz an und klicken Sie auf Aktualisieren.
    Oder
  • Klicken Sie auf Lizenzverwaltung.Die Registerkarte Lizenzverwendung wird geöffnet. Dort könne Sie auch bei mehreren Lizenzen auf einem Hardware-Dongle bestimmen, welches Produkt in welcher Reihenfolge eine Lizenz nutzt.

Tipp Tipp

In der Registerkarte Lizenzverwendung können Sie jederzeit die Lizenzreihenfolge einstellen

Dialog Lizenz von Hardware-Dongle übernehmen

Option | Beschreibung
Lizenz von Hardware-Dongle übernehmen | Klick öffnet die weiteren Eingabeoptionen und zeigt gefundene Lizenz an. Wurde keine Lizenz gefunden, können Sie durch Klick auf Erneut Dongle suchen eine Aktualisierung starten.
Lizenz auf diesem Rechner verwenden | Klick auf die Schaltfläche übernimmt die Lizenz für den Rechner.
Dongle erneut suchen | Sucht nach Dongle und aktualisiert die angezeigten Informationen.

Dialog beenden

Option | Beschreibung
Hilfe | Öffnet die Online-Hilfe.
Beenden | Klick auf die Schaltfläche schließt den Dialog.

Dialog bei mehreren Lizenzen auf einem Dongle

Option

Beschreibung

Lizenz von Hardware-Dongle übernehmen

Klick öffnet die weiteren Eingabeoptionen und zeigt gefundene Lizenz an.

Mehrere Lizenzen wurden erkannt

Es wurden mehrere Lizenz gefunden. Wählen Sie die gewünschte Vorgangsweise:

  • Neuen Dongle anstecken und aktualisieren:
    Stecken Sie einen neuen Dongle mit nur einer Lizenz an und klicken Sie auf Aktualisieren.
  • Lizenz in Lizenzverwaltung auswählen:
    Klicken Sie auf Lizenzverwaltung und wählen Sie dort die gewünschte Lizenz aus.

Aktualisieren

Liest den Dongle erneut ein.

Lizenzverwaltung

Öffnet die Registerkarte Lizenzverwendung.

Lizenz auf diesem Rechner verwenden

Klick auf die Schaltfläche übernimmt die Lizenz für den Rechner.

Dialog beenden

Option | Beschreibung
Hilfe | Öffnet die Online-Hilfe.
Beenden | Klick auf die Schaltfläche schließt den Dialog.


Erweiterte Ansicht

zenon Lizenzverwaltung 8.00 > Lizenzierung > COPA-DATA Lizenzverwaltung > Startdialog > Erweiterte Ansicht

Die erweiterte Ansicht bietet Ihnen zusätzliche Aktionen für die Lizenzierung.

Option

Beschreibung

Lizenz mit Lizenzschein aktivieren

Ermöglicht die Aktivierung einer Lizenz mit der Seriennummer aus dem Lizenzschein.

Lizenz von Hardware-Dongle übernehmen

Ermöglicht die Übernahme einer Lizenz für alle Produkte der Lizenz von einem Hardware-Dongle.

Erweiterte Optionen

Öffnet weitere Optionen für die Verwaltung von Lizenzen.

Lizenzübersicht

Öffnet den Dialog mit der Registerkarte Lizenzübersicht. Hier werden alle aktivierten Lizenzen angezeigt. Diese können hier auch aktualisiert oder zurückgegeben werden.

Alle Lizenzen updaten

Startet das Update für alle Lizenzen.

Treten Fehler auf, werden diese in einem Dialog angezeigt.

Lizenz übersiedeln/zurückgeben

Startet die Online-Rückgabe für eine Lizenz. Vor der Rückgabe erfolgt eine Sicherheitsabfrage.
Sind mehrere Lizenzen zum Zurückgeben vorhanden, wird automatisch in den Dialog auf die Registerkarte Lizenzübersicht gewechselt.

Eine Lizenz muss zurückgegeben werden, wenn sie auf einem anderen Rechner genutzt werden soll oder wenn für den Rechner Hardware in großem Umfang geändert werden soll. Details Siehe Kapitel Lizenz übertragen/übersiedeln.

Sammelaktivierung

Öffnet den Dialog mit der Registerkarte Sammelaktivierung. Hier können Lizenzen aus einer Liste aktiviert werden.

Erweiterte Lizenzverwaltung

Öffnet den Dialog mit der Registerkarte Lizenzverwendung.

Diesen Dialog nicht mehr anzeigen

Aktiv: Beim nächsten Öffnen der COPA-DATA Lizenzverwaltung wird der Dialog ausgeblendet und die Ansicht mit allen Registerkarten geöffnet.

Dialog beenden

Option | Beschreibung
Hilfe | Öffnet die Online-Hilfe.
Beenden | Klick auf die Schaltfläche schließt den Dialog.


Hauptanwendung

zenon Lizenzverwaltung 8.00 > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung

Lizenzierungsaufgaben werden über diese Registerkarten verwaltet:

  • Lizenzverwendung: Anzeige und Zuordnung von Lizenzen zu Produkten sowie Reihung für die Nutzung.
  • Lizenzübersicht: Anzeige aller aktivierten Lizenzen und Aktionen für Aktualisierung und Rückgabe von Lizenzen.
  • Lizenz aktivieren: Optionen zur Online- und Offline-Aktivierung von Lizenzen.
  • Sammelaktivierung: Möglichkeit, Lizenzen aus einer Liste zu aktiveren.
    Muss über die Registerkarte Einstellungen aktiviert werden.
    Default: ausgeblendet
  • Einstellungen: Konfiguration der Einstellungen.

Noch in diesem Kapitel

Lizenzverwendung

Lizenzübersicht

Lizenz aktivieren

Sammelaktivierung

Einstellungen

Lizenz übertragen/übersiedeln

Geänderte Lizenz übernehmen/updaten

Remote Lizenzierung

Listen filtern und sortieren


Lizenzverwendung

zenon Lizenzverwaltung 8.00 > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Lizenzverwendung

Damit eine Lizenz genutzt werden kann, reicht es nicht aus, dass sie im Dongle gespeichert ist. Sie muss auch den Produkten zugewiesen werden, von denen sie genutzt werden soll. Auf einem Rechner befinden sich oft mehrere Lizenzen, unter anderem auch Demo-Lizenzen.

In dieser Registerkarte ordnen Sie Ihre Lizenzen den einzelnen Produkten zu. Weiters können Sie bei mehreren Lizenzen festlegen, in welcher Reihenfolge sie benutzt werden. Geht die Verbindung zu einer Lizenz verloren, wird versucht eine andere gültige Lizenz zu belegen. Die Reihenfolge der Lizenzen definiert die Reihenfolge der Lizenzsuche. Details dazu finden Sie im Kapitel Redundanter Lizenzschutz.

attention Achtung

Die Anzeige bezieht sich immer auf den Rechner, der in der Kopfzeile bei Lokale Lizenzierung / Remote-Lizenzierung eingestellt ist. Es kann sich daher um eine lokale Ansicht oder um eine Remote-Ansicht handeln.

Bei Remote-Ansicht werden alle Lizenzen angezeigt, die der Remote-Rechner sieht. Besonders bei Netzwerklizenzen kann das eine ganz andere Sichtweise sein, da die Netzwerklizenzen mit CodeMeter-Mechanismen gefunden werden. Siehe dazu auch das Kapitel Server-Suchliste für Netzwerk-Dongles einrichten.

Hinweis: Wurde in der Registerkarte Erweitert die Option Aktivierte Lizenzen sofort übernehmen aktiviert, dann werden Lizenzen beim erstmaligen Aktivieren automatisch allen anwendbaren Produkten an erster Stelle zugewiesen.

Tipp Tipp

Um eine Lizenz allen Produkten an erster Stelle zuzuweisen, klicken Sie auf die Schaltfläche mit den zwei Pfeilen und dem waagrechten Strich: Ausgewählte Lizenz für alle Produkte an erster Stelle eintragen.

Lizenzen zuweisen

Um Lizenzen manuell für ein Produkt einzutragen oder die Reihenfolge zu ändern:

  1. Starten Sie die COPA-DATA Lizenzverwaltung.
  2. Wird der Startdialog angezeigt, dann klicken Sie auf die Schaltfläche Erweiterte Optionen und dann auf Erweiterte Lizenzverwaltung.
  3. Wechseln Sie zur Registerkarte Lizenzverwendung.
    Es werden alle Produkte, für die eine Lizenz vorhanden ist, angezeigt.

  4. Wählen Sie das Produkt, dem eine Lizenz zugeordnet werden soll.

  5. Klicken Sie bei der gewünschten Lizenz auf die Schaltfläche ganz rechts in der Liste. Die Schaltfläche wird grün eingefärbt.

    Die Lizenz wird dem Produkt zugeordnet und in die License.ini eingetragen.

  6. Sind mehrere Lizenzen einem Produkt zugeordnet, können diese sortiert werden. Klicken Sie auf die Pfeiltasten nach oben oder unten, um die Reihenfolge der Lizenzen festzulegen. Die Sortierung kann auch per Drag&Drop erfolgen. Die Sortierung wird sofort in die License.ini übernommen.

attention Achtung

Lizenzen werden vom System teilweise in der Datei License.ini verwaltet. Manuelle Änderungen dieser Datei können dazu führen, dass Sie Lizenzen unbrauchbar machen und damit verlieren. Führen Sie alle nötigen Änderungen für Ihre Lizenzen nur über die COPA-DATA Lizenzverwaltung aus.

Fehler in der License.ini werden durch entsprechende Fehlermeldungen angezeigt.

Optionen der Registerkarte

Option

Beschreibung

Produktauswahl

Liste der verfügbaren lizenzierten Produkte.
Klick auf ein Produkt zeigt die verfügbaren Lizenzen für das Produkt in der Liste Lizenzen an.

Lizenzen

Liste der Lizenzen, die für das gewählte Produkt am gewählten Rechner verfügbar sind.

Klick auf das Pluszeichen zeigt Detailinformationen zur jeweiligen Lizenz an.

Klick auf die Schaltfläche In die Zwischenablage kopieren kopiert alle Informationen zur ausgewählten Lizenz in die Zwischenablage.

Der Status einer Lizenz wird über einen Schalter angezeigt und geändert:

  • Symbol grün:
    Diese Lizenz befindet sich in der Datei License.ini und wurde auch am Dongle gefunden. Klick entfernt Lizenz aus License.ini.
  • Symbol weiß:
    Diese Lizenz wurde auf einem Dongle gefunden, ist aber in der License.ini nicht eingetragen. Klick trägt Lizenz in License.ini ein.
  • Rotes Rufzeichen plus Symbol grün:
    Diese Lizenz befindet sich in der License.ini, wurde aber nicht am Dongle gefunden. Dies kann mehrere Ursachen haben, wie Dongle wurde entfernt, Dongle kann nicht im Netzwerk gefunden werden usw.

Änderungen werden sofort in die License.ini eingetragen.

Symbole zum Anzeigen von Details

Zwei Symbole über der Liste ermöglichen es, Detailinformationen für alle Lizenzen einzublenden und auszublenden. Das linke Symbol blendet Details ein, das rechte blendet Details aus.

Pfeilsymbole

Pfeilsymbole neben der Liste sortieren die Lizenzen.

  • Waagrechter Strich+Doppelpfeil nach oben:
    Die Lizenz wird nach ganz oben gereiht und für alle Produkte in der License.ini an erster Stelle eingetragen.
  • Waagrechter Strich+Pfeil nach oben:
    Die Lizenz wird nach ganz oben gereiht und für das selektierte Produkt in der License.ini an erster Stelle eingetragen.
  • Pfeil nach oben:
    Die Lizenz wird um einen Schritt nach oben verschoben.
  • Pfeil nach unten:
    Die Lizenz wird um einen Schritt nach unten verschoben.

Die Reihenfolge kann auch mit der Maus per Drag&Drop geändert werden.

Dialog-Optionen

Option | Beschreibung
Lokale Lizenzierung / Remote-Lizenzierung | Klick auf auf den Pfeil in der Kopfzeile öffnet die Optionen zum Verbindungsaufbau zu einem Remote Rechner oder Auswahl des lokalen Rechners.
Startdialog anzeigen | Öffnet den Startdialog für Standard-Lizenzierungsaufgaben.
Hilfe | Öffnet die Online-Hilfe.
Beenden | Klick auf die Schaltfläche schließt den Dialog.

Noch in diesem Kapitel

Lizenzen testen


Lizenzen testen

zenon Lizenzverwaltung 8.00 > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Lizenzverwendung > Lizenzen testen

Da in der Lizenzabfrage immer die erste passende Lizenz verwendet wird, können Sie Demo-Lizenzen gezielt zum Testen benutzen. Dazu legen Sie in der COPA-DATA Lizenzverwaltung in der Registerkarte Lizenzverwendung die gewünschte Demo-Lizenz als erste zu verwendende Lizenz fest. Die Laufzeit einer Demo-Lizenz wird Ihnen in der Lizenzverwaltung unter Details der Lizenz angezeigt. Nach Ablauf dieser Laufzeit startet diese Lizenz im Demo-Modus mit 10 Minuten Laufzeit.


Lizenzübersicht

zenon Lizenzverwaltung 8.00 > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Lizenzübersicht

In dieser Registerkarte können Sie:

  • Details aller Lizenzen anzeigen, die von ihrem Rechner aus erreichbar sind.
    Das sind sowohl lokale Lizenzen, als auch Lizenzen, die auf einem Netzwerk-Dongle gespeichert sind.
    Benötigen Sie für die Bestellung einer Lizenz-Erweiterung den aktuellen Ausbau, finden Sie hier alle Informationen.
  • Lizenzen updaten.
  • Lizenzen zurückgeben.

attention Achtung

Die Anzeige bezieht sich immer auf den Rechner, der in der Kopfzeile bei Lokale Lizenzierung / Remote-Lizenzierung eingestellt ist. Es kann sich daher um eine lokale Ansicht oder um eine Remote-Ansicht handeln.

Bei Remote-Ansicht werden alle Lizenzen angezeigt, die der Remote-Rechner sieht. Besonders bei Netzwerklizenzen kann das eine ganz andere Sichtweise sein, da die Netzwerklizenzen mit CodeMeter-Mechanismen gefunden werden. Siehe dazu auch das Kapitel Server-Suchliste für Netzwerk-Dongles einrichten.

Option

Beschreibung

Liste Lizenzen

Listet alle verfügbaren Lizenzen auf. Für jede Lizenz stehen folgende Informationen zur Verfügung:

  • Symbol: Zeigt an, um welchen Dongle-Typ* es sich handelt.
  • Seriennummer
  • Artikelname (=Bundle-Bezeichner)
  • lizenzierte Produkte
  • Verfügbare Lizenzen: Zeigt an, wie viele Lizenzen vorhanden sind und nicht verliehen sind. Die Information gibt nicht an, wie viele Lizenzen im Moment von einem Produkt belegt oder frei sind. Diese information kann nur über den CodeMeter WebAdmin bezogen werden.
  • Dongle-Typ*
  • Dongle-ID
  • Donglename
    Der Name kann über das CodeMeter Kontrollzentrum geändert werden.
  • Rechnername

Zusätzliche stehen bei Lizenzen, die es betrifft, folgende Spalten zur Verfügung:

  • Verliehene Lizenzen (ab Version 8.10 verfügbar)
  • Gültigkeitsende
  • Ende Nutzungszeitraum

Die Liste ist sortier- und filterbar.

Details

Klick auf das + Symbol öffnet die Anzeige der Details:

  • Allgemeine Informationen zu Dongle und Adressen sowie Edition
  • Module
  • Variablenanzahl
  • Version

Symbole:

  • Schaltfläche +: klappt alle Details aller Lizenzen aus
  • Schaltfläche -: klappt alle Details aller Lizenzen ein

Lizenz updaten

Klick auf die Schaltfläche baut online eine Verbindung zum Lizenzdepot auf, sucht nach einem Update und spielt dieses ein, sofern vorhanden.

Nicht verfügbar für Demo-Lizenzen und Lizenzen im Netzwerk.

Lizenz zurückgeben

Gibt ausgewählte Lizenz online zurück.

*Dongle-Typen:

  • Lokaler Hardware-Dongle
  • Lokaler Software-Dongle
  • Netzwerk Hardware-Dongle
  • Netzwerk Software-Dongle
  • Demo-Lizenz (Immer Software-Dongle)

Farbcodes:

  • Lizenz werden rot eingefärbt, wenn:
    • das Gültigkeitsende überschritten ist
    • der Nutzungszeitraum überschritten ist
    • die Ausleihdauer überschritten ist
  • Demo-Lizenzen werden orange eingefärbt, wenn bei einem der enthaltenen Produkte die maximale Nutzungsdauer oder die maximale Anzahl an Starts überschritten wurde.

Dialog-Optionen

Option | Beschreibung
Lokale Lizenzierung / Remote-Lizenzierung | Klick auf auf den Pfeil in der Kopfzeile öffnet die Optionen zum Verbindungsaufbau zu einem Remote Rechner oder Auswahl des lokalen Rechners.
Startdialog anzeigen | Öffnet den Startdialog für Standard-Lizenzierungsaufgaben.
Hilfe | Öffnet die Online-Hilfe.
Beenden | Klick auf die Schaltfläche schließt den Dialog.


Lizenz aktivieren

zenon Lizenzverwaltung 8.00 > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Lizenz aktivieren

Wenn eine Lizenz bei COPA-DATA ausgestellt wird, dann wird Sie in einem sogenannten Lizenzdepot abgelegt. Dabei handelt es sich um eine Datenbank, in der die Lizenz auf Abholung wartet. Damit Sie als Anwender die Lizenz nutzen können, muss die Lizenz bei Ihnen gespeichert sein. Als Speicherort wird ein Dongle verwendet. Dieser Dongle wird auch als Lizenzcontainer bezeichnet. Bei der Aktivierung einer Lizenz wird diese vom Lizenzdepot in den Dongle übertragen.
Für diese Übertragung gibt es folgende Möglichkeiten:

  • Online-Aktivierung über Startdialog:
    Bevorzugte Methode. Dabei wird von Ihrem Rechner aus direkt eine Verbindung über das Internet zum Lizenzdepot aufgebaut und die Lizenz in den Dongle übertragen.
  • Online-Aktivierung über Registerkarte Lizenz aktivieren :
    Diese Online-Methode muss verwendet werden, wenn Sie mehrere Software-oder Hardware-Dongles angeschlossen haben.
    Hinweis: Diese Methode können Sie auch dann nutzen, wenn der zu lizenzierende Rechner nicht direkt mit dem Internet verbunden ist. Dafür steht Ihnen die Remote-Lizenzierung zur Verfügung.
  • Online-Sammelaktivierung:
    Verwenden Sie diese Methode, wenn Sie mehrere Rechner auf einmal aktivieren möchten.
  • Aktivierung per Kommandozeilen-Tool:
    Verwenden Sie diese Möglichkeit, wenn Sie Lizenzen automatisiert online über Drittapplikationen aktivieren möchten. Das Kommandozeilen-Tool ermöglicht sowohl Einzelaktivierung als auch Sammelaktivierung und unterstützt lokale und remote Aktivierung.
  • Offline-Aktivierung:
    Manuelle Methode. Diese Methode kommt zum Einsatz, wenn keine direkte Internetverbindung besteht. Dabei müssen Sie das ganze Übetragungshandling mit Hilfe eines Webbrowser durchführen.

Wenn Sie einen vorprogrammierten Dongle erhalten, dann wurde die Lizenz bereits in den Dongle übertragen und aktiviert. Sie müssen diese Lizenz nur mehr den jeweiligen Produkten zur Verwendung zuweisen. Details lesen Sie im Kapitel Lizenz von Hardware-Dongle übernehmen.

Noch in diesem Kapitel

Lizenz aktivieren über Registerkarte Lizenz aktivieren


Lizenz aktivieren über Registerkarte Lizenz aktivieren

zenon Lizenzverwaltung 8.00 > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Lizenz aktivieren > Lizenz aktivieren über Registerkarte Lizenz aktivieren

In dieser Registerkarte aktivieren Sie eine Lizenz.
Den Detailabblauf wie eine Lizenz aktiviert wird, entnehmen Sie den Kapiteln Online-Aktivierung und Offline-Aktivierung.

Option

Beschreibung

Lokale Lizenzierung

Auswahl, ob Lizenzierung lokal erfolgt oder auf einem Remote-Rechner.

Online-Aktivierung

Aktivierungsart Online auswählen. Die Lizenz wird online aktiviert. Sie benötigen dafür eine Internet-Verbindung.

Offline-Aktivierung

Aktivierungsart Offline auswählen. Die Aktivierung erfolgt über Dateiaustausch.

Seriennummer

Eingabe der Seriennummer, die aktiviert werden soll.

Zieldongle auswählen

Liste der verfügbaren Dongles. Klick auf einen Dongle wählt diesen als Ziel für die Lizenz aus.

Liste zeigt an:

  • Name:
    Name des Dongles.
  • Identifikation:
    Nummer des Dongles.
  • Anzahl der Lizenzen:
    Zahl der Lizenzen, die auf diesem Dongle bereits aktiviert sind.
  • Erste bereits existierende Lizenz:
    Seriennummer der Lizenz, die als erste auf dem Dongle aktiviert wurde.

Die Liste ist sortierbar. Um zu sortieren, klicken Sie auf den Kopf der gewünschten Spalte. Erneuter Klick invertiert die Sortierung.

Hinweis: Es werden nur lokal verfügbare Dongles angezeigt.

Lizenz aktivieren

Klick auf die Schaltfläche aktiviert die Lizenz.

Nur verfügbar für Online-Aktivierung und nur, wenn eine gültige Seriennummer eingegeben und ein Dongle ausgewählt wurde.

Lizenz-Anforderungsdatei erstellen

Klick auf die Schaltfläche erstellt eine Datei, mit der die Aktivierung der Lizenz angefordert werden kann.

Nur verfügbar für Offline-Aktivierung und nur, wenn eine gültige Seriennummer eingegeben und ein Dongle ausgewählt wurde.

Lizenz-Aktualisierungsdatei importieren

Klick auf die Schaltfläche öffnet den Dialog zur Auswahl einer Datei für die Offline-Aktivierung einer Lizenz.

Nur verfügbar für Offline-Aktivierung.

Lizenz-Bestätigungsdatei erzeugen

Klick auf die Schaltfläche erstellt eine Datei, mit der die Aktivierung der Lizenz bestätigt werden kann.

Nur verfügbar für Offline-Aktivierung und nur, wenn eine gültige Seriennummer eingegeben und ein Dongle ausgewählt wurde.

Dialog-Optionen

Option | Beschreibung
Lokale Lizenzierung / Remote-Lizenzierung | Klick auf auf den Pfeil in der Kopfzeile öffnet die Optionen zum Verbindungsaufbau zu einem Remote Rechner oder Auswahl des lokalen Rechners.
Startdialog anzeigen | Öffnet den Startdialog für Standard-Lizenzierungsaufgaben.
Hilfe | Öffnet die Online-Hilfe.
Beenden | Klick auf die Schaltfläche schließt den Dialog.

Noch in diesem Kapitel

Online-Aktivierung

Offline-Aktivierung


Online-Aktivierung

zenon Lizenzverwaltung 8.00 > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Lizenz aktivieren > Lizenz aktivieren über Registerkarte Lizenz aktivieren > Online-Aktivierung

Die Lizenz kann wahlweise in einen Software-Dongle oder - falls vorhanden - Hardware-Dongle übertragen werden. Details zu verfügbaren Dongles lesen Sie im Kapitel Dongle-Typen.
Bei der Online-Aktivierung werden Lizenzen direkt ohne weitere Anwendungen oder Datenträger aktiviert. Es muss dazu eine Onlineverbindung ins Internet vorhanden sein.

Tipp Tipp

Falls Sie über keine direkte Internetverbindung verfügen, verwenden Sie die Remote-Lizenzierung

Falls Sie für Ihre Internetverbindung einen Proxy-Server nutzen, achten Sie auf die korrekten Proxy-Einstellungen.

Um eine Lizenz online zu aktivieren:

  1. Starten Sie die COPA-DATA Lizenzverwaltung.
  2. Wird der Startdialog angezeigt, dann klicken Sie auf die Schaltfläche Erweiterte Optionen und dann auf Erweiterte Lizenzverwaltung.
  3. Wechseln Sie auf die Registerkarte Lizenz aktivieren.

  4. Entscheiden Sie, ob sie lokal lizenzieren oder auf einem Remote-Rechner.
    • Lokal: Belassen Sie die Einstellung auf Lokale Lizenzierung.
    • Remote: Stellen Sie eine Verbindung zum Remote-Rechner, auf dem die Lizenz benutzt werden soll, her. Details siehe Kapitel Remote Lizenzierung.
  5. Aktivieren Sie den Radiobutton Online-Aktivierung.
  6. Geben Sie in die Option Seriennummer die Seriennummer ein, die aktiviert werden soll. Die Seriennummer entnehmen Sie dem Lizenzschein.
  7. Wählen Sie in der Option Zieldongle auswählen den Dongle aus, auf dem die Lizenz abgelegt werden soll. Sollten Sie Ihren Hardware-Dongle noch nicht angesteckt haben, so stecken Sie ihn nun an und klicken in der rechten oberen Ecke auf die Schaltfläche Aktualisieren.
  8. Klicken Sie auf die Schaltfläche Lizenz aktivieren.

    Die Lizenz wird in den Dongle übertragen und dort manipulationssicher gespeichert. Falls Sie die Option Aktivierte Lizenzen sofort übernehmen in der Registerkarte Einstellungen gesetzt haben, wird die Lizenz bei allen Produkten an erster Stelle in die Datei License.ini eingetragen. Diese INI-Datei enthält Informationen zur Reihenfolge, in der Lizenzen benutzt werden. Die Reihenfolge können Sie in der Registerkarte Lizenzverwendung anpassen.


Offline-Aktivierung

zenon Lizenzverwaltung 8.00 > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Lizenz aktivieren > Lizenz aktivieren über Registerkarte Lizenz aktivieren > Offline-Aktivierung

Bei der Offline-Aktivierung muss die Lizenzübertragung vom COPA-DATA Lizenzdepot in den Dongle manuell erfolgen. Diese Methode wird nur als letze Option empfohlen, wenn Online- bzw Remote-Lizenzierung nicht durchführbar sind. Bei Hardware-Dongles ist es unter Umständen einfacher, den Hardware Dongle an einen Rechner mit Internetverbindung anzustecken und dort online zu aktiveren.

Auch für die Offline-Lizenzierung ist der Zugriff auf eine Internetverbindung nötig. Allerdings kann der Zugangsrechner frei definiert werden.

Die Offline Aktivierung erfordert eine mehrstufigen Ablauf:

  1. Lizenz-Anforderungsdatei erzeugen
  2. Lizenz-Anforderungsdatei auf einen Rechner mit Internetzugriff übertragen.
    Das kann mit Hilfe beliebiger Speichermedien wie USB-Sticks, Wechseldatenträgern oder ähnlichem geschehen.
  3. Lizenz-Anforderungsdatei auf die Lizenzierungs-Webseite hochladen und von dort die Lizenz-Aktualisierungsdatei erhalten.
  4. Lizenz-Aktualisierungsdatei auf den zu lizenzierenden Rechner übertragen.
  5. Lizenz-Aktualisierungsdatei per Doppelklick auf die Datei einspielen und Lizenz-Bestätigungsdatei erzeugen.
  6. Lizenz-Bestätigungsdatei auf einen Rechner mit Internetzugriff übertragen.
  7. Lizenz-Bestätigungsdatei auf die Lizenzierungs-Webseite hochladen.

    Damit ist der Vorgang abgeschlossen.

Die Lizenz kann wahlweise in einen Software-Dongle oder - falls vorhanden - Hardware-Dongle übertragen werden. Details zu verfügbaren Dongles lesen Sie im Kapitel Dongle-Typen.

Ablauf im Detail

Um eine Lizenz offline zu aktivieren:

  1. Starten Sie die COPA-DATA Lizenzverwaltung.
  2. Wird der Startdialog angezeigt, dann klicken Sie auf die Schaltfläche Erweiterte Optionen und dann auf Erweiterte Lizenzverwaltung.
  3. Wechseln Sie zur Registerkarte Lizenz aktivieren.

  4. Entscheiden Sie, ob sie lokal lizenzieren oder auf einem Remote-Rechner.
    • Lokal: Belassen Sie die Einstellung auf Lokale Lizenzierung.
    • Remote: Stellen Sie eine Verbindung zum Remote-Rechner, auf dem die Lizenz benutzt werden soll, her. Details siehe Kapitel Remote Lizenzierung.
  5. Aktivieren Sie den Radiobutton Offline-Aktivierung.
  6. Geben Sie in die Option Seriennummer die Seriennummer ein, die aktiviert werden soll. Die Seriennummer entnehmen Sie dem Lizenzschein.
  7. Wählen Sie in der Option Zieldongle auswählen den Dongle aus, auf dem die Lizenz abgelegt werden soll. Sollten Sie Ihren Hardware-Dongle noch nicht angesteckt haben, so stecken Sie ihn nun an und klicken in der rechten oberen Ecke auf die Schaltfläche Aktualisieren.
  8. Klicken Sie auf die Schaltfläche Lizenz-Anforderungsdatei erstellen.
    Die Schaltfläche ist nur aktiv, wenn die Seriennummer gültig ist und ein Ziel-Dongle gewählt wurde.

    Der Dialog zum Speichern der Datei wird geöffnet.

  9. Speichern Sie die Datei:
    • Default Name: (die Seriennummer)
    • Default Dateiendung: LicReq.

    Wird zwischen Auswahl des Dongles und Speicherung der Datei der Dongle entfernt oder wird er nicht mehr gefunden, dann wird das Speichern mit einer Fehlermeldung abgebrochen. Der Benutzer muss erst den Dongle wieder zur Verfügung stellen oder einen neuen Dongle auswählen, bevor die Datei gespeichert werden kann.

  10. Übertragen Sie die Lizenz-Anforderungsdatei per USB Stick oder einem anderen Offline-Transportmittel auf einen Rechner mit Internetzugriff.
  11. Starten Sie dort einen Webbrowser.
  12. Öffnen Sie die Website https://copadata-license.copadata.com/.
  13. Klicken Sie auf die Schaltfläche Durchsuchen und wählen Sie die Lizenz-Anforderungsdatei aus.
  14. Klicken Sie auf die Schaltfläche Anforderungsdatei hochladen.
    Falls die Anforderung erfolgreich abgearbeitet werden kann, wechselt die Webseite auf die zweite Seite Aktualisierung herunterladen.
  15. Klicken Sie auf die Schaltfläche Aktualisierung herunterladen. Sie erhalten eine Lizenz-Aktualisierungsdatei. Je nach Browser und Browsereinstellung wird die Datei in einem Download-Ordner abgespeichert:
    • Default Name: (die Seriennummer)
    • Default Dateiendung: LicUpd.
  16. Übertragen Sie die Lizenz-Aktualisierungsdatei per USB Stick oder einem anderen Offline-Transportmittel auf den Ausgangsrechner zurück.
  17. Stellen Sie sicher, dass der zu lizenzierende Dongle angeschlossen ist.
  18. Führen Sie einen Doppelklick auf die Lizenz-Aktualisierungsdatei aus.

    Die COPA-DATA Lizenzverwaltung wird automatisch geöffnet. Die Lizenz wird in den Dongle übertragen und dort manipulationssicher gespeichert. Falls Sie die Option Aktivierte Lizenzen sofort übernehmen in der Registerkarte Einstellungen gesetzt haben, wird die Lizenz bei allen Produkten an erster Stelle in die Datei License.ini eingetragen. Diese INI-Datei enthält Informationen zur Reihenfolge, in der Lizenzen benutzt werden. Die Reihenfolge können Sie in der Registerkarte Lizenzverwendung anpassen.
    Bei Remote Lizenzierung wird bei einem Doppleklick auf die Lizenz-Aktualisierungsdatei auch eine Verbindung zum Remote System aufgebaut.
    Voraussetzung: Die Option Benutzerdatenerfassung in der Registerkarte Einstellungen ist nicht deaktiviert.
    Alternative Vorgehensweise:

    1. Öffnen Sie die COPA-DATA Lizenzverwaltung und wechseln Sie auf die Registerkarte Lizenz aktivieren.
    2. Falls erforderlich, bauen Sie eine Verbindung zum Remote-System auf, auf dem sich der zu lizenzierende Dongle befindet.
    3. Aktivieren Sie den Radiobutton Offline-Aktivierung.
    4. Klicken Sie auf die Schaltfläche Lizenz-Aktivierungsdatei importieren.
    5. Wählen Sie die Lizenz-Aktualisierungsdatei aus und klicken Sie auf Öffnen.

      Die Lizenz wird in den Dongle übertragen und dort manipulationssicher gespeichert. Falls Sie die Option Aktivierte Lizenzen sofort übernehmen in der Registerkarte Einstellungen gesetzt haben, wird die Lizenz bei allen Produkten an erster Stelle in die Datei License.ini eingetragen. Diese INI-Datei enthält Informationen zur Reihenfolge, in der Lizenzen benutzt werden. Die Reihenfolge können Sie in der Registerkarte Lizenzverwendung anpassen.

    Damit das Lizenzdepot weiß, dass die Lizenz erfolgreich in den Dongle übertragen wurde, muss eine Lizenz-Bestätigungsdatei erstellt und diese zu COPA-DATA übertragen werden. Die Datei wird automatisch erstellt, sobald eine offline Aktivierung erfolgreich durchgeführt wurde. Der Dialog zum Speichern der Datei öffnet sich automatisch.

  19. Speichern Sie die Lizenz-Bestätigungsdatei:
    • Default Name: (die Seriennummer)
    • Default Dateiendung: LicConf.

    Falls Sie die Bestätigung später durchführen möchten, können Sie die Lizenz-Bestätigungsdatei zu jedem beliebigen späteren Zeitpunkt erstellen. Details siehe Kapitel L izenz-Bestätigungsdatei erstellen.

  20. Übertragen Sie die Lizenz-Bestätigungsdatei per USB Stick oder einem anderen Offline-Transportmittel auf einen Rechner mit Internetzugriff.
  21. Starten Sie dort einen Webbrowser.
  22. Öffnen Sie die Website https://copadata-license.copadata.com/continue.php?step=3.
  23. Klicken Sie auf die Schaltfläche Durchsuchen und wählen Sie die Lizenz-Bestätigungsdatei aus.
  24. Klicken Sie auf die Schaltfläche Bestätigungsdatei hochladen.

Die Datei wird auf die Webseite hochgeladen und der Offline-Aktivivierungsmechanismus ist damit abgeschlossen.

Noch in diesem Kapitel

Lizenz-Bestätigungsdatei erstellen


Lizenz-Bestätigungsdatei erstellen

zenon Lizenzverwaltung 8.00 > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Lizenz aktivieren > Lizenz aktivieren über Registerkarte Lizenz aktivieren > Offline-Aktivierung > Lizenz-Bestätigungsdatei erstellen

Damit das Lizenzdepot weiß, dass die Lizenz erfolgreich in den Dongle übertragen wurde, muss eine Lizenz-Bestätigungsdatei erstellt und diese zu COPA-DATA übertragen werden.
Um eine Datei zu jedem beliebigen Zeitpunkt zu erstellen:

  1. Starten Sie die COPA-DATA Lizenzverwaltung.
  2. Wird der Startdialog angezeigt, dann klicken Sie auf die Schaltfläche Erweiterte Optionen und dann auf Erweiterte Lizenzverwaltung.
  3. Wechseln Sie zur Registerkarte Lizenz aktivieren.

  4. Entscheiden Sie, ob sie lokal lizenzieren oder auf einem Remote-Rechner.
    • Lokal: Belassen Sie die Einstellung auf Lokale Lizenzierung.
    • Remote: Stellen Sie eine Verbindung zum Remote-Rechner, auf dem die Lizenz benutzt werden soll, her. Details siehe Kapitel Remote Lizenzierung.
  5. Aktivieren Sie den Radiobutton Offline-Aktivierung.
  6. Geben Sie die Seriennummer ein, für die Sie eine Lizenz-Bestätigungsdatei erstellen möchten.
  7. Wählen Sie den Dongle aus, auf dem diese Lizenz gespeichert ist.
  8. Klicken Sie auf die Schaltfläche Lizenz-Bestätigungsdatei erzeugen.

    Der Dialog zum Speichern der Datei wird geöffnet.

  9. Speichern Sie die Lizenz-Bestätigungsdatei:
    • Default Name: (die Seriennummer)
    • Default Dateiendung: LicConf.
  10. Übertragen Sie die Lizenz-Bestätigungsdatei per USB Stick oder einem anderen Offline-Transportmittel auf einen Rechner mit Internetzugriff.
  11. Starten Sie dort einen Webbrowser.
  12. Öffnen Sie die Website https://copadata-license.copadata.com/continue.php?step=3.
  13. Klicken Sie auf die Schaltfläche Durchsuchen und wählen Sie die Lizenz-Bestätigungsdatei aus.
  14. Klicken Sie auf die Schaltfläche Bestätigungsdatei hochladen.

Die Datei wird auf die Webseite hochgeladen und der Offline-Aktivivierungsmechanismus ist damit abgeschlossen.


Sammelaktivierung

zenon Lizenzverwaltung 8.00 > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Sammelaktivierung

Wenn Sie bei COPA-DATA mehre Lizenzen bestellen, dann erhalten Sie zusätzlich zu den Lizenzscheinen eine Sammeldatei (*.LicSN). Diese Datei können Sie nutzen, um die Lizenzen zentral zu verwalten und von einer zentralen Stelle aus zu aktivieren. Hierzu bietet sich die Remote-Lizenzierung an.

Die Aktivierung der Lizenzen aus der Sammeldatei können Sie entweder mit COPA-DATA Lizenzverwaltung in der Registerkarte Sammelaktivierung durchführen oder automatisiert das Kommandozeilen-Tool LicenseManagerAutomation.exe verwenden. Auch eine gemischte Verwendung ist möglich.

Die Sammeldatei ist eine CSV-Datei, die mit jedem beliebigen Texteditor oder einer Tabellenkalkulation bearbeitet werden kann.

  • Spaltentrennzeichen: Semikolon (;) oder Tabulator (\t)

Spaltenaufbau:

Spalte

Bezeichnung

Beschreibung

1

Seriennummer

Die eindeutige Seriennummer jeder Lizenz.

2

Artikelname

Enthält den Artikelnamem der Lizenz.
Dient nur zur Information und hat keine funktionale Auswirkung.

3

Zielrechner

Angabe des Zielrechners:

  • Wenn noch nicht lizenziert:
    Rechnername auf den die Lizenz übertragen werden soll. Es können verwendet werden: IPv4-Adresse, IPv6-Adresse oder Rechnername.
  • Wenn bereits lizenziert:
    Rechnername auf den die Lizenz übertragen wurde.

4

Benutzername

Windows Benutzername, von dem die Lizenz aktiviert wurde.
Dient nur zur Information.

5

Aktiviert

Anzeige des Status der Aktivierung:

  • True: aktiviert
  • False oder leer: nicht aktiviert

Bei True wird diese Lizenz bei der Abarbeitung über die Kommadozeile nicht mehr berücksichtigt.

6

Fehlertext

Falls bei der Aktivierung ein Fehler aufgetreten ist, wird der Fehler hier protokolliert.

Die Originaldatei ist nur mit den ersten beiden Spalten gefüllt.

Um die Datei für die Sammelaktivierung über die COPA-DATA Lizenzverwaltung oder die Kommandozeile zu nutzen:

  • Tragen Sie für jede Lizenz in die Spalte 3 den Zielrechner ein.

    Beispiel:

    • Original-Zeile der Sammeldatei: C005L-XQP49-Z42Q8-00000-02985;zenon SU RT 64 TAGs;
    • Ergänzen Sie diese Zeile:C005L-XQP49-Z42Q8-00000-02985;zenon SU RT 64 TAGs;MyPCtoLicense

Sammelaktivierung in der COPA-DATA Lizenzverwaltung

Hinweis: Diese Registerkarte ist per Default ausgeblendet. Um sie anzuzeigen, aktivieren Sie in der Registerkarte Einstellungen die Eigenschaft Registerkarte für zusätzliche Lizenzierungsoptionen anzeigen.

Eine Lizenz aktivieren

Um eine Lizenz zu aktivieren:

  1. Speichern Sie die Sammledatei mit der Dateiendung *.LicSN auf ihrem Rechner.
  2. Tragen Sie den Zielrechner in die Datei ein.
  3. Öffnen Sie die COPA-DATA Lizenzverwaltung.
  4. Wird der Startdialog angezeigt, dann klicken Sie auf die Schaltfläche Erweiterte Optionen und dann auf Erweiterte Lizenzverwaltung.
  5. Wechseln Sie zur Registerkarte Sammelaktivierung.

    Falls diese nicht angezeigt wird:

    1. Wechseln Sie zur Registerkarte Einstellungen.
    2. Aktivieren Sie die Checkbox für Registerkarte für zusätzliche Lizenzierungsoptionen anzeigen.
  6. Wählen Sie in der Option Wählen Sie die .LicSN-Datei aus die Sammeldatei mit den Lizenzen aus.
    Klicken Sie dazu auf die Schaltfläche .... Die Datei hat die Dateiendung *.LicSN.

    In der Liste Wählen Sie die zu aktualisierende Lizenz aus werden alle in der Datei verfügbaren Lizenzen angezeigt.
    Sie können die in der Datei enthaltenen Lizenzen nach Seriennummer, Lizenzname, Zielrechner, Benutzername und Aktivierungsstatus filtern und sortieren.
    Fehlerhafte Seriennummern werden durch ein Symbol markiert.

  7. Wählen Sie die gewünschte Lizenz aus.
    Wurde ein Zielrechner eingetragen, dann wird sofort eine Verbindung zu diesem Zielrechner aufgebaut.
    Wird eine bereits aktivierte Lizenz ausgewählt, dann wird die Schaltfläche Lizenz aktivieren in Lizenz aktualisieren geändert.
  8. Wählen Sie in der Option Zieldongle auswählen den Dongle am Remote Rechner aus, auf den die Lizenz übertragen werden soll.
  9. Klicken Sie auf Lizenz aktivieren oder Lizenz aktualisieren.

Die Lizenz wird auf dem ausgewählten Zieldongle aktiviert und die Textdatei wird mit den Daten der Lizenzierung befüllt.

Registerkarte Sammelaktivierung

Option

Beschreibung

Wählen Sie die .LicSN-Datei aus

Auswahl der Datei mit den Lizenznummern. Die Datei hat die Dateiendung .LicSN.

Die in der Datei enthaltenen Lizenzen werden in der Option Wählen Sie die zu aktualisierende Lizenz aus angezeigt.

Wählen Sie die zu aktualisierende Lizenz aus

Anzeige und Auswahl der vorhandenen Lizenzen. Die Anzeige kann gefiltert und sortiert werden.

  • Filtern: Geben Sie den Filterbegriff in die Filterzeile ein.
  • Sortieren: Klicken Sie auf den Spaltentitel. Die Einträge werden sortiert angezeigt. Ein erneuter Klick invertiert die Anzeige.

Auswahl durch Klick auf eine Lizenz.

Zieldongle auswählen

Auswahl des Dongles, mit dem die Lizenz verknüpft werden soll.

Lizenz aktivieren

Lizenz aktualisieren

Aktiviert die ausgewählte Lizenz auf dem ausgewählten Dongle oder aktualisiert die Lizenz, falls sie bereits aktiviert wurde.

Dialog-Optionen

Option | Beschreibung
Lokale Lizenzierung / Remote-Lizenzierung | Klick auf auf den Pfeil in der Kopfzeile öffnet die Optionen zum Verbindungsaufbau zu einem Remote Rechner oder Auswahl des lokalen Rechners.
Startdialog anzeigen | Öffnet den Startdialog für Standard-Lizenzierungsaufgaben.
Hilfe | Öffnet die Online-Hilfe.
Beenden | Klick auf die Schaltfläche schließt den Dialog.


Einstellungen

zenon Lizenzverwaltung 8.00 > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Einstellungen

In dieser Registerkarte werden Einstellungen zur Lizenzverwaltung konfiguriert.

Option

Beschreibung

Benutzerdatenerfassung

Einstellungen für Erfassung von Benutzerdaten:

  • Aktiv: Benutzerdaten werden erfasst.
    Erfasst werden unter anderem: Betriebssystem, Benutzername, Rechnername, IP-Adressen und Domäne. Details siehe Kapitel Benutzerdaten.
  • Inaktiv: Es werden keine Benutzerdaten erfasst.

Default: aktiv

Achtung: Wird diese Option deaktiviert, können verlorene Lizenzen nicht wieder hergestellt oder ersetzt werden.

Im Netzwerk nach Dongles und Lizenzen suchen

Einstellung zur Suche nach Lizenzen:

  • Aktiv: Dongles und Lizenzen werden auch im Netzwerk gesucht. Diese Suche kann längere Zeit beanspruchen.
  • Inaktiv: Es wird nur auf dem lokalen Laufwerk gesucht.

Default: inaktiv

Einstellung wird sofort übernommen. Um neue Dongles und Lizenzen anzuzeigen, muss die jeweilige Liste aktualisiert werden.

Hinweis: Diese Einstellung wirkt sich nur auf die COPA-DATA Lizenzverwaltung aus. Die zenon Anwendungen greifen immer auch auf das Netzwerk zu, falls Sie lokal die Lizenz nicht finden.

Aktivierte Lizenzen sofort übernehmen

Einstellung, wann die aktivierte Lizenz in die License.ini geschrieben wird:

  • Aktiv: Lizenz wird mit Klick auf Lizenz aktivieren sofort in die License.ini an erster Stelle geschrieben und allen lizenzierten Produkten zugeordnet.
  • Inaktiv: Lizenz wird erst mit Zuordnung in der Registerkarte Lizenzverwendung in die License.ini geschrieben.

Default: aktiv

Registerkarte für zusätzliche Lizenzierungsoptionen anzeigen

Regelt die Anzeige der Registerkarte Sammelaktivierung:

  • Aktiv: Registerkarte wird angezeigt.
  • Inaktiv: Registerkarte wird ausgeblendet.

Default: inaktiv

Alle verwendeten Lizenzen automatisch aktualisieren

Lizenzen automatisch aktualisieren.

  • Aktiv: Alle Lizenzen werden in regelmäßigen Abständen automatisch auf Aktualisierung überprüft.
  • Inaktiv: Lizenzen werden nicht überprüft. Die Überprüfung muss manuell ausgeführt werden.

Default: aktiv

Default-Zykluszeit: 7 Tage.
Der Zyklus kann in den Einstellungen [SETTINGS] der License.ini geändert werden.

Weitere Informationen: Siehe Kapitel Geänderte Lizenzen übernehmen.

Startdialog bei Start der Lizenzverwaltung anzeigen

Aktivierung des Wizards für Lizenzierungsaufgaben:

  • Aktiv: Vor dem Öffnen wird der Startdialog angezeigt, der durch typische Lizenzierungsvorgänge führt.
  • Inaktiv: Die Anwendung wird direkt geöffnet.

Default: aktiv

Software-Dongle auf Dongle-Typ "VM DataCenter" wechseln.

Ändert den Typ des verwendeten Software-Dongles von Virtual Machine auf VM DataCenter.

Nur verfügbar, wenn COPA-DATA Lizenzverwaltung in einer Virtual Machine läuft.

Software-Dongle auf Dongle-Typ "Virtual Machine" wechseln

Ändert den Typ des verwendeten Software-Dongles von VM DataCenter auf Virtual Machine .

Nur verfügbar, wenn die COPA-DATA Lizenzverwaltung in einer Virtual Machine läuft.

Proxy-Einstellungen

Öffnet oder schließt den Bereich zur Konfiguration eines Proxy-Rechners. Details siehe Kapitel: Proxy konfigurieren

Proxy-Konfiguration automatisch erkennen
  • Aktiv: Der Proxy wird automatisch über die generellen Systemeinstellungen erkannt.

Manuelle Proxy-Konfiguration
  • Aktiv: Der Proxy wird manuell konfiguriert.

Für die Konfiguration müssen angegeben werden:

  • Proxy: URL des Proxy.
  • Port: Zu verwendender Port.
    Minimum: 1
    Maximum: 65535
    Default: 80
  • Benutzer: Benutzername für den Proxy-Zugang.
    Wird nicht validiert.
  • Passwort: Passwort für den Proxy-Zugang.
    Wird verschlüsselt gespeichert und nicht validiert.

Proxy-Konfiguration speichern

Speichert die manuelle Proxy-Konfiguration.

Dialog-Optionen

Option | Beschreibung
Lokale Lizenzierung / Remote-Lizenzierung | Klick auf auf den Pfeil in der Kopfzeile öffnet die Optionen zum Verbindungsaufbau zu einem Remote Rechner oder Auswahl des lokalen Rechners.
Startdialog anzeigen | Öffnet den Startdialog für Standard-Lizenzierungsaufgaben.
Hilfe | Öffnet die Online-Hilfe.
Beenden | Klick auf die Schaltfläche schließt den Dialog.

Noch in diesem Kapitel

Benutzerdaten

Proxy konfigurieren


Benutzerdaten

zenon Lizenzverwaltung 8.00 > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Einstellungen > Benutzerdaten

Verwendung von Benutzerdaten

Bei der Lizenzierung über die COPA-DATA Lizenzverwaltung per Dialog oder Kommandozeile werden auch Benutzerdaten erfasst und gespeichert. Diese Daten dienen dazu, verlorene oder beschädigte Lizenzen wiederherzustellen. Die Daten werden lokal bei COPA-DATA in Österreich gespeichert.

Erfasst werden:

  • Betriebssystem: Art und Version.
  • Netzwerkadressen: Alle am Rechner vorhandenen Netzwerkadressen.
  • Full Qualified Host Name
  • Benutzername und Domäne

Diese Daten werden für den Rechner erfasst, auf dem die Lizenzierung ausgeführt wird. Wird die Lizenzierung Remote ausgeführt, werden diese Daten auch für den Zielrechner erfasst.

Deaktivierung

Die Erfassung dieser Daten kann in der COPA-DATA Lizenzverwaltung deaktiviert werden. Es können dann weiterhin Lizenzen bezogen und verwaltet werden. Support und technische Unterstützung für die Lizenzierung sind aber aufgrund fehlender Daten nicht möglich.

Wird die Erfassung deaktiviert, kann COPA-DATA folgende Dienstleistungen nicht mehr anbieten:

  • Automatisches Einspielen von Lizenzen auf Remote Rechnern.
  • Nachverfolgung, auf welchem Rechner die Lizenz von wem aktiviert wurde.
    Damit kann bei Lizenzverlust auch keine Unterstützung beim Suchen der Lizenz angeboten werden. Auch können verlorene Lizenzen dann nicht im Kulanzweg ersetzt werden.

Daten,die bis zur Deaktivierung erhoben wurden, bleiben gespeichert.


Proxy konfigurieren

zenon Lizenzverwaltung 8.00 > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Einstellungen > Proxy konfigurieren

Für die online Aktivierung, Lizenz-Rückgabe und das Lizenz-Update wird ein Zugang ins Internet benötigt. In manchen Firmennetzwerken ist kein direkter Internetzugang möglich. Die Verbindung muss über einen Proxy Server hergestellt werden. Wenn Ihr System Administrator die Daten für den Proxy Server korrekt im Betriebssystem hinterlegt hat, sind keine weiteren Einstellungen erforderlich. Ansonsten muss der Proxy Server manuell konfiguriert werden:

  1. Öffnen Sie in der COPA-DATA Lizenzverwaltung die Registerkarte Einstellungen.
  2. Klicken Sie auf Proxy-Einstellungen.
  3. Aktivieren Sie den Radio-Button für Manuelle Proxy-Konfiguration.
  4. Tragen Sie den URL für den Proxy ein.
  5. Tragen Sie den Port ein.
  6. Tragen Sie den Benutzernamen ein.
    Achtung: Dieser wird nicht validiert.
  7. Geben Sie das Passwort an.
    Dieses wird verschlüsselt eingetragen.
    Achtung: Das Passwort wird nicht validiert.
  8. Klicken Sie auf Proxy speichern.

Bei einer manuellen Konfiguration speichert die COPA-DATA Lizenzverwaltung auch die vom System gesetzten Proxy-Einstellung. Diese werden als Fallback verwendet, wenn mit den manuell konfigurierten Proxy-Einstellungen keine Verbindung hergestellt werden kann. Das ist zum Beispiel relevant, wenn für den Benutzer, in dessen Kontext dieCOPA-DATA Lizenzverwaltung verwendet wird, zwar ein Proxy konfiguriert ist, im Systemkontext aber diese Einstellung nicht verfügbar ist.

Online-Aktivierung

Ist bei der Online-Aktivierung der konfigurierte Proxy nicht erreichbar, wird der Dialog zur Konfiguration eingeblendet. Zusätzlich werden Fehlermeldungen angezeigt. Änderungen an den Einstellungen werden mit dem nächsten Aufbau der Verbindung automatisch gespeichert.


Lizenz übertragen/übersiedeln

zenon Lizenzverwaltung 8.00 > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Lizenz übertragen/übersiedeln

Das Übertragen einer Lizenz ist zum Beispiel nötig, wenn:

  • die Lizenz auf einem anderen Rechner oder in einer anderen Virtual Machine genutzt werden soll
  • sich die Hardware eines Rechners mit Software-Dongle ändert
  • das Betriebssystem eines Rechners mit Software-Dongle erneuert wird
  • die Festplatte mit dem Laufwerk C eines Rechners mit Software-Dongle ausgetauscht werden soll
  • der Host-Rechner für eine Virtual Machine wechselt oder dessen Hardware geändert wird
  • Sie mehrere Lizenzen auf einem Hardware-Dongle zusammenfassen möchten
  • Sie einen physikalischen Rechner in eine Virtual Machine umwandeln möchten

Ob eine Lizenz beim physikalischen Umbau eines Rechners weiter genutzt werden kann, hängt davon ab, welche und wie viele Komponenten geändert werden. Die Änderung des Rechnernamens oder der Tausch einer Festplatte (ausgenommen Laufwerk C) stellen in der Regel kein Problem dar.

Die Übertragung von Lizenzen funktioniert für Hardware-Dongles und Software-Dongles gleichermaßen.
Um eine Lizenz von einem Rechner (Dongle) auf einen anderen Rechner (Dongle) zu übertragen:

  1. Geben Sie die Lizenz vom bisherigen Dongle zurück.
  2. Aktivieren Sie die Lizenz auf dem neuen Dongle erneut.

info Info

Lizenzen können nicht direkt zwischen einem physikalischen Rechner und einer Virtual Machine Maschinen übertragen werden. Die Lizenz muss an die jeweilige Bedingung angepasst werden. Wenden Sie sich in diesem Fall an Ihren COPA-DATA Vertriebspartner. Siehe auch Kapitel Virtual Machines.

Noch in diesem Kapitel

Lizenz zurückgeben


Lizenz zurückgeben

zenon Lizenzverwaltung 8.00 > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Lizenz übertragen/übersiedeln > Lizenz zurückgeben

Lizenzen können zurückgegeben werden. Dies ist zum Beispiel nötig, wenn eine Lizenz auf einem anderen Rechner eingesetzt werden soll. Siehe auch Kapitel Lizenz übertragen/übersiedeln.

Hinweise zur Lizenzrückgabe:

  • Nur lokale Lizenzen können zurückgegeben werden.
  • Lizenzen mit einem definierten Nutzungszeitraum und Demo-Lizenzen können nicht zurückgegeben werden.
  • Ausgeliehene Lizenzen oder Lizenzen, die ganz oder teilweise verliehen sind, können nicht zurückgegeben werden. Sie müssen zuerst die Ausleihe beenden. (Ausleihe verfügbar ab Version 8.10.)

Lizenzen könne auf zwei Arten zurückgegeben werden:

  • Lizenz online zurückgeben (bevorzugte Variante)
  • Lizenz offline zurückgeben

Noch in diesem Kapitel

Lizenz online zurückgeben

Lizenz offline zurückgeben


Lizenz online zurückgeben

zenon Lizenzverwaltung 8.00 > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Lizenz übertragen/übersiedeln > Lizenz zurückgeben > Lizenz online zurückgeben

Um eine Lizenz online zurückzugeben:

  1. Starten Sie die COPA-DATA Lizenzverwaltung
  2. Im Startdialog klicken Sie auf die Schaltfläche Erweiterte Optionen und dann auf die Schaltfläche Lizenz übersiedeln/zurückgeben.
    • Falls sich nur eine zurückgebbare Lizenz lokal auf Ihrem Rechner befindet, wird diese online zurückgegeben.
      Bestätigen Sie dazu die entsprechende Abfrage.
    • Falls sich mehrere zurückgebbare Lizenzen lokal auf Ihrem Rechner befinden, dann werden Sie automatisch zur Registerkarte Lizenzübersicht weitergeleitet.
      Fahren Sie fort mit Vorgang bei mehreren Lizenzen, Schritt 3.

Vorgang bei mehreren Lizenzen:

  1. Starten Sie die COPA-DATA Lizenzverwaltung
  2. Wird der Startdialog angezeigt, dann klicken Sie auf die Schaltfläche Erweiterte Optionen und dann auf Erweiterte Lizenzverwaltung.
  3. Wechseln Sie in die Registerkarte Lizenzübersicht.
  4. Wählen Sie die gewünschte Lizenz aus der Liste aus.

  5. Klicken Sie auf Lizenz zurückgeben.

    Die Lizenz wird online zurückgegeben.


Lizenz offline zurückgeben

zenon Lizenzverwaltung 8.00 > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Lizenz übertragen/übersiedeln > Lizenz zurückgeben > Lizenz offline zurückgeben

Die Offline-Rückgabe ist noch nicht in die COPA-DATA Lizenzverwaltung integriert worden. Sie funktioniert jedoch über den selben Weg wie die Offline-Aktivierung. Unterschied: Es muss ein anderer Rückgabelink in den Webbrowser eingegeben werden!

Vorgangsweise:

  1. Starten Sie die COPA-DATA Lizenzverwaltung
  2. Wechseln Sie in die Registerkarte Lizenz aktivieren.
    Wird der Startdialog angezeigt, klicken Sie auf Erweiterte Optionen und dann auf Erweiterte Lizenzverwaltung. Wechseln Sie dann zur Registerkarte Lizenz aktivieren.

  3. Wählen Sie die Option Offline-Aktivierung.
  4. Geben Sie die Seriennummer der Lizenz ein, die Sie zurückgeben wollen.
  5. Wählen Sie den Dongle aus, auf dem die Lizenz gespeichert ist.
  6. Erstellen Sie eine Lizenz-Anforderungsdatei. Klicken Sie dazu auf die Schaltfläche Lizenz-Anforderungsdatei erstellen.

    Eine Datei mit der Dateiendung *.LicReq wird erzeugt.

  7. Achtung: Verwenden Sie nicht den Link, der in der COPA-DATA Lizenzverwaltung vorgegeben ist!
    Öffnen Sie stattdessen in einem Webbrowser diesen Link:
    https://copadata-license.copadata.com/return.php
  8. Laden Sie die umbenannte Lizenz-Anforderungsdatei *.LicReq auf die Webseite hoch.

    Sie bekommen eine Lizenz-Aktualisierungsdatei mit der Dateiendung *.LicUpd als Antwort.

  9. Klicken Sie in der COPA-DATA Lizenzverwaltung auf die Schaltfläche Lizenz-Aktualisierungsdatei importieren und übernehmen Sie die von der Webseite generierte Datei.

    Wichtig: Damit die Lizenz vom Lizenzdepot wirklich als zurückgegeben akzeptiert wird, müssen Sie unbedingt die Bestätigungsdatei erzeugen und zur Webseite übertragen.
    Dazu:

    1. Klicken Sie auf die Schaltfläche Lizenz-Bestätigungsdatei erzeugen.
      Es wird eine Datei mit der Dateiendung *.LicConf erzeugt.
  10. Öffnen Sie diesen Link in einem Webbrowser:
    https://copadata-license.copadata.com/continue.php?step=3
  11. Laden Sie die Lizenz-Bestätigungsdatei *.LicConf auf die Webseite hoch.

Damit ist der Vorgang abgeschlossen.


Geänderte Lizenz übernehmen/updaten

zenon Lizenzverwaltung 8.00 > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Geänderte Lizenz übernehmen/updaten

Alle Lizenzinformationen sind im Dongle gespeichert. Wenn Sie ein Update oder ein Upgrade Ihrer Lizenz bestellen, dann muss die Lizenz im Dongle aktualisiert werden.
Änderungen an der Lizenz können benötigt werden durch:

  • Produktupgrade oder geänderten Modulausbau
  • Ablaufdatum oder Nutzungszeitraum geändert
  • Neue Version oder Änderung des Wartungsvertrags
  • Lizenzanzahl geändert

Für Updates und Upgrades gilt:

  • Diese werden immer auf eine bestehende Seriennummer gebucht.
    Sie erhalten einen Lizenzschein mit der betroffenen Seriennummer.
  • Die Lizenzänderung wird im Lizenzdepot abgelegt und muss in den Dongle übertragen werden. Falls mehrere Lizenzupdates im Lizenzdepot hinterlegt sind, werden diese immer in einem Vorgang übertragen.
  • Falls Sie die Lizenz noch nie aktiviert haben, wird das Update bei der ersten Aktivierung mit eingespielt.
    Sie müssen dann keinen extra Schritt mehr durchführen.
  • Falls die Lizenz bereits aktiviert wurde, müssen Sie das Update einspielen.
    Dazu gibt es zwei Möglichkeiten:
    • Lizenz online updaten - die bevorzugte Variante
    • Lizenz offline updaten

Noch in diesem Kapitel

Lizenzen online updaten

Lizenzen offline updaten


Lizenzen online updaten

zenon Lizenzverwaltung 8.00 > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Geänderte Lizenz übernehmen/updaten > Lizenzen online updaten

Lizenzen können manuell oder automatisiert upgedatet werden. Ausgenommen sind Demo-Lizenzen und Lizenzen im Netzwerk.

Automatisiertes Update

Per Default werden alle Lizenzen in einem Zyklus von 7 Tagen auf Updates überprüft. Die Zykluszeit kann in den Einstellungen [SETTINGS] der License.ini geändert werden. Das automatische Update kann in der COPA-DATA Lizenzverwaltung in der Registerkarte Einstellungen über die Option Alle verwendeten Lizenzen automatisch aktualisieren deaktiviert werden.

Die automatischen Updates werden über den Lizenztransfer Dienst durchgeführt. Wenn dieser Windows Dienst nicht gestartet ist, werden keine automatischen Updates durchgeführt.

Lizenz manuell updaten

Um eine Lizenz manuell upzudaten stehen Ihnen drei Wege offen

  • Alle Lizenzen über den Startdialog aktualisieren.
  • Eine Lizenz über die Registerkarte Lizenzübersicht aktualisieren.
  • Alle Lizenzen über die Kommandozeilenapplikation LicenseManagerAutomation.exe aktualisieren.

Update über den Startdialog

  1. Starten Sie die COPA-DATA Lizenzverwaltung.
    Die Option Startdialog bei Start der Lizenzverwaltung anzeigen muss aktiviert sein. Damit öffnet sich der Startdialog beim Starten der Anwendung. Anderenfalls klicken Sie auf die Schaltfläche Startdialog anzeigen.

    Der Assistent für die Lizenzierung wird angezeigt.

  2. Klicken Sie auf Erweiterte Optionen.
  3. Klicken Sie auf Alle Lizenzen updaten.
  4. Der Ablauf zum Aktualisieren wird gestartet.
    Kann eine Lizenz nicht aktualisiert werden oder steht keine Aktualisierung bereit, wird eine entsprechende Meldung ausgegeben.

Update über die Registerkarte Lizenzübersicht

  1. Öffnen Sie in der COPA-DATA Lizenzverwaltung die Registerkarte Lizenzübersicht.
  2. Wählen Sie die Lizenz aus, die aktualisiert werden soll.
    Kann eine Lizenz vom Benutzer nicht aktualisiert werden, wird die Schaltfläche Lizenz updaten nicht freigegeben.
  3. Klicken Sie auf die Schaltfläche Lizenz updaten.

    Die Lizenz wird online aktualisiert.
    Steht keine Aktualisierung zur Verfügung, wird eine entsprechende Meldung angezeigt.

Update über Kommandozeile

Um Lizenzen automatisiert über eine Dritt-Applikation upzudaten, nutzen Sie das Kommandozeilenprogramm LicenseManagerAutomation.exe.
Kommando: LicenseManagerAutomation.exe -a UpdateAll


Lizenzen offline updaten

zenon Lizenzverwaltung 8.00 > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Geänderte Lizenz übernehmen/updaten > Lizenzen offline updaten

Um Offline-Updates für Lizenzen einzuspielen, verwenden Sie die Offline Aktivierung wie bei der erstmaligen Aktivierung. Es gibt keine funktionale Unterscheidung zwischen Aktivierung und Update.

attention Achtung

Das Update kann nur auf dem selben Dongle eingespielt werden, auf dem die Ursprungslizenz aktiviert wurde. Stellen Sie daher sicher, dass Sie den richtigen Dongle auswählen.


Remote Lizenzierung

zenon Lizenzverwaltung 8.00 > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Remote Lizenzierung

Bei der Remote Lizenzierung werden alle Vorgänge, die die Lizenzverwaltung unterstützt, nicht auf dem lokalen Rechner durchgeführt, sondern auf einem anderen Rechner im lokalen Netzwerk (LAN).

Für die Remote Lizenzierung gibt es zwei Anwendungsfälle:

  • Der zu lizenzierende Rechner ist nicht direkt vor Ort.
  • Der zu lizenzierende Rechner ist nicht direkt ins Internet angebunden. Sie können in dem Fall einen zweiten Rechner als Proxy-Rechner (Vermittlungsrechner) benutzen. Damit könne Sie trotzdem die Vorteile von online Aktivierung, Rückgabe und Update nutzen und müssen die Schritte nicht manuell ausführen.

Die remote Lizenzierung funktioniert sowohl in der COPA-DATA Lizenzverwaltung als auch im Kommandozeilentool. Als Gegenstelle fungiert immer der Dienst zenLicTransfer. Dieser Dienst greift immer auf die lokal am Remote-Rechner verfügbaren Daten zu.

Achtung! Die Remote-Lizenzierung hat nichts mit der CodeMeter Netzwerklizenzierung zu tun. Die CodeMeter Mechanismen beruhen auf der CodeMeter Runtime und dienen dazu, die Lizenz von einem Produkt aus zu belegen bzw. freizugeben.
Die zenon Remote-Lizenzierung dient dazu, Lizenzen remote zu aktivieren, deaktivieren und zu verwalten.

Da beide System unterschiedliche Aufgaben zu erfüllen haben und unterschiedliche Transportlayer verwenden, kann es durchaus vorkommen, dass ein Dongle vom einem der beiden Systeme erkannt wird und vom anderen nicht.

Remote angebotene Funktionalitäten:

  • Lizenzen aktivieren (online wie offline)
  • Lizenzen aktivieren per online Sammelaktivierung
  • Lizenzen Produkten zuordnen
  • Lizenzen zurückgeben
  • Lizenzen ausleihen/verleihen (ab Version zenon 8.10/zenon Analyzer 3.30)

Noch in diesem Kapitel

Lizenzierung lokal oder remote

Dienst zenLicTransfer


Lizenzierung lokal oder remote

zenon Lizenzverwaltung 8.00 > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Remote Lizenzierung > Lizenzierung lokal oder remote

Sie können Lizenzen lokal oder remote - auf entfernten Rechnern - aktivieren und Produkten zuweisen. Per Default erfolgt die Lizenzierung lokal.

Voraussetzungen Remote-Aktivierung:

  • Der Remote-Rechner ist im Netzwerk erreichbar.
  • Der Lizenzdienst zenLicTransfer ist am Remote-Rechner aktiv und erreichbar.

Remote-Lienzierung

Um die Lizenzierung auf remote umzustellen:

  1. Klicken Sie in der Kopfzeile der COPA-DATA Lizenzverwaltung auf den Pfeil neben Lokale Lizenzierung.

    Der Bereich für diese Option wird geöffnet.

  2. Deaktivieren Sie die Checkbox Lokale Lizenzierung.

    Der Bereich wird umbenannt in Remote Lizenzierung.

    Der Bereich zur Eingabe eines Verbindungsnamens wird frei geschaltet.

  3. Geben Sie den Namen oder die IP-Adresse des Remote-Rechners an.
  4. Klicken Sie auf Verbinden.

    Die Verbindung wird hergestellt. Alle weiteren Aktionen in der COPA-DATA Lizenzverwaltung werden auf dem Remote-Rechner ausgeführt.

Tipp Tipp

Sie können die Remote-Lizenzierung auch nutzen, um auf Rechnern, die über keine Internetanbindung verfügen, Lizenzen online zu aktivieren. Die COPA-DATA Lizenzverwaltung übernimmt dabei die Funktion eines Proxy (Vermittlungsrechner).

Dialogeinstellungen

Option

Beschreibung

Lokale Lizenzierung/Remote Lizenzierung [Rechner]

Auswahl, ob Lizenzierung lokal oder auf einem Remote-Rechner erfolgt.

Zeigt an, welche Art der Lizenzierung ausgewählt ist. Bei Remote Lizenzierung wird der Rechnername oder die IP-Adresse des Remote-Rechners angezeigt.

Beim Umschalten werden Lizenz- und Dongle-Daten neu geladen.

Lokale Lizenzierung

Aktiviert und deaktiviert lokale Lizenzierung:

  • Aktiv: Die Lizenzierung erfolgt lokal.
  • Inaktiv: Die Lizenzierung erfolgt remote auf dem bei Remote Verbindungsnamen festgelegten Rechner.

Default: Aktiv

Remote Verbindungsname

Eingabe der Verbindungsdaten zum entfernten Rechner: Computername oder IP-Adresse. Es können IPv4- oder IPv6-Adressen eingegeben werden.

Nur verfügbar, wenn Lokale Lizenzierung inaktiv ist.

Verbinden

Stellt Verbindung zum Remote-Rechner her.

Aktualisieren

Lädt Lizenz- und Dongle-Daten vom lokalen oder remote Rechner neu.


Dienst zenLicTransfer

zenon Lizenzverwaltung 8.00 > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Remote Lizenzierung > Dienst zenLicTransfer

Für die Übertragung von Lizenzinformationen auf einen Remote-Rechner nutzt die COPA-DATA Lizenzverwaltung den Dienst License Transfer Service (zenLicTransfer). Dieser wird automatisch mit dem Betriebssystem gestartet. Der Dienst öffnet einen TCP-Serverport und nimmt Verbindungen von der COPA-DATA Lizenzverwaltung an. Die Kommunikation ist mit AES verschlüsselt und auf eine gleichzeitige Verbindung limitiert.

Der Dienst kommuniziert per Default über den Port 50784. Dieser Port kann über das Startup Tool in der Registerkarte Listening ports angepasst werden. Änderungen des Ports müssen jeweils lokal und remote durchgeführt werden.

Dieser Dienst führt auch automatische Aktualisierungen von Lizenzen aus.


Listen filtern und sortieren

zenon Lizenzverwaltung 8.00 > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Listen filtern und sortieren

Listen können gefiltert und sortiert angezeigt werden.

Listen filtern

Optionen für Filter.

Option

Beschreibung

Eingabefeld

Eingabe der Zeichenfolge, nach der gefiltert werden soll.

aA

Schaltet um zwischen:

  • Groß-/Kleinschreibung wird nicht berücksichtigt
  • Groß-/Kleinschreibung wird berücksichtigt

Default: Groß-/Kleinschreibung wird nicht berücksichtigt

Symbol Filter

Klick auf Filtersymbol öffnet Liste zur Auswahl eines Filterkriteriums.

Default: Enthält

Filterkriterien

Als Kriterien für Filterausdrücke stehen zur Verfügung:

Kriterium | Beschreibung
Filter entfernen | Entfernt alle Filterkriterien. Es werden wieder alle Zeilen angezeigt.
Enthält | Es werden alle Einträge angezeigt, die diese Zeichenfolge enthalten. (Default-Einstellung.)
Enthält nicht | Es werden alle Einträge angezeigt, die diese Zeichenfolge nicht enthalten.
Ist leer | Es werden alle leeren Zellen angezeigt.
Ist nicht leer | Es werden alle Zellen angezeigt, die mindestens ein Zeichen enthalten. Auch Leerzeichen werden als Zeichen gewertet.

Listen sortieren

Um eine Liste zu sortieren:

  1. Klicken Sie in den Kopf der Spalte, nach der die Liste sortiert werden soll.
  2. Klicken Sie erneut, um die Sortierung zu ändern.

    Es werden drei Sortierungen der Reihe nach durchlaufen:

    • Aufsteigend: Die Liste wird von 0 - 9 und von a - z sortiert.
      Anzeige durch Pfeil nach oben.
    • Absteigend: Die Liste wird von 9 - 0 und von z - a sortiert
      Anzeige durch Pfeil nach unten.
    • Unsortiert: Die Liste wird im ursprünglichen Zustand angezeigt, also so, wie sie angelegt wurde.


Lizenzierung über Kommandozeile - Automatisierung

zenon Lizenzverwaltung 8.00 > Lizenzierung > Lizenzierung über Kommandozeile - Automatisierung

Das Kommandozeilentool LicenseManagerAutomation.exe ermöglicht es, Lizenzen nicht nur manuell mittels einer Benutzeroberfläche zu aktiviert, sondern auch automatisiert in großen Mengen. Damit sind auch Sammelaktivierungen im Netzwerk möglich.

Folgende Funktionalitäten stehen zur Verfügung:

  • Einzellizenz aktivieren
  • Massenaktivierung mittels Sammeldatei
  • Alle Lizenzen eines Rechners updaten
  • Lizenz an erster Stelle in License.ini eintragen

Alle Funktionalitäten stehen sowohl lokal als auch remote zur Verfügung

Aufruf

  • Aufruf: LicenseManagerAutomation.exe
  • Pfad: %ProgramFiles(x86)%\Common Files\COPA-DATA\STARTUP
  • Syntax: LicenseManagerAutomation.exe [Aktion] [Seriennumer] [Dongle-Typ] [Option]
  • Präfix für Argumente:
    • Kurzform Argument: - (-a)
    • Langform Argument: -- (--action)
  • Argumente:
    • Groß-/Kleinschreibung wird ignoriert.
    • Reihenfolge ist beliebig.
  • Werte: Groß-/Kleinschreibung wird beachtet, wenn nicht anders angegeben.
  • Beispiel Langform: LicenseManagerAutomation.exe --action ActivateOnline --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633 --DongleType Hard –-WriteInIni
  • Beispiel Kurzform: LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -dt Hard –wi

Fehlermeldungen

Bei falscher Eingabe eines Arguments wird ein dementsprechender Fehler ausgegeben und ein LOG-Eintrag geschrieben. Zusätzlich wird eine Hilfe zur Eingabe der Argumente aufgeschaltet.

Farbkodierung der Anzeige:

  • Rot: Fehler
  • Grün: Erfolgsmeldung
  • Weiß: Hilfe

Rückgabewerte:

  • 0: Erfolg.
    Lizenz wurde erfolgreich aktiviert.
  • -1: Ungültige Argumente.
    Es wurden falsche Argumente angegeben.
  • -2: Fehler:
    Zum Beispiel: Keine Verbindung zum Lizenzdepot, oder Zielrechner nicht erreichbar.

Argumente

Argument Kurzbezeichner /

Argument Langform

Werte

-a

--action

Kommando für die Anwendung.
Wird ergänzt mit einem dieser Werte:

  • ActivateOnline:
    Online-Aktivierung durchführen.
  • ActivateOnlineFile:
    Online-Aktivierung für Lizenzen aus einer Datei.
    Benötigt -f mit Angabe des Dateipfades.
  • WriteIniTop:
    Trägt die Seriennummer für jedes Produkt an erster Stelle in der License.ini ein.
  • UpdateAll:
    Führt für alle Lizenzen ein Update aus.

Beispiel: -a ActivateOnline

Hinweis: Eingabe des Arguments ohne Wert zeigt Hilfe zu Argumenten und Werten an.

-sn

--SerialNumber

Übergabe der Seriennummer.
Wird für die Aktionen ActivateOnline und WriteIniTop benötigt.

-dt

--DongleType

Typ des Dongles:

  • Hard: Hardware-Dongle
  • SoftStd: Rechnergebundener Software-Dongle Standard
  • SoftVM: Rechnergebundener Software-Dongle VirtualMachine
  • SoftVMDataCenter: Rechnergebundener Software-Dongle VM DataCenter
  • Soft: Der Dongle - Standard oder Virtual Machine - wird dynamisch ausgewählt. In einer Virtual Machine wird der Software-Dongle VirtualMachine gewählt, auf einem physikalischen Rechner der Software-Dongle Standard.
    Ist für den Dongle DATA_CENTER_LICENSE gesetzt, dann wird bei einer Virtual Machine der Dongle-Typ Software-Dongle VM DataCenter gewählt.

Wird für die Aktionen ActivateOnline und ActivateOnlineFile benötigt.

Hinweis: Es kann nur -dt oder -di verwendet werden.

-di

--DongleIdentification

ID des Dongles.

Jeder Dongle verfügt über eine eindeutige ID.
Z. B. : 3-4035811 für einen Hardware-Dongle oder 130-636662578 für einen Software-Dongle.

Wird für die Aktionen ActivateOnline und ActivateOnlineFile benötigt.

Hinweis: Es kann nur -dt oder -di verwendet werden.

-wi

--WriteIni

Optionales Argument für die Aktionen ActivateOnline und ActivateOnlineFile.

Aktivierte Lizenz wird in die License.ini geschrieben.

Hinweis: Dieses Argument sollte immer mit angegeben sein.

-r

--Remote

Optionales Argument für die Aktionen ActivateOnline, ActivateOnlineFile und WriteIniTop.

Hostname oder IP Adresse des Remote-Systems.
Wenn nicht angegeben: Localhost

-f

--File

Wird für die Aktion ActivateOnlineFile benötigt.

Dateipfad zur liqSN-Datei. Es muss der vollständige Pfad angegeben werden.

Beispiele

Beispiele für Aufrufe:

  • Lizenz für den ersten gefundenen Hardware-Dongle online aktivieren:
    • LicenseManagerAutomation.exe --action ActivateOnline --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633 --DongleType Hard
    • LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -dt Hard
  • Lizenz für den Dongle mit der ID 3-4035811 aktivieren:
    • LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -di 3-4035811
  • Lizenz für den Dongle mit der ID 3-4035811 aktivieren und an erste Stelle der License.ini schreiben:
    • LicenseManagerAutomation.exe --action ActivateOnline --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633 --DongleIdentification 3-4035811 –-WriteInIni
  • Lizenz C00WU-Z5SVK-UCGC2-00000-01633 an erste Stelle der License.ini schreiben:
    • LicenseManagerAutomation.exe -a WriteIniTop -sn C00WU-Z5SVK-UCGC2-00000-01633
  • Alle in der License.ini gelisteten Lizenzen updaten:
    • LicenseManagerAutomation.exe --action UpdateAll
  • Lizenz für den ersten gefundenen Hardware-Dongle am Remote-System 129.0.0.1 online aktivieren:
    • LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -dt Hard -r 129.0.0.1
  • Alle Lizenzen aus einer Lizenzdatei für den ersten gefundenen Dongle auf einem Remote-System aktivieren, das in der Datei angegeben wird:
    • LicenseManagerAutomation.exe --action ActivateOnlineFile --File C:\Users\Public\Desktop\SerialNumber.LicSN --DongleType Hard

Weitere Beispiele erhalten Sie nach Aufruf von LicenseManagerAutomation.exe ohne weitere Werte und Argumente.

Verwendung von Benutzerdaten

Bei der Lizenzierung über die COPA-DATA Lizenzverwaltung per Dialog oder Kommandozeile werden auch Benutzerdaten erfasst und gespeichert. Diese Daten dienen dazu, verlorene oder beschädigte Lizenzen wiederherzustellen. Die Daten werden lokal bei COPA-DATA in Österreich gespeichert.

Erfasst werden:

  • Betriebssystem: Art und Version.
  • Netzwerkadressen: Alle am Rechner vorhandenen Netzwerkadressen.
  • Full Qualified Host Name
  • Benutzername und Domäne

Diese Daten werden für den Rechner erfasst, auf dem die Lizenzierung ausgeführt wird. Wird die Lizenzierung Remote ausgeführt, werden diese Daten auch für den Zielrechner erfasst.

Deaktivierung

Die Erfassung dieser Daten kann in der COPA-DATA Lizenzverwaltung deaktiviert werden. Es können dann weiterhin Lizenzen bezogen und verwaltet werden. Support und technische Unterstützung für die Lizenzierung sind aber aufgrund fehlender Daten nicht möglich.

Wird die Erfassung deaktiviert, kann COPA-DATA folgende Dienstleistungen nicht mehr anbieten:

  • Automatisches Einspielen von Lizenzen auf Remote Rechnern.
  • Nachverfolgung, auf welchem Rechner die Lizenz von wem aktiviert wurde.
    Damit kann bei Lizenzverlust auch keine Unterstützung beim Suchen der Lizenz angeboten werden. Auch können verlorene Lizenzen dann nicht im Kulanzweg ersetzt werden.

Daten,die bis zur Deaktivierung erhoben wurden, bleiben gespeichert.

Noch in diesem Kapitel

Einzellizenz aktivieren

Massenaktivierung mittels Sammeldatei

Alle Lizenzen eines Rechners updaten

Lizenz an erster Stelle in License.ini eintragen


Einzellizenz aktivieren

zenon Lizenzverwaltung 8.00 > Lizenzierung > Lizenzierung über Kommandozeile - Automatisierung > Einzellizenz aktivieren

Der Wert ActivateOnline aktiviert eine Lizenz online, entweder lokal oder remote.

Als Zieldongle kann angegeben werden:

  • fixer Dongle mittels Dongle ID
  • Hardware-Dongle
  • Software-Dongle für:
    • physikalischen Rechner
    • Virtual Machine

attention Achtung

Geben Sie immer das Argument --WriteInIni oder -wi an, damit die Lizenz auch an erster Stelle in die License.ini eingetragen wird.

Diese Funktionalität verfügt über viele Kombinationsmöglichkeiten. Siehe Liste mit allen Argumenten in der Übersicht. Die wichtigsten Beispiele sind hier angeführt. Weitere Beispiel finden Sie, wenn Sie LicenseManagerAutomation.exe ohne weitere Argumente aufrufen.

Aufruf

Aufruf für Hardware Dongle lokal:

  • Kurzform: LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -dt Hard -wi
  • Langform: LicenseManagerAutomation.exe --action ActivateOnline --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633 --DongleType Hard --WriteInIni

Aufruf für Hardware Dongle remote:

  • Kurzform: LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -dt Hard -r 127.0.0.1 -wi
  • Langform: LicenseManagerAutomation.exe --action ActivateOnline --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633 --DongleType Hard --Remote 127.0.0.1 --WriteInIni

Hinweis: Anstelle der IPv4 Adresse können Sie auch eine IPv6 Adresse oder den Rechnernamen des Zielrechners angeben.

Aufruf für Software Dongle lokal:

  • Kurzform: LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -dt Soft-wi
  • Langform: LicenseManagerAutomation.exe --action ActivateOnline --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633 --DongleType Soft--WriteInIni

Aufruf für Software Dongle remote:

  • Kurzform: LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -dt Soft-r 127.0.0.1 -wi
  • Langform: LicenseManagerAutomation.exe --action ActivateOnline --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633 --DongleType Hard --Remote 127.0.0.1 --WriteInIni

Hinweis: Anstelle der IPv4 Adresse können Sie auch eine IPv6 Adresse oder den Rechnernamen des Zielrechners angeben.

Meldungen

Rückgabewerte:

  • 0: Erfolg.
    Lizenz wurde erfolgreich aktiviert.
  • -1: Ungültige Argumente.
    Es wurden falsche Argumente angegeben.
  • -2: Fehler:
    Zum Beispiel: Keine Verbindung zum Lizenzdepot, oder Zielrechner nicht erreichbar.


Massenaktivierung mittels Sammeldatei

zenon Lizenzverwaltung 8.00 > Lizenzierung > Lizenzierung über Kommandozeile - Automatisierung > Massenaktivierung mittels Sammeldatei

Der Wert ActivateOnlineFile aktiviert online alle Lizenzen, die in der Sammeldatei angegeben sind.

Als Zieldongle kann angegeben werden:

  • fixer Dongle mittels Dongle-ID
  • Hardware-Dongle
  • Software-Dongle für:
    • physikalischen Rechner
    • Virtual Machine

Wenn Sie bei COPA-DATA mehre Lizenzen bestellen, dann erhalten Sie zusätzlich zu den Lizenzscheinen eine Sammeldatei (*.LicSN). Diese Datei können Sie nutzen, um die Lizenzen zentral zu verwalten und von einer zentralen Stelle aus zu aktivieren.

Die Sammeldatei ist eine CSV-Datei, die mit jedem beliebigen Texteditor oder einer Tabellenkalkulation bearbeitet werden kann.

  • Spaltentrennzeichen: Semikolon (;) oder Tabulator (\t)

Spaltenaufbau:

Spalte

Bezeichnung

Beschreibung

1

Seriennummer

Die eindeutige Seriennummer jeder Lizenz.

2

Artikelname

Enthält den Artikelnamem der Lizenz.
Dient nur zur Information und hat keine funktionale Auswirkung.

3

Zielrechner

Angabe des Zielrechners:

  • Wenn noch nicht lizenziert:
    Rechnername auf den die Lizenz übertragen werden soll. Es können verwendet werden: IPv4-Adresse, IPv6-Adresse oder Rechnername.
  • Wenn bereits lizenziert:
    Rechnername auf den die Lizenz übertragen wurde.

4

Benutzername

Windows Benutzername, von dem die Lizenz aktiviert wurde.
Dient nur zur Information.

5

Aktiviert

Anzeige des Status der Aktivierung:

  • True: aktiviert
  • False oder leer: nicht aktiviert

Bei True wird diese Lizenz bei der Abarbeitung über die Kommadozeile nicht mehr berücksichtigt.

6

Fehlertext

Falls bei der Aktivierung ein Fehler aufgetreten ist, wird der Fehler hier protokolliert.

Die Originaldatei ist nur mit den ersten beiden Spalten gefüllt.

Um die Datei für die Sammelaktivierung über die COPA-DATA Lizenzverwaltung oder die Kommandozeile zu nutzen:

  • Tragen Sie für jede Lizenz in die Spalte 3 den Zielrechner ein.

    Beispiel:

    • Original-Zeile der Sammeldatei: C005L-XQP49-Z42Q8-00000-02985;zenon SU RT 64 TAGs;
    • Ergänzen Sie diese Zeile:C005L-XQP49-Z42Q8-00000-02985;zenon SU RT 64 TAGs;MyPCtoLicense

attention Achtung

Stellen Sie sicher, dass Sie in jeder Zeile der Sammeldatei einen Zielrechner in die 3. Spalte eingetragen haben.

Ablauf

Ablauf beim Lizenzieren:

  • Die Einträge aus der Datei werden zeilenweise eingelesen und nacheinander online aktiviert.
  • Die Seriennummer sowie der Rechnername oder die IP-Adresse werden aus der Datei ausgelesen.
  • Der Ziel-Dongle-Typ wird aus dem Argument der Kommandozeile entnommen.
  • Wurde eine Lizenz erfolgreich aktiviert, wird die LicSN-Datei aktualisiert.
  • Ist bei der Aktivierung ein Fehler aufgetreten, wird der Fehlergrund in die Spalte 6 der Datei geschrieben.
  • Bei Verbindungsproblemen zum Lizenzierungs-Server wird der gesamte Vorgang abgebrochen. Bei allen anderen Fehlern wird versucht, die nächste Lizenz zu aktivieren.

Meldung nach jeder Seriennummer:

  • Rot: Fehler
  • Grün: Erfolgsmeldung

attention Achtung

Geben Sie immer das Argument --WriteInIni oder -wi an, damit die Lizenz auch an erster Stelle in die License.ini eingetragen wird.

Hinweis: Bei dieser Art der Aktivierung muss der Parameter -r (--Remote) nicht angegeben werden. Der Remote-Rechner muss in der dritten Spalte der Sammeldatei eingetragen sein.

Aufruf

Aufruf für Hardware Dongle:

  • Kurzform: LicenseManagerAutomation.exe -a ActivateOnlineFile -f C:\Users\Public\Desktop\SerialNumber.LicSN -dt Hard -wi
  • Langform: LicenseManagerAutomation.exe --action ActivateOnlineFile --File C:\Users\Public\Desktop\SerialNumber.LicSN --DongleType Hard --WriteInIni

Aufruf für Software Dongle:

  • Kurzform: LicenseManagerAutomation.exe -a ActivateOnlineFile -f C:\Users\Public\Desktop\SerialNumber.LicSN -dt Soft-wi
  • Langform: LicenseManagerAutomation.exe --action ActivateOnlineFile --File C:\Users\Public\Desktop\SerialNumber.LicSN --DongleType Soft--WriteInIni

Meldungen

Rückgabewerte:

  • 0: Erfolgsmeldung.
    • 0: Keine Lizenz wurde aktiviert.
    • 1-n: n Lizenzen wurden erfolgreich aktiviert.
  • -1: Ungültige Argumente.
    Es wurden falsche Argumente angegeben.
  • -2: Fehler:
    Zum Beispiel: Keine Verbindung zum Lizenzdepot, oder Zielrechner nicht erreichbar.


Alle Lizenzen eines Rechners updaten

zenon Lizenzverwaltung 8.00 > Lizenzierung > Lizenzierung über Kommandozeile - Automatisierung > Alle Lizenzen eines Rechners updaten

Der Wert UpdateAll aktualisiert alle lokalen Lizenzen, die in der Datei License.ini eingetragen sind. Netzwerklizenzen und Demo-Lizenzen werden nicht berücksichtigt.

Diese Funktion kann nicht remote ausgeführt werden.

Aufruf

Kurzform:

LicenseManagerAutomation.exe -a UpdateAll

Langform:

LicenseManagerAutomation.exe --action UpdateAll

Meldungen

Rückgabewerte:

  • 0: Erfolg. Keine Lizenz wurde aktualisiert.
  • 1-n: Erfolg: n Lizenzen aktualisiert.
  • -1: Fehler:
    Zum Beispiel: Keine Verbindung zum Lizenzdepot, oder Zielrechner nicht erreichbar.


Lizenz an erster Stelle in License.ini eintragen

zenon Lizenzverwaltung 8.00 > Lizenzierung > Lizenzierung über Kommandozeile - Automatisierung > Lizenz an erster Stelle in License.ini eintragen

Das Argument WriteIniTop trägt die angegeben Seriennummer für alle Produkte, die in der Lizenz enthalten sind, an erster Stelle in die Datei License.ini an erster Stelle für das jeweilige Produkt ein.

Beispiel: In der Lizenz sind die Produkte Editor, Runtime und Process Gateway enthalten. Durch den Befehl wird die Lizenz bei allen drei Produkten an erster Stelle eingetragen.

Aufruf

Beispiel für Aufruf:

  • Kurzform: LicenseManagerAutomation.exe -a WriteIniTop -sn C00WU-Z5SVK-UCGC2-00000-01633
  • Langform: LicenseManagerAutomation.exe --action WriteIniTop --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633

Ablauf

Bei der Lizenzierung über die Kommandozeile gilt:

  • Im ersten Schritt wird die Seriennummer validiert.
  • Dann wird die Lizenz lokal und im Netzwerk gesucht.
    Hinweis: Wird eine Demo-Seriennummer eingegeben, wird nur lokal gesucht.

Nur wenn die Lizenz gefunden wird, wird sie in die Datei License.ini eingetragen.

Meldungen

Rückgabewerte:

  • 0: Erfolg.
    Lizenz wurde erfolgreich eingetragen.
  • -1: Ungültige Argumente.
    Es wurden falsche Argumente angegeben.
  • -2: Fehler:
    Zum Beispiel: Keine Verbindung zum Lizenzdepot, oder Zielrechner nicht erreichbar.


Lizenzarten

zenon Lizenzverwaltung 8.00 > Lizenzierung > Lizenzarten

Für COPA-DATA Produkte stehen Lizenzen für unterschiedliche Einsatzzwecke sowie vorkonfigurierte Bundles zur Verfügung. Zusätzlich wird jedes Produkt mit einer Demo-Lizenz ausgeliefert. Details zu Produkten, Editionen und Bundles entnehmen Sie der für Ihre Version gültigen COPA-DATA Preisliste.

Lizenzen können genutzt werden mit einem:

  • Hardware-Dongle: Frei übertragbare Lizenz auf einem Hardware-USB-Dongle.
  • Software-Dongle Standard: Rechnergebundene Lizenz auf einem Software-Dongle.
    Dabei handelt es sich um eine Datei auf dem Rechner.
  • Software-Dongle Virtual Machine: Rechnergebundene Lizenz für die Verwendung in virtuellen Maschinen.
    Dabei handelt es sich um eine Datei in einer virtuellen Maschine.

Lizenzen können:

  • Lokal oder im Netzwerk zur Verfügung stehen.
  • Mit einem fixen Ablaufdatum versehen sein.
  • Für eine bestimmte Nutzungsdauer konfiguriert sein.
  • Für ein bestimmtes Zeit-Kontingent konfiguriert sein.
  • Zurückgegeben und damit auf ein anderes System übertragen werden.

Achtung: Lizenzen mit einer bestimmten Nutzungsdauer können nicht zurückgegeben werden.

Noch in diesem Kapitel

Bundles und Lizenzanzahl/Netzwerklizenzen

Gültigkeitsende und Nutzungszeitraum

Zeit-Kontingent

Demo-Modus und Demo-Lizenzen

Education & Training


Bundles und Lizenzanzahl/Netzwerklizenzen

zenon Lizenzverwaltung 8.00 > Lizenzierung > Lizenzarten > Bundles und Lizenzanzahl/Netzwerklizenzen

Die COPA-DATA Lizenzierung berücksichtigt Bundels, Lizenzmengen und Netzwerklizenzen.

Bundle

Ein Bundle bezeichnet eine Lizenz, in der mehrere Produkte zusammengefasst sind. Zum Beispiel sind im Bundle Entwicklungsumgebung ein Editor und eine Runtime integriert. In der Preisliste wird ein Bundle als ein Artikel mit einer spezifischen Artikelnummer geführt.

Jedes Produkt wird von der Lizenzierung einzeln verwaltet. Der Lizenzausbau (Module, Anzahl TAGs usw.) ist für alle Produkte einen Bundles gleich. Diese informationen werden beim Bundle gespeichert und nicht beim Produkt.
Beispiel: Verfügt das Bundle über 2000 TAGs, so können sowohl im Editor als auch in der Runtime 2000 TAGs genutzt werden.

Die Produkte eines Bundles müssen nicht auf dem selben Rechner verwendet werden. Sie können auch aufgeteilt werden. Z. B. läuft der Editor auf Rechner A, die Runtime auf Rechner B.

Lizenzanzahl/Netzwerklizenzen

Bei jeder Lizenz wird eine Lizenzanzahl mit angegeben.
Default: 1

Bei einer Lizenzanzahl größer 1 können die Produkte entsprechend mehrfach genutzt werden.

Die Lizenzanzahl ist eine Einstellung für das Bundle. Verfügt das Bundle über eine Lizenzanzahl 3, dann können z. B. 3 Editoren und 3 Runtimes gestartet werden. Da auf einem Rechner immer nur ein Editor und/oder eine Runtime laufen können, muss die CodeMeter Runtime bei einer Lizenzzahl höher 1 als Netzwerk Server eingerichtet werden.

HTML Web Engine

Bei der HTML Web Engine wird die Anzahl der Instanzen lizenziert, z.B. 5 Instanzen. Befindet sich eine solche Lizenz in einem Bundle mit Lizenzanzahl größer 1, dann multiplizieren sich die Instanzen entsprechend.
Beispiel: Lizenzanzahl 3 mit jeweils 5 Instanzen ergibt 15 HTML Web Engine Instanzen, die gestartet werden können.


Gültigkeitsende und Nutzungszeitraum

zenon Lizenzverwaltung 8.00 > Lizenzierung > Lizenzarten > Gültigkeitsende und Nutzungszeitraum

Gültigkeitsende

Bei Lizenzen kann ein fixes Gültigkeitsende (=Ablaufdatum) als Datum + Uhrzeit hinterlegt sein.

Das Gültigkeitsende ist in den Dongle einprogrammiert und kann nur durch ein Lizenzupdate verändert werden. Das Gültigkeitsende ist eine Eigenschaft des Bundles und beeinflusst damit alle Produkte des Bundles.

Nutzungszeitraum

Bei Lizenzen kann ein Nutzungszeitraum hinterlegt sein.

Der Nutzungszeitraum definiert, wie lange die Lizenz ab dem ersten Start verwendet werden kann, beispielsweise 30 Tage ab dem ersten Start. Der Nutzungszeitraum ist eine Eigenschaft des Bundles und beeinflusst damit alle Produkte des Bundles. Das erste Produkt, das gestartet wird, startet die Laufzeit des Zeitraums. Dieses Datum wird im Dongle abgelegt, und kann nur durch ein Lizenzupdate verändert werden.

Ausnahme: Der Nutzungszeitraum für Demo-Lizenzen ist pro Produkt abgelegt. Jedes Produkt verfügt somit über seinen eigenen Nutzungszeitraum.


Zeit-Kontingent

zenon Lizenzverwaltung 8.00 > Lizenzierung > Lizenzarten > Zeit-Kontingent

Wenn für eine Lizenz ein Zeit-Kontingent ausgestellt wurde, wird die Laufzeit in Minuten abgerechnet. Die Restlaufzeit wird fälschungssicher im Dongle abgespeichert.

Dabei gilt:

  • Jede angebrochene Minute wird vom Zeit-Kontingent abgezogen.
  • Die Nutzungszeit läuft auch nach dem Abstecken eines Dongles weiter und wird später nachgetragen.
  • Reconnect: Wird beim automatischen Wechsel zwischen Lizenzen eine gültige Lizenz ohne Zeit-Kontingent als Ersatzlizenz verwendet, dann wird das Zählen der Zeit pausiert bis erneut ein Dongle mit Zeit-Kontingent aktiv wird.


Demo-Modus und Demo-Lizenzen

zenon Lizenzverwaltung 8.00 > Lizenzierung > Lizenzarten > Demo-Modus und Demo-Lizenzen

Jede Installation beinhaltet:

  • Demo-Lizenzen: Ermöglichen Ihnen, ein Produkt für eine bestimmte Zeitspanne zu testen.
  • Demo-Modus: Ermöglicht Ihnen, ein Produkt zu starten und für 10 Minuten zu nutzen. Danach wird es wieder geschlossen.

Jede Installation beinhaltet mindestens eine Demo-Lizenz. Diese hat eine vordefinierte Laufzeit oder Anzahl erlaubter Starts. Sind diese aufgebraucht, dann kann das Produkt weiter im Demo-Modus gestartet werden, wird aber nach 10 Minuten Laufzeit beendet. Welche Nutzungsdauer zur Verfügung steht, erfahren Sie in der COPA-DATA Lizenzverwaltung in der Registerkarte Lizenzverwendung in den Details der Lizenz.

COPA-DATA Produkte sind:

  • zenon Editor mit zenon Logic Workbench als Modul
  • zenon Runtime
  • zenon Web Server und Web Client
  • HTML Web Engine
  • Process Gateway und OPC DA Server
  • zenon Logic Workbench und Runtime

Demo-Lizenzen haben eigene Software-Dongles. Diese können nicht für andere Lizenzen benutzt werden. Die letzte vorhandene Demo-Lizenz kann über die COPA-DATA Lizenzverwaltung nicht gelöscht werden.

Die verbleibende Laufzeit und die Anzahl der noch möglichen Starts für Demo-Lizenzen und Demo-Modus werden im Startbildschirm sowie in der Versions- und Lizenzinformation angezeigt.

Fehlende Demo-Lizenz

Ist auf Ihrem Rechner keine Demo-Lizenz verfügbar, dann:

  1. Öffnen Sie die COPA-DATA Lizenzverwaltung.
  2. Öffnen Sie die Registerkarte Lizenzverwendung.
  3. Wählen Sie die gewünschte Demo-Lizenz.
  4. Wählen Sie das gewünschte Produkt.
  5. Klicken Sie auf die Schaltfläche ganz rechts in der Liste.
    Die Schaltfläche wird grün eingefärbt und die Lizenz wird nun verwendet.

Hinweis: Ist auch in der COPA-DATA Lizenzverwaltung keine Demo-Lizenz verfügbar, kontaktieren Sie Ihren COPA-DATA Vertriebspartner.

Tipp Tipp

Sie können Demo-Lizenzen nutzen, um Produkte und Editionen zu testen. Ordnen Sie dazu die Demo-Lizenz in der COPA-DATA Lizenzverwaltung an erster Stelle der Lizenzliste ein. Beim nächsten Start des Produkts wird diese Lizenz verwendet.


Education & Training

zenon Lizenzverwaltung 8.00 > Lizenzierung > Lizenzarten > Education & Training

Lizenzen für Education & Training Modus werden speziell für Ausbildungszwecke ausgestellt.

Sie erlauben maximal 90 Minuten Laufzeit, dann wird das Programm automatisch beendet. Nach dem Neustart stehen wieder 90 Minuten Laufzeit zur Verfügung.


Versionsüberprüfung und Wartungszeitraum/Wartungsvertrag

zenon Lizenzverwaltung 8.00 > Lizenzierung > Versionsüberprüfung und Wartungszeitraum/Wartungsvertrag

Ab der Version 8.00 wird die Produktversion in der Lizenz gespeichert. Nur wenn die Produktversion der Lizenz und die Produktversion des Produkts übereinstimmen, wird das Produkt gestartet. Ansonsten wird eine entsprechende Fehlermeldung angezeigt.

Besteht ein gültiger Wartungsvertrag (SLA/SUS/CDDN), dann wird in der Lizenz ein Wartungszeitraum hinterlegt. Alle Versionen, die innerhalb dieses Wartungszeitraums freigegeben worden sind, werden von der Lizenz abgedeckt.

Die Überprüfung erfolgt bei allen Produkten in dieser Reihenfolge:

  1. Wartungszeitraum vorhanden und gültig für das Produkt.
    • Ja: Produkt startet.
    • Nein: Nächster Schritt der Überprüfung.
  2. Produktversion in Lizenz stimmt mit Produktversion überein.
    • Ja: Produkt startet.
    • Nein: Lizenz ist ungültig. Produkt startet nicht.

Beispiel:

Die Lizenz hat einen Wartungszeitraum von 1.1.2018 - 31.12.2020. Alle Versionen, die innerhalb dieses Zeitraums von COPA-DATA freigegeben wurden, laufen mit dieser Lizenz. Alle anderen Versionen (früher oder später) können nicht gestartet werden.


Produktspezifische Themen

zenon Lizenzverwaltung 8.00 > Lizenzierung > Produktspezifische Themen

Dieses Kapitel enthält Details zu COPA-DATA Produkten:

Noch in diesem Kapitel

Variablen: Passende Lizenzgröße auswählen

Client-Lizenz

Treiber lizenzieren

zenon Analyzer lizenzieren


Variablen: Passende Lizenzgröße auswählen

zenon Lizenzverwaltung 8.00 > Lizenzierung > Produktspezifische Themen > Variablen: Passende Lizenzgröße auswählen

Lizenzen für zenon Editor und Runtime werden immer für eine bestimmte Anzahl an TAGs (Variablen) ausgestellt. Ein TAG entspricht einer externen Variablen, unabhängig vom Datentyp. Interne Variablen werden nicht als TAG gezählt. TAGs werden ausschließlich für die Lizenzierung verwendet. Für die Ermittlung der Lizenzgröße wird die Summe der TAGs von folgenden Treibern herangezogen: Alle SPS und Bus Treiber.
Nicht gezählt werden: Interne Prozessvariablen (Intern Treiber für interne Verwendung ohne Zeitstempel) sowie Prozessvariablen vom System Treiber, Mathematik Treiber und Simulator Treiber.

Für die Ermittlung der Lizenzgröße wird die Summe der TAGs folgender Treiber herangezogen:

  • SPS Treiber und Bus Treiber.
  • Intern Treiber mit vollständiger Unterstützung aller Zeitstempel (intern und extern) und vollständiger Statusanzeige.
    Weitere Informationen dazu finden Sie in der Treiberdokumentation des Intern Treibers im Kapitel Lizenzierung und Anzeige zur Runtime.

Nicht gezählt werden Variablen von:

  • Intern Treiber ohne Unterstützung des externen Zeitstempels und eingeschränkter Anzeige der Statusbits.
    Weitere Informationen dazu finden Sie in der Treiberdokumentation des Intern Treibers im Kapitel Lizenzierung und Anzeige zur Runtime.
  • System Treiber
  • Mathematik Treiber
  • Simulator Treiber
  • Alternative Datenpunkte Treiber

TAGs können Sie für Editor und Runtime jeweils in folgenden Abstufungen lizenzieren:

  • 64 TAGs
  • 128 TAGs
  • 256 TAGs
  • 512 TAGs
  • 1.024 TAGs
  • 2.048 TAGs
  • 4.096 TAGs
  • 8.192 TAGs
  • 16.384 TAGs
  • 65536 TAGs
  • unbegrenzt

Anzeige in zenon

In der Statuszeile der Detailansicht der Variablen können folgende Informationen ausgelesen werden:

Wie viele Variablen:

  • sind im Projekt vorhanden
  • werden gefiltert angezeigt
  • sind ausgewählt
  • werden im Projekt verwendet
  • sind lizenziert


Client-Lizenz

zenon Lizenzverwaltung 8.00 > Lizenzierung > Produktspezifische Themen > Client-Lizenz

Client-Lizenzen können Sie nutzen, wenn:

  • das Startprojekt ein Einzelplatzprojekt oder ein Client-Projekt ist
  • das Startprojekt maximal 64 lizenzpflichtige TAGs nutzt, falls es kein Client-Projekt ist
  • alle Unterprojekte Client-Projekte sind


Treiber lizenzieren

zenon Lizenzverwaltung 8.00 > Lizenzierung > Produktspezifische Themen > Treiber lizenzieren

Treiber müssen zur Verwendung in der Runtime lizenziert sein. Dazu stehen unterschiedliche Modelle zur Verfügung. Die Lizenzmodelle können gemischt werden. In diesem Fall ergänzen sich die Lizenzierungen. Wurde kein Treiber lizenziert, dann können zur Runtime nur die lizenzfreien Treiber verwendet werden. Im Editor können immer alle Treiber verwendet werden.

Hinweis: Für die Verwendung in der Runtime Simulation (Modul Prozess-Rekorder) benötigen Treiber keine Lizenz.

Lizenzmodelle:

Für Treiber stehen folgende Lizenzmodelle zur Verfügung:

Lizenzmodell

Beschreibung

Beispiel

Einzelizenzierung

Es werden bestimmte Treiber dezidiert lizenziert. Zur Runtime stehen nur diese lizenzpflichtigen Treiber zur Verfügung.

Der IEC850 Treiber ist lizenziert.
Zur Runtime kann nur der IEC850 Treiber verwendet werden, sowie alle lizenzfreien Treiber, wie interne Treiber.

Gruppenlizenzierung einzeln

Treiber werden über Preisgruppen lizenziert.
Zur Verfügung stehen:

  • Preisgruppe A
  • Preisgruppe B
  • Preisgruppe C
  • Preisgruppe R

Jede Gruppe enthält bestimmte Treiber. Welche Treiber enthalten sind, entnehmen Sie der für Ihre Produktversion gültigen Preisliste.

Aus jeder Gruppe kann die lizenzierte Anzahl der Treiber verwendet werden. Es können mehrere Gruppen parallel lizenziert werden.

Lizenziert sind 3 Treiber der Gruppe A und 2 Treiber der Gruppe R.
Zur Runtime können 5 Treiber aus diesen beiden Gruppen verwendet werden. Dies gilt zusätzlich zu Treibern, die einzeln lizenziert wurden.

Gruppenlizenzierung ABC

Eine bestimmte Anzahl an Treibern der Gruppen A, B oder C sind lizenzierbar. Treiber der Gruppe R sind dabei nicht enthalten

Lizenziert sind 3 Treiber der Gruppen ABC. Zur Runtime können damit 3 Treiber egal welcher Gruppe (außer R) verwendet werden. Dies gilt zusätzlich zu Treibern, die einzeln lizenziert wurden.

Mengenlizenzierung

Es wird eine bestimmte Anzahl beliebiger Treiber lizenziert. Zur Runtime kann jeder beliebige Treiber verwendet werden, solange die Gesamtzahl nicht erreicht ist. Ausgenommen davon sind die Treiber für SICAM 230.

Lizenziert sind 5 Treiber allgemein.
Zur Runtime können 5 beliebige Treiber verwendet werden. Dies gilt zusätzlich zu Treibern, die einzeln oder über eine Gruppe lizenziert wurden.

Freie Treiber

Einige Treiber sind lizenzfrei. Diese können jederzeit verwendet werden. Sie werden auch bei Mengenlizenzierungen nicht von der lizenzierten Anzahl abgezogen.

Es wurde kein Treiber lizenziert. Zur Runtime kann aber der Intern Treiber verwendet werden.

Kundenspezifische Treiber

Entwickelt ein Kunde auf Basis des Treiberkits seine eigenen Treiber, müssen diese nicht lizenziert werden.

SICAM 230 Treiber. (Preisgruppe K)

Fallen nicht unter die zenon Treiber-Lizenzmodelle und müssen einzeln lizenziert werden. Diese Treiber werden nicht über die Mengenlizenzierung lizenziert.

Example Beispiel

Lizenziert sind 5 Treiber allgemein, 3 Treiber der Gruppe R und der IEC850-Treiber. Es wird erst der IEC850-Treiber geprüft, dann die Preisgruppe R, dann die Mengenlizenzierung.
Ergebnis: Zur Runtime können 9 Treiber verwendet werden:

  • IEC850 Treiber.
    Auch dann, wenn er Teil der Gruppe R ist.
  • 3 Treiber der Gruppe R.
    Zusätzlich zum IEC850 Treiber
  • 5 weitere beliebige Treiber.
    Zusätzlich zu den 3 Treibern der Gruppe R und zum IEC850 Treiber

Prüfung zur Runtime

Zur Runtime werden alle Projekte inklusive Unterprojekte auf die Lizenzierung der verwendeten Treiber überprüft. Ist ein Treiber nicht lizenziert, dann wird eine Fehlermeldung ausgegeben und ein Eintrag in die LOG-Datei geschrieben. Die Runtime wird beendet. Nicht lizenziert ist ein Treiber, wenn er über keines der verfügbaren Modelle eine gültige Lizenz erhält

Ablauf der Überprüfung:

  1. Erst wird überprüft, ob es sich um einen lizenzfreien Treiber handelt.
    Ist das der Fall, wird er akzeptiert. Er wird bei der Einzellizenzierung, der Gruppenlizenzierung und der Mengenlizenzierung nicht mehr beachtet.
  2. Handelt es sich um keinen lizenzfreien Treiber, wird die Einzellizenzierung geprüft.
    Ist der Treiber hier enthalten, wird er akzeptiert. Er wird bei der Gruppenlizenzierung und der Mengenlizenzierung nicht mehr beachtet.
  3. Ist der Treiber in der Einzellizenzierung nicht enthalten, wird die Gruppenlizenzierung geprüft.
    Ist der Treiber hier enthalten, wird er akzeptiert. Er wird bei der Mengenlizenzierung nicht mehr beachtet.
  4. Ist der Treiber in der Gruppenlizenzierung nicht enthalten, wird die Mengenlizenzierung überprüft.
    Steht hier noch eine Lizenz für einen Treiber zur Verfügung, wird er akzeptiert.
  5. Ist der Treiber in keinem Modell enthalten, wird er als nicht lizenziert bewertet.

Hinweis: SICAM 230 Treiber müssen immer einzeln lizenziert werden. Sie werden extra geprüft und können nicht mit den anderen zenon Lizenzmodellen abgedeckt werden.

Welche Treiber lizenziert sind, können Sie jederzeit überprüfen:

  • in der COPA-DATA Lizenzverwaltung
  • im Editor in der Lizenzinformation
  • zur Runtime über die Funktion Lizenzinformation anzeigen

Verhalten bei Unterlizenzierung

Wird zur Runtime festgestellt, dass nicht lizenzierte Treiber verwendet werden, wird eine entsprechende Fehlermeldung ausgegeben. Die Meldung gibt an, dass mindestens 1 Treiber nicht lizenziert wurde. Danach wird die Runtime beendet.

So passen Sie die Lizenzierung an:

  1. Öffnen Sie die COPA-DATA Lizenzverwaltung.
  2. Überprüfen Sie in der Registerkarte Lizenzverwendung:
    • Welche Lizenz wird aktuell für die Runtime verwendet.
    • Wie viele und welche Treiber wurden lizenziert.
  3. Überprüfen Sie in der Projektierung, welche Treiber verwendet werden.
  4. Lizenzieren Sie die fehlenden Treiber.
  5. Starten Sie die Runtime erneut.
  6. Die Treiber-Lizenzen werden überprüft und die Runtime startet bei erfolgreicher Prüfung.


zenon Analyzer lizenzieren

zenon Lizenzverwaltung 8.00 > Lizenzierung > Produktspezifische Themen > zenon Analyzer lizenzieren

Die Komponenten des zenon Analyzer müssen über eine gültige Lizenz verfügen. Dabei müssen Server und Clients für die gleiche Version lizenziert sein.

Die Eingabe der Lizenzdaten erfolgt über die COPA-DATA Lizenzverwaltung. Dieser Dialog wird auch für andere COPA-DATA Produkte verwendet.

Hinweis: Achten Sie auf ausreichende Lizenzierung, um alle Benutzer mit fixer Lizenz sowie eventuell weitere Benutzer mit Lizenzen auszustatten.

Einschränkungen

Ohne gültige Lizenz gelten folgende Einschränkungen:

  • Es ist kein Zugriff von außen über die Standard-Zugriffsseite möglich.
  • Es ist keine Connector-Funktionalität gegeben.
  • Reportvorlagen und Reports können nicht verwendet werden.
  • ZAMS, Dateneditoren und Prediction Model Manager können zwar ohne Lizenz gestartet werden, erlauben aber keine Verbindung zum Analyzer Server.
    Ohne Verbindung sind nur möglich:
    • Konfiguration der Anwendung
    • Öffnen von Versionshinweis
    • Öffnen der Hilfe
    • Öffnen der COPA-DATA Lizenzverwaltung (nur ZAMS)
      Hinweis: Bei Lizenzverlust im laufenden Betrieb werden alle in ZAMS geöffneten Reports geschlossen. Vor dem Schließen wird das Speichern angeboten.

Lizenzierung in Arbeitsgruppen

Zur Lizenzierung für Rechner, die sich nicht in Domänen, sondern in Windows Arbeitsgruppen befinden, beachten Sie die Vorgangsweise in Kapitel Lizenzierung in Arbeitsgruppen.

Noch in diesem Kapitel

Lizenzierung in Arbeitsgruppen


Lizenzierung in Arbeitsgruppen

zenon Lizenzverwaltung 8.00 > Lizenzierung > Produktspezifische Themen > zenon Analyzer lizenzieren > Lizenzierung in Arbeitsgruppen

Die Lizenzierung für zenon Analyzer in Windows Arbeitsgruppen unterscheidet sich von der Lizenzierung für Domänen.

Voraussetzungen

Für die Lizenzierung innerhalb von Arbeitsgruppen muss der zenon Analyzer Lizenzdienst im Modus Workgroup arbeiten.
Dazu müssen folgende Voraussetzungen erfüllt sein:

  • Der Rechner, der als Analyzer Server fungiert, muss Mitglied der Arbeitsgruppe sein.
  • Alle Benutzer der Arbeitsgruppe müssen auch am Analyzer Server vorhanden sein.
  • Der Lizenzdienst am Analyzer Server muss im Benutzerkontext eines Benutzers der Arbeitsgruppen laufen. So werden andere Rechner in der Arbeitsgruppe als Mitglieder der Gruppe erkannt.

Lizenzdienst Benutzerkontext ändern

So ändern Sie den Benutzerkontext für den Lizenzdienst:

  1. Öffnen Sie die Verwaltung der lokalen Dienste.
  2. Navigieren Sie zum Dienst zrsLicSrv.
  3. Stoppen Sie den Dienst.
  4. Klicken Sie im Kontextmenü des Dienstes auf Eigenschaften.

    Der Dialog mit den Eigenschaften des Dienstes wird geöffnet.

  5. Öffnen Sie die Registerkarte Anmelden.
  6. Aktivieren Sie den Radiobutton Dieses Konto.
  7. Geben Sie Benutzername, Kennwort und Kennwortbestätigung für den gewünschten Benutzer ein.
  8. Schließen Sie den Dialog mit Klick auf OK.
  9. Starten Sie den Dienst.


Versions- und Lizenzinformationen anzeigen

zenon Lizenzverwaltung 8.00 > Lizenzierung > Versions- und Lizenzinformationen anzeigen

Welche Version und welche Lizenz Sie aktuell nutzen und welche Module darin inkludiert sind, sehen Sie in der Lizenzinformation des jeweiligen Produkts.

Noch in diesem Kapitel

zenon Editor

zenon Runtime

zenon Logic Workbench

zenon Logic Runtime

zenon Web Server

HTML Web Engine

Process Gateway

OPC DA Server

zenon Analyzer


zenon Editor

zenon Lizenzverwaltung 8.00 > Lizenzierung > Versions- und Lizenzinformationen anzeigen > zenon Editor

Um Lizenzinformationen im Editor anzuzeigen:

  1. Öffnen Sie das Menü Hilfe.
  2. Klicken Sie auf Info über... .

    Der Dialog Lizenzinformation wird geöffnet.

Dialog Lizenzinformation

Option

Beschreibung

Version

Versionsnummer des Editors.

Edition

Verwendete Edition.

Seriennummer

Seriennummer der Lizenz.

Ablaufzeit (optional)

Zeigt bei befristeter Lizenz Informationen über das Ablaufdatum.

Detailinformationen

Information über lizenzierte:

  • Version
  • Variablen
  • Module und deren Ausbau

Lizenzverwaltung öffnen

Öffnet die COPA-DATA Lizenzverwaltung. Mit diesem Tool können Lizenzen aktiviert, zurückgegeben und verwaltet werden. Dazu wird die Seriennummer benötigt.

Schließen

Schließt den Dialog.


zenon Runtime

zenon Lizenzverwaltung 8.00 > Lizenzierung > Versions- und Lizenzinformationen anzeigen > zenon Runtime

Um Lizenzinformationen in der Runtime anzuzeigen:

  1. Projektieren Sie die Funktion Lizenzinformation anzeigen.
  2. Führen Sie diese zur Runtime aus.

    Der Dialog Lizenzinformation wird geöffnet.

Dialog Lizenzinformation

Option

Beschreibung

Version

Versionsnummer der Runtime.

Edition

Verwendete Edition.

Seriennummer

Seriennummer der Lizenz.

Ablaufzeit (optional)

Zeigt bei befristeter Lizenz Informationen über das Ablaufdatum.

Detailinformationen

Information über lizenzierte:

  • Version
  • Variablen
  • Module und deren Ausbau

Schließen

Schließt den Dialog.


zenon Logic Workbench

zenon Lizenzverwaltung 8.00 > Lizenzierung > Versions- und Lizenzinformationen anzeigen > zenon Logic Workbench

Um Lizenzinformationen in der zenon Logic Workbench anzuzeigen:

  1. Öffnen Sie das Menü Hilfe.
  2. Klicken Sie auf Info über... .

    Der Dialog Lizenzinformation wird geöffnet.

Dialog Lizenzinformation

Parameter/Schaltflächen | Beschreibung
Version | Versionsnummer der integrierten Workbench.
Edition | Verwendete Edition.
Serial number | Seriennummer der Lizenz.
Detail information | Zeigt Details zur Lizenz an.
Open license administration | Öffnet die COPA-DATA Lizenzverwaltung. Mit diesem Tool können Lizenzen aktiviert, zurückgegeben und verwaltet werden. Dazu wird die Seriennummer benötigt.
Close | Schließt den Dialog.


zenon Logic Runtime

zenon Lizenzverwaltung 8.00 > Lizenzierung > Versions- und Lizenzinformationen anzeigen > zenon Logic Runtime

Um die Lizenzinformationen anzuzeigen:

  1. Klicken Sie bei laufender Runtime doppelt auf das Symbol für die zenon Logic im Systemtray.

    Der Dialog mit Statusinformationen wird geöffnet.

  2. Klicken Sie in der linken oberen Ecke auf das Logo von zenon Logic.
  3. Wählen Sie in der Dropdownliste Über zenon Logic Runtime... aus.

    Der Dialog mit den Lizenzinformationen wird geöffnet.

Dialog Lizenzinformation

Option | Beschreibung
Lizenzinformationen | Zeigt Informationen zur aktuell genutzten Lizenz an.
OK | Schließt den Dialog.
Lizenzverwaltung öffnen | Öffnet die COPA-DATA Lizenzverwaltung. Mit diesem Tool können Lizenzen aktiviert, zurückgegeben und verwaltet werden. Dazu wird die Seriennummer benötigt.


zenon Web Server

zenon Lizenzverwaltung 8.00 > Lizenzierung > Versions- und Lizenzinformationen anzeigen > zenon Web Server

Um Lizenzinformationen anzuzeigen:

  1. Öffnen Sie die Systemsteuerung oder das Startmenü.
  2. Klicken Sie auf zenon Web Server.

    Der Dialog für Konfiguration und Lizenzierung wird geöffnet.

Dialog zenon Web Server

Option

Beschreibung

Active Clients

Liste der aktuell verbundenen zenon Web Clients.

State:

Zeigt Version und Status des Web Servers an:

Mögliche Versionen:

  • zenon Web Server
  • zenon Web Server Pro
  • zenon Web Server Pro Light

Mögliche Statusmeldungen:

  • running:
    Web Server läuft mit gültiger Lizenz
  • stopped:
    Web Server wurde gestoppt
  • Demomodus:
    Web Server läuft im Demomodus ohne Lizenz
  • not installed:
    Web Server nicht als Dienst registriert oder Installationsfehler

Max. number of clients:

Maximale Zahl an Clients, die sich zum Web Server verbinden dürfen. Zahl wird durch Lizenz definiert.
Im Demomodus sind 2 Clients für 30 Minuten lizenziert.

Default: 0

Number of active clients:

Zeigt die Zahl der aktuell verbundenen Clients an.

HTTP tunnelling

Aktiv: HTTP Tunneling ist aktiviert.

Nicht verfügbar in der Web Server Pro Light-Version.
Hinweis: Kann nur geändert werden, wenn der Web Server im Status gestoppt ist. Im laufenden Betrieb kann nicht umgeschaltet werden.

Default: inaktiv

Start

Startet den Web Server.

Stop

Stoppt den Web Server.

Refresh

Aktualisiert die Anzeige.

Diagnosis Viewer

Öffnet den Diagnose Viewer zur Auswertung von Fehlermeldungen.

License Manager

Öffnet die COPA-DATA Lizenzverwaltung. Mit diesem Tool können Lizenzen aktiviert, zurückgegeben und verwaltet werden. Dazu wird die Seriennummer benötigt.

License ínformation

Zeigt Informationen zur aktuell genutzten Lizenz an.

  • Falls genutzt: Demo-Lizenz / Education & Training Lizenz
  • lizenzierte Produktversionen
  • Seriennummer
  • Ablaufzeit/Nutzungsdauer

License errors

Zeigt Informationen zu Fehler bei den gefundenen Lizenzen an.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


HTML Web Engine

zenon Lizenzverwaltung 8.00 > Lizenzierung > Versions- und Lizenzinformationen anzeigen > HTML Web Engine

Um Lizenzinformationen in der HTML Web Engine anzuzeigen:

  1. Öffnen Sie das Menü Hilfe.
  2. Klicken Sie auf Info über... .

    Der Dialog Lizenzinformation wird geöffnet.

Dialog Lizenzinformation

Option

Beschreibung

Version

Versionsnummer des Editors.

Edition

Verwendete Edition.

Serial number

Seriennummer der Lizenz.

Detail information

Information über lizenzierte:

  • Version
  • Variablen
  • Module und deren Ausbau

Open license manager

Öffnet die COPA-DATA Lizenzverwaltung. Mit diesem Tool können Lizenzen aktiviert, zurückgegeben und verwaltet werden. Dazu wird die Seriennummer benötigt.

Close

Schließt den Dialog.


Process Gateway

zenon Lizenzverwaltung 8.00 > Lizenzierung > Versions- und Lizenzinformationen anzeigen > Process Gateway

Um Lizenzinformationen im Process Gateway anzuzeigen:

  1. Öffnen Sie das Process Gateway.
  2. Klicken Sie die Schaltfläche About.

    Der Dialog About wird geöffnet.

Dialog About

Option | Beschreibung
Lizenzinformationen | Informationen zu lizenzierten Modulen inklusive Seriennummer.
OK | Schließt den Dialog.
Open license manager | Öffnet die COPA-DATA Lizenzverwaltung. Mit diesem Tool können Lizenzen aktiviert, zurückgegeben und verwaltet werden. Dazu wird die Seriennummer benötigt.

Wird das Process Gateway ohne bestehende Modulkonfiguration geöffnet, muss zuerst ein Modul gewählt werden. Nach Auswahl eines Moduls wird der entsprechende Startdialog für das Process Gateway geöffnet. Dabei ist die Schaltfläche Settings so lange inaktiv, bis das Process Gateway lizenziert ist.


OPC DA Server

zenon Lizenzverwaltung 8.00 > Lizenzierung > Versions- und Lizenzinformationen anzeigen > OPC DA Server

Um Lizenzinformationen im Process Gateway anzuzeigen:

  1. Öffnen Sie den OPC DA Server.
  2. Klicken Sie auf About.

    Der Dialog About wird geöffnet.

Dialog About

Option | Beschreibung
Lizenzinformationen | Informationen zu lizenzierten Modulen inklusive Seriennummer.
OK | Schließt den Dialog.
Open license manager | Öffnet die COPA-DATA Lizenzverwaltung. Mit diesem Tool können Lizenzen aktiviert, zurückgegeben und verwaltet werden. Dazu wird die Seriennummer benötigt.


zenon Analyzer

zenon Lizenzverwaltung 8.00 > Lizenzierung > Versions- und Lizenzinformationen anzeigen > zenon Analyzer

Um die vom Analyzer Server verwendete Lizenz anzuzeigen:

  1. Wählen Sie im Ribbon Analyzer Server den Befehl Lizenz anzeigen.

    Der Dialog mit den Lizenzinformationen wird geöffnet.

Option

Beschreibung

Lizenzdetails

Zeigt Details der aktuellen Lizenz an, vor allem:

  • Seriennummer
  • lizenzierte Versionen
  • lizenzierte Clients
  • Daten zu Gültigkeit und Ablauf

Enthaltene Themen

Anzeige der Reportthemen, die in dieser Lizenz enthalten sind.

OK

Schließt das Fenster.

Details zur Lizenzierung siehe auch Kapitel Lizenzierung.


Redundanter Lizenzschutz

zenon Lizenzverwaltung 8.00 > Lizenzierung > Redundanter Lizenzschutz

In manchen Anlagen ist eine ständige Verfügbarkeit unabdingbar. Es muss unbedingt sichergestellt werden, dass auch der Lizenzschutz immer erreichbar ist. Für solche Anwendungsfälle kann eine Lizenz-Suchliste in der COPA-DATA Lizenzverwaltung erstellt werden.

Diese Suchliste wird sowohl beim Starten berücksichtigt, als auch im laufenden Betrieb. Alle Produkte versuchen immer die nächste Lizenz in der Liste zu belegen. Demo-Lizenzen werden dabei nicht berücksichtigt. Fällt während des laufenden Betriebs eine Lizenz aus, wird automatisch die nächste Lizenz als Ersatzlizenz verwendet, sofern sie den Regeln entspricht.

Regeln für den Reconnect

  • Die Reihenfolge der Abfrage entspricht der Reihenfolge in der License.ini. Diese wird über die COPA-DATA Lizenzverwaltung in der Registerkarte Lizenzverwendung festgelegt.
  • Es werden maximal 10 Lizenzen abgefragt.
  • Während der Laufzeit werden Demo-Lizenzen nicht als Ersatzlizenzen berücksichtigt. Sie werden übersprungen.
  • Eine Ersatzlizenz muss für die genutzte Produktversion gültig sein und mindestens den gleichen Lizenzausbau aufweisen wie die ursprüngliche Lizenz. Sie kann auch über einen höheren Lizenzausbau verfügen, z.B. mehr TAGs, mehr Module usw. Es werden aber immer nur die in der ursprünglichen Lizenz verfügbaren Ausbauten zur Verfügung gestellt.
  • Die Edition muss in beiden Lizenzen dieselbe sein.
  • Beispiele:
    • Beispiel 1: Die beim ersten Start der Runtime verwendete Lizenz ist eine Operator-Lizenz. Die Ersatzlizenz ist eine Supervisor-Lizenz. Die Ersatzlizenz kann nicht genutzt werden, da die Edition nicht dieselbe ist.
    • Beispiel 2: Die beim ersten Start der Runtime verwendete Lizenz hat 2000 TAGs, die Module Archivserver, Erweiterter Trend und zwei Treiber lizenziert. Die Ersatzlizenz hat 4000 TAGs, zusätzlich das Modul Message Control und drei Treiber lizenziert. Die Ersatzlizenz wird verwendet. Die erhöhte TAG-Anzahl, die neuen Module und Treiber können jedoch nicht genutzt werden.

Verhalten beim Neustart

Beim Neustart wird ebenso die Lizenzsuchliste in der License.ini berücksichtigt.
Der Unterschied zum Reconnect:

  • Es wird kein Vergleich mit der ersten Lizenz durchgeführt
  • Der volle Lizenzausbau der Lizenz wird berücksichtigt
  • Demo-Lizenzen werden berücksichtigt.
    Achtung: Das kann zu unerwünschtem Verhalten führen.
    Haben Sie z. B. als zweite Lizenz eine Demo-Lizenz eingetragen, ist das Verhalten bei Neustart und Reconnect unterschiedlich:
    • Beim Reconnect wird die Demo-Lizenz übersprungen und die dritte Lizenz verwendet.
    • Beim Neustart wird die Demo-Lizenz gestartet.


Festplattendefekt - Festplatte tauschen - Betriebssystem neu aufsetzen

zenon Lizenzverwaltung 8.00 > Lizenzierung > Festplattendefekt - Festplatte tauschen - Betriebssystem neu aufsetzen

Dieses Kapitel beschreibt die Vorgangsweise, wenn ein Software-Dongle verwendet wird und die Festplatte ausgetauscht oder das Betriebssystem neu installiert wird.
Hinweis: Bei Hardware-Dongles muss beim neu Aufsetzen des Betriebssystems die Lizenz erneut übernommen werden. Details siehe Kapitel Lizenz von Hardware-Dongle übernehmen.

Software-Dongle: Geplanter Festplattentausch - Betriebssystem neu aufsetzen

Falls Sie vorhaben, die Festplatte mit dem Betriebssystem (in der Regel Laufwerk C) auszutauschen oder das Betriebssystem neu aufzusetzen:

  1. Geben Sie Lizenzen rechtzeitig zurück.
  2. Tauschen Sie die Festplatte und/oder setzen Sie das Betriebssystem neu auf.
  3. Aktivieren Sie die Lizenzen wieder.

Details dazu lesen Sie im Kapitel Lizenz übertragen/übersiedeln.

Software-Dongle: Ungeplanter Festplattentausch

Wird die Festplatte mit dem Laufwerk C defekt, dann kann die Lizenz nicht mehr ans Lizenzdepot zurückgegeben werden. Die Lizenz ist damit verloren. Das gilt auch, wenn das Betriebssystem neu aufgesetzt wurde, ohne dass zuvor die Lizenz zurückgegeben wurde. In der Regel kann jedoch dieselbe Seriennummer wieder für eine Reaktivierung verwendet werden.

attention Achtung

Es dürfen keine anderen Komponenten als die Festplatte getauscht werden. Werden auch andere Komponenten geändert, muss eine Ersatzlizenz ausgestellt werden.

Um eine Lizenz bei einem Festplattentausch wiederherzustellen:

  1. Setzen Sie den Rechner neu auf und installieren Sie zenon neu.
  2. Starten Sie die COPA-DATA Lizenzverwaltung.
  3. Wechseln Sie in der erweiterten Ansicht zur Registerkarte Lizenz aktivieren.
  4. Wählen Sie Offline-Aktivierung aus.
  5. Geben Sie dieselbe Seriennummer ein, die bei der letzten Aktivierung verwendet wurde.
  6. Klicken Sie auf Lizenz-Anforderungsdatei erstellen.
  7. Öffnen Sie den Webbrowser.
  8. Öffnen Sie auf keinen Fall die Web-Adresse, die im Dialog angezeigt wird!
    Öffnen Sie stattdessen unbedingt diese Web-Adresse:
    https://copadata-license.copadata.com/restore.php

    Achtung: Wird der Host-Rechner nicht als ident mit dem ursprünglichen Aktivierungsrechner erkannt, erfolgt eine Fehlermeldung. In diesem Fall muss eine Ersatzlizenz angefordert werden.

  9. Laden Sie die Anforderungsdatei <SN>.LicRec hoch.
  10. Laden Sie die Update-Datei <SN>.LicUpd herunter.
  11. Übernehmen Sie die Update-Datei in der COPA-DATA Lizenzverwaltung.
  12. Laden Sie die Bestätigungsdatei <SN>.LicConf hoch.

Ihre Lizenz ist wieder einsatzbereit.


Lizenzbruch bei Software-Dongles

zenon Lizenzverwaltung 8.00 > Lizenzierung > Lizenzbruch bei Software-Dongles

Lizenzen für Software-Dongles sind rechnergebunden. Sie können nur auf den ursprünglich lizenzierten Rechnern verwendet werden. Werden Sie auf anderen Rechnern verwendet, dann werden sie ungültig.

Ob eine Lizenz beim physikalischen Umbau eines Rechners weiter genutzt werden kann, hängt davon ab, welche und wie viele Komponenten geändert werden. Die Änderung des Rechnernamens oder der Tausch einer Festplatte (ausgenommen Laufwerk C) stellen in der Regel kein Problem dar.

info Info

Lizenzen können zurückgegeben und neu aktiviert werden. Damit ist es möglich, eine Lizenz ohne Lizenzbruch auf einen anderen Rechner oder eine andere Virtual Machine zu übertragen.

Arten von Software-Dongles

Software-Dongles stehen in verschiedenen Ausprägungen zur Verfügung. Diese unterscheiden sich in Einsatzmöglichkeiten und in Auslösern für Lizenzbruch.

Dongle-Typ

Funktionalität

Lizenzbruch

Software-Dongle Standard:
(Rechnergebundene Lizenz)
  • Lizenz ist nur auf dem Rechner gültig, auf dem sie aktiviert wurde.
  • Lizenz kann nur auf einem physikalischen Rechner verwendet werden, aber nicht in einer Virtual Machine.

Bei folgenden Ereignissen wird die Lizenz ungültig:

  • Die Hardware des Rechners wird geändert.
  • Das Betriebssystem wird neu installiert. Details dazu lesen Sie im Kapitel Festplatte defekt - Festplatte tauschen - Betriebssystem neu aufsetzen.

Software-Dongle VirtualMachine:

(Rechnergebundene Lizenz für Virtual Machine)
  • Lizenz ist nur auf dem Host-Rechner gültig, auf dem die Virtual Machine aktiviert wurde.
  • Lizenz kann in einer Virtual Machine und auf einem physikalischen Rechner verwendet werden.

Bei folgenden Ereignissen wird die Lizenz ungültig:

  • Die Virtual Machine wird auf einen anderen Host-Rechner übertragen.
  • Die Hardware des Host-Rechners wird geändert wird.

Software-Dongle VM DataCenter:

(Lizenz für Virtual Machine in Data Center)
  • Lizenz kann in einer Virtual Machine in einem öffentlichen Data Center wie Microsoft Azure oder Amazon Web Services (AWS) sowie in privaten Data Centers verwendet werden.
  • Die Virtual Machine kann innerhalb des Data Centers auf unterschiedliche Host-Systeme verschoben werden.

Bei folgenden Ereignissen wird die Lizenz ungültig:

  • Die Virtual Machine wird kopiert.

Lizenzbruch

Bricht eine Lizenz, wird in der COPA-DATA Lizenzverwaltung eine entsprechende Meldung angezeigt. Abhängig von der Ursache des Lizenzbruchs, kann die Lizenz wiederhergestellt werden oder muss durch eine neue Lizenz ersetzt werden.

Achtung: Notieren Sie bei Lizenzbruch immer die betroffenen Seriennummern! Sind die Seriennummern nicht mehr feststellbar, muss die Dongle-ID bekanntgegeben werden. Notieren Sie daher immer die in der Fehlermeldung angezeigte Dongle-ID. Nur so kann der Lizenzgeber herausfinden, welche Lizenzen am Dongle aktiviert waren. Aus gebrochenen Software-Dongles können keinerlei andere Informationen ausgelesen werden.

Wiederherstellung und Ersatzlizenzen

Wird ein Software-Dongle ungültig, dann können die darin enthaltenen Lizenzen unter bestimmten Bedingungen wiederhergestellt oder neu angefordert werden.

  • Wiederherstellung des ursprünglichen Zustands.
    Der Software-Dongle wird dadurch wieder gültig. Danach kann die Lizenz im regulären Ablauf übertragen werden.
  • Wiederherstellung ist nicht mehr möglich: Anforderung einer Ersatzlizenz.

Lizenz wiederherstellen:

Eine Lizenz kann wiederhergestellt werden, wenn der physikalische Zustand des Hosts wieder in den Ausgangszustand zurückgesetzt werden kann.

  1. Sellen Sie den ursprünglichen Hardwarezustand des Rechners wieder her. Beispielsweise in dem sie die Virtual Machine wieder auf das ursprünglichen Host-System zurück transferieren.
    Auschlaggebend für den ursprungszustand dazu ist der Zeitpunkt der zenon Installation. Bei der Installation wird der Software-Dongle an die Hardware gebunden.
  2. Die Lizenz wird wieder gültig.
  3. Geben Sie die Lizenz zurück.
  4. Transferieren Sie die Virtual Machine oder ändern Sie die Hardware des Rechners.
  5. Aktivieren Sie die Lizenz erneut.

Ersatzlizenz anzufordern:

In folgenden Fällen kann eine Ersatzlizenz ausgestellt werden:

  • Eine Lizenz ist gebrochen und kann nicht wiederhergestellt werden.
  • Eine Lizenz ist bedingt durch einen Festplattendefekt unwiederbringlich verloren. Siehe auch Kapitel: Festplattendefekt - Festplatte tauschen - Betriebssystem neu aufsetzen

Beim Ausstellen einer Ersatzlizenz wird der bisherige Dongle gesperrt. Er kann nicht mehr verwendet werden. Alle Lizenzen, die auf dem Dongle gespeichert waren, werden damit ungültig. Für die Erstellung von Ersatzlizenzen werden die verlorenen Seriennummern benötigt. Sind diese nicht mehr feststellbar, so können diese über die die Dongle-ID herausgefunden werden.

  1. Löschen sie die gebrochene Lizenz
  2. Kontaktieren Sie Ihren Vertriebspartner.
  3. Fordern Sie eine neue Lizenz an.
  4. Aktivieren Sie die neue Lizenz.

attention Achtung

Virtual Machine in Data Center:

In einem öffentlichen Data Center wie Microsoft Azure oder Amazon Web Services (AWS) sowie in privaten Data Centers kann auch das automatisierte Wechseln des Host-Systems einen Lizenzbruch bei einer Virtual Machine auslösen. Fordern Sie in diesem Fall beim Lizenzaussteller eine Lizenz an, die für Data Center geeignet ist.


Wechsel zwischen Virtual Machine und Virtual Machine DataCenter

zenon Lizenzverwaltung 8.00 > Lizenzierung > Wechsel zwischen Virtual Machine und Virtual Machine DataCenter

Eine Virtual Machine kann entweder mit dem Dongle-Typ Software-Dongle VirtualMachine oder mit dem Dongle-Typ Software-Dongle VM DataCenter betrieben werden. In der Regel wird der Dongle-Typ Software-Dongle VirtualMachine verwendet. Wird die Virtual Machine in einem öffentlichen Data Center wie Microsoft Azure oder Amazon Web Services (AWS) oder in einem privaten Data Center betrieben, wird dringend empfohlen, den Dongle-Typ Software-Dongle VM DataCenter zu verwenden. Sonst wird bei jedem Wechsel des Host-Systems der Software-Dongle brechen. Die Wechsel können in der Regel vom Benutzer nicht beeinflusst werden. Eine Freischaltung für diesen Dongle-Typ muss beim Lizenzgeber beantragt werden.

Der Wechsel erfolgt manuell über Umstellung in der COPA-DATA Lizenzverwaltung oder automatisch durch das Einspielen einer entsprechenden Lizenz.

Manueller Wechsel von Virtual Machine zu Virtual Machine DataCenter

Manuelle Umstellung über COPA-DATA Lizenzverwaltung:

  1. Starten Sie die COPA-DATA Lizenzverwaltung in der Virtual Machine.
  2. Falls auf dem Dongle Lizenzen vorhanden sind, geben Sie diese zurück.
  3. Öffnen Sie die Registerkarte Einstellungen.
  4. Klicken Sie auf die Schaltfläche Software-Dongle auf Dongle-Typ "VM DataCenter" wechseln.

    Hinweis: Diese Schaltfläche wird nur bei Lizenzierung in einer Virtual Machine angezeigt.

  5. Bestätigen Sie die Sicherheitsabfrage.

    Der vorhandene Software-Dongle VirtualMachine wird gelöscht und ein Software-Dongle VM DataCenter wird angelegt.
    Die Schaltfläche ändert ihre Funktionalität auf Software-Dongle auf Dongle-Typ "Virtual Machine" wechseln.

  6. Aktivieren Sie die benötigten Lizenzen auf dem neuen Dongle.

Um einen Dongle auf Software-Dongle VirtualMachine zu ändern, durchlaufen Sie die Schritte erneut und klicken Sie auf Software-Dongle auf Dongle-Typ "Virtual Machine" wechseln.

Automatisches Umschalten des Dongles beim Einspielen einer Lizenz

Die Dongles Software-Dongle VirtualMachine und Software-Dongle VM DataCenter können auch automatisch umgeschaltet werden.

Das passiert, wenn:

  • der Ziel-Dongle leer ist
    und
  • eine entsprechende Lizenz darauf aktiviert wird

Sind bereits Lizenzen vorhanden, wird eine Fehlermeldung angezeigt.

Hinweise:

  • Wird eine Lizenz , die für Software-Dongle VM DataCenter freigeschaltet ist, auf einem Software-Dongle VirtualMachine aktiviert, dann verliert die Lizenz ihre Eigenschaft, in Data Center hardwareunabhängig eingesetzt werden zu können.
  • Wird der Dongle-Typ während des Lizenzierungsvorgangs automatisch umgestellt, der Lizenzierungsvorgang schlägt aber fehl, dann wird der Dongle-Typ nicht zurück gestellt.

Beispiel

Auf einem Dongle Software-Dongle VirtualMachine wird eine Lizenz für Software-Dongle VM DataCenter online aktiviert. Der Dongle enthält noch keine Lizenz. Er wird automatisch umgestellt auf einen Software-Dongle VM DataCenter.


Lizenzabfrage während des Betriebes

zenon Lizenzverwaltung 8.00 > Lizenzierung > Lizenzabfrage während des Betriebes

Im laufenden Betrieb wird die Lizenz für das verwendete Produkt regelmäßig überprüft. Ist keine Lizenz mehr vorhanden, wird versucht, die Verbindung wieder herzustellen. Gelingt das nicht, werden der Rechner und das Netzwerk auf weitere passende Lizenzen überprüft.

Regeln für den Reconnect

  • Die Reihenfolge der Abfrage entspricht der Reihenfolge in der License.ini. Diese wird über die COPA-DATA Lizenzverwaltung in der Registerkarte Lizenzverwendung festgelegt.
  • Es werden maximal 10 Lizenzen abgefragt.
  • Während der Laufzeit werden Demo-Lizenzen nicht als Ersatzlizenzen berücksichtigt. Sie werden übersprungen.
  • Eine Ersatzlizenz muss für die genutzte Produktversion gültig sein und mindestens den gleichen Lizenzausbau aufweisen wie die ursprüngliche Lizenz. Sie kann auch über einen höheren Lizenzausbau verfügen, z.B. mehr TAGs, mehr Module usw. Es werden aber immer nur die in der ursprünglichen Lizenz verfügbaren Ausbauten zur Verfügung gestellt.
  • Die Edition muss in beiden Lizenzen dieselbe sein.
  • Beispiele:
    • Beispiel 1: Die beim ersten Start der Runtime verwendete Lizenz ist eine Operator-Lizenz. Die Ersatzlizenz ist eine Supervisor-Lizenz. Die Ersatzlizenz kann nicht genutzt werden, da die Edition nicht dieselbe ist.
    • Beispiel 2: Die beim ersten Start der Runtime verwendete Lizenz hat 2000 TAGs, die Module Archivserver, Erweiterter Trend und zwei Treiber lizenziert. Die Ersatzlizenz hat 4000 TAGs, zusätzlich das Modul Message Control und drei Treiber lizenziert. Die Ersatzlizenz wird verwendet. Die erhöhte TAG-Anzahl, die neuen Module und Treiber können jedoch nicht genutzt werden.

Lizenzverlust ohne Ersatzlizenz

Wird keine gültige Lizenz während der Laufzeit gefunden, verhalten sich die Produkte wie folgt:

  • zenon Runtime: Die Runtime läuft weiter.
    Es werden Einträge in die CEL geschrieben. Mittels der Systemtreibervariable Lizenzschutz vorhanden kann das Vorhandensein des Lizenzschutzes lokal und im Netzwerk überwacht werden.
  • zenon Web Server: Der zenon Web Server läuft weiter.
    Es werden entsprechende Informationen Im zenon Web Server Dialog angezeigt.
  • zenon Editor: Der Editor wird beendet.
  • HTML Web Engine: Wird weiter ausgeführt.
  • zenon Logic, Process Gateway und OPC DA Server: Alle Produkte werden weiter ausgeführt.
    Der Lizenzverlust wird im Dialog Info über... angezeigt.
  • zenon Analyzer ZAMS: Wird beendet.
  • zenon Analyzer Report Launcher: Neue Reports können nicht geöffnet werden. Geöffnete Reports können nicht aktualisiert werden.

Für alle Produkte gilt: Wenn keine Lizenz zur Verfügung steht, kann das Produkt nicht neu gestartet werden. Die Produkte laufen also maximal bis zum nächsten Neustart. Der Demo-Modus kann weiter genutzt werden.

Mögliche Gründe für Lizenzverlust

Wenn Ihr Produkt Lizenzverlust meldet, kann es dafür eine Reihe von Gründen geben.
Die häufigsten Ursachen für Lizenzverlust sind:

  • Die Netzwerkverbindung zum Lizenzserver ist nicht mehr verfügbar.
  • Der Hardware-Dongle wurde entfernt.
  • Die Lizenz ist abgelaufen.
  • Das Zeit-Kontingent für das Produkt ist erschöpft.


Rechner-Defekt bei Software-Dongle: 30 Tage Demo-Lizenz nutzen

zenon Lizenzverwaltung 8.00 > Lizenzierung > Rechner-Defekt bei Software-Dongle: 30 Tage Demo-Lizenz nutzen

Tritt bei einem Rechner ein Hardwareproblem aus, zum Beispiel kaputte Festplatte, dann sind Software-Lizenzen meistens davon betroffen. Entweder bricht die Lizenz oder sie ist gar nicht mehr vorhanden.

In diesem Fall können Sie bis zum Ersatz der Lizenz eine Demo-Lizenz verwenden. Alle Runtime Demo-Lizenzen verfügen über 30 Tage Laufzeit ab dem ersten Start. Ausgenommen: Virtual Machine Demo-Lizenzen.

Sollten Sie die Demo-Lizenz vorher noch nie verwendet haben, dann stehen Ihnen nun 30 Tage ab dem ersten Start des Produktes zur Verfügung. Der Nutzungszeitraum wird für jedes Produkt (Editor/Runtime/Web Server usw...) einzeln gestartet.


Besonderheiten beim Client-Server-Betrieb

zenon Lizenzverwaltung 8.00 > Lizenzierung > Besonderheiten beim Client-Server-Betrieb

Bei der Lizenzierung von Modulen im Client-Server-Betrieb gelten folgende Besonderheiten:

Modul

Beschreibung

Archivserver

Folgende Fälle werden unterschieden:

  • Server und Client lizenziert:
    Archive können am Client geöffnet und bearbeitet werden.
  • Server lizenziert und Client nicht lizenziert:
    Archive können am Client geöffnet, aber nicht bearbeitet werden.
  • Archivserver nicht lizenziert und Standalone gestartet:
    Das Bild Archiv-Nachbearbeitung kann geöffnet werden, die einzelnen Archive können jedoch nicht bearbeitet werden.

Automatic Line Coloring

Der Client holt sich die Lizenz vom Server und benötigt keine eigene Lizenz. Verfügt der Server über keine eigene Lizenz, kann der Client das Modul nicht nutzen.

Batch Control

Der Client holt sich die Lizenz vom Server und benötigt keine eigene Lizenz. Verfügt der Server über keine eigene Lizenz, kann der Client das Modul nicht nutzen.

Last-Management

Der Client holt sich die Lizenz vom Server und benötigt keine eigene Lizenz. Verfügt der Server über keine eigene Lizenz, kann der Client das Modul nicht nutzen.

Message Control

Der Client holt sich die Lizenz vom Server und benötigt keine eigene Lizenz. Verfügt der Server über keine eigene Lizenz, kann der Client das Modul nicht nutzen.

Everywhere Server by zenon

Der Everywhere Server holt sich die Lizenz von der Runtime. Verfügt die Runtime über keine entsprechende Lizenz, kann der Everywhere Server nicht genutzt werden. Das kann dazu führen, dass zwar die Runtime läuft, der Everywhere Server jedoch auf Grund fehlender Lizenzen nicht gestartet werden kann.


Seriennummer

zenon Lizenzverwaltung 8.00 > Lizenzierung > Seriennummer

Jedes COPA-DATA Produkt muss über eine Seriennummer lizenziert werden.
Die Seriennummer wird nach bestimmten Regeln erstellt. Sie besteht aus 5 Gruppen zu jeweils 5 Zeichen und enthält eine Prüfsumme. Die letzten 10 Stellen enthalten eine fortlaufende Zahl und machen die Seriennummer leicht voneinander unterscheidbar.

Beispiel: C00GF-2SQ5T-QWERT-00000-00035

Die Seriennummer darf nur bestimmte alphanumerische Zeichen enthalten:

  • Erlaubte Zeichen:
    • Nur arabische Ziffern: 0-9
    • Nur Großbuchstaben aus dem lateinischen Alphabet.
    • A-N
    • P-Z
  • Verbotene Zeichen:
    • Buchstabe O, damit es keine Verwechslungen mit der Ziffer 0 gibt.
    • Sonderzeichen


License.ini Datei

zenon Lizenzverwaltung 8.00 > Lizenzierung > License.ini Datei

Die Informationen zur Lizenzierung werden in der Datei License.ini abgelegt. Aktionen zur Lizenzierung werden aber immer über die COPA-DATA Lizenzverwaltung ausgeführt.

Pfad zur License.ini: %programdata%\COPA-DATA\System
Tipp: Sie können den Pfad auch mit der Umgebungsvariable %CD_System% aufrufen.

attention Achtung

Bearbeiten Sie die Datei License.ini nie manuell!
Änderungen an dieser Datei können dazu führen, dass korrekt lizenzierte Produkte nicht mehr genutzt werden können. Führen Sie Aktionen zur Lizenzierung immer über die COPA-DATA Lizenzverwaltung durch.


CodeMeter Voraussetzungen

zenon Lizenzverwaltung 8.00 > Lizenzierung > CodeMeter Voraussetzungen

Für die Lizenzierung wird Hardware und Software von CodeMeter verwendet.
Dafür müssen folgende Voraussetzungen erfüllt sein:

Allgemein:

  • Die CodeMeter Runtime Version muss 6.60 oder höher sein und am Rechner laufen.

Hardware-Dongle:

  • Der Hardware-Dongle muss aus der Serie 3 oder höher sein. Die Seriennummer dieser Dongles beginnt mit 3. Zum Beispiel: 3-1234567.
    Dongles der Serien 1 und 2 werden nicht unterstützt.
  • CodeMeter Dongles gibt es in verschiedenen Bauformen, wie interne und externe USB Sticks sowie SD-, PCMCIA- und C-Fast-Karten. Alle Bauformen verfügen intern über den gleichen Sicherheitschip und können verwendet werden.
  • Der CodeMeter Hardware-Dongle muss am lokalen Rechner oder als Server auf einem Netzwerkrechner verfügbar sein.
  • Für Virtuelle Maschinen (VMs) wird von Wibu System empfohlen, den Dongle nicht per USB Port in die VM durchzureichen. Betreiben Sie den Dongle stattdessen als Wibu-Server im Host System und greifen Sie per Netzwerk darauf zu.

Netzwerk:

  • Bei Lizenzabfragen von Netzwerk-Dongles muss der CodeMeter Dienst als Netzwerk Server aktiviert sein.
    Empfehlung: Tragen Sie den Server am Client System in die Server-Suchliste ein.

Hinweis: Beim Start der COPA-DATA Lizenzverwaltung wird die CodeMeter Runtime auf die korrekte Version überprüft. Bei Fehler wird eine entsprechende Meldung angezeigt und die Lizenzierung wird abgebrochen. Installieren Sie in diesem Fall die aktuelle CodeMeter Runtime.


CodeMeter Software

zenon Lizenzverwaltung 8.00 > Lizenzierung > CodeMeter Software

Die von COPA-DATA verwendeten Dongles für die Lizenzierung basieren auf CodeMeter Hardware und Software. Die Verwaltung der Lizenzen erfolgt über die COPA-DATA Lizenzverwaltung. Der CodeMeter Webadmin stellt zusätzliche Funktionen zur Verwaltung zur Verfügung. Diese werden im Regelbetrieb aber nicht benötigt.

Detaillierte Hilfe zur Verwendung von CodeMeter erhalten Sie über die in CodeMeter integrierte Hilfe.
Diese rufen Sie auf über:

  • Kontrollzentrum: Klicken Sie im Menü Hilfe auf den Eintrag Hilfe.
  • WebAdmin: Klicken Sie in der zweiten Menüzeile auf das Fragezeichen.
    Die CodeMeter Hilfe wird kontextsensitiv aufgerufen.

Hinweis: Beschreibungen des CodeMeter WebAdmin beziehen sich auf dessen Version 6.60. Dieses Handbuch behandelt die wichtigsten Anwendungsfälle für zenon Benutzer.

Voraussetzungen

Damit die Lizenzierung über CodeMeter funktioniert, müssen folgende Voraussetzungen erfüllt sein:

Allgemein:

  • Die CodeMeter Runtime Version muss 6.60 oder höher sein und am Rechner laufen.

Hardware-Dongle:

  • Der Hardware-Dongle muss aus der Serie 3 oder höher sein. Die Seriennummer dieser Dongles beginnt mit 3. Zum Beispiel: 3-1234567.
    Dongles der Serien 1 und 2 werden nicht unterstützt.
  • CodeMeter Dongles gibt es in verschiedenen Bauformen, wie interne und externe USB Sticks sowie SD-, PCMCIA- und C-Fast-Karten. Alle Bauformen verfügen intern über den gleichen Sicherheitschip und können verwendet werden.
  • Der CodeMeter Hardware-Dongle muss am lokalen Rechner oder als Server auf einem Netzwerkrechner verfügbar sein.
  • Für Virtuelle Maschinen (VMs) wird von Wibu System empfohlen, den Dongle nicht per USB Port in die VM durchzureichen. Betreiben Sie den Dongle stattdessen als Wibu-Server im Host System und greifen Sie per Netzwerk darauf zu.

Netzwerk:

  • Bei Lizenzabfragen von Netzwerk-Dongles muss der CodeMeter Dienst als Netzwerk Server aktiviert sein.
    Empfehlung: Tragen Sie den Server am Client System in die Server-Suchliste ein.

attention Achtung

Wird der CodeMeter Dongle im laufenden Betrieb entfernt, dann schließt sich zenon und wird im Demo-Modus geöffnet, bis wieder eine gültige Lizenz erkannt wird.

Noch in diesem Kapitel

Kontrollzentrum

WebAdmin

Zertifizierte Uhrzeit aktualisieren

Netzwerk-Dongles

CodeMeter Dongle als HID oder Laufwerk konfigurieren

Fehlerbehebung


Kontrollzentrum

zenon Lizenzverwaltung 8.00 > Lizenzierung > CodeMeter Software > Kontrollzentrum

Das CodeMeter Kontrollzentrum starten Sie über: Windows -> CodeMeter -> CodeMeter Control Center.
Das CodeMeter Kontrollzentrum wird mit 2 Registerkarten geöffnet:

  • Lizenz: Enthält Informationen zu den gefundenen Dongles und ermöglicht Aktionen mit Dongles und Lizenzen.
  • Ereignisse: Zeigt die Anzahl der angeschlossenen Sticks, der Lizenz-Einträge, der gefundenen Firm-Items und alle Zugriffe auf den CodeMeter Runtime-Server an. Um die Einträge dauerhaft zu protokollieren, aktivieren Sie im Menü Datei den Eintrag Protokollierung.

Noch in diesem Kapitel

Registerkarte Lizenz


Registerkarte Lizenz

zenon Lizenzverwaltung 8.00 > Lizenzierung > CodeMeter Software > Kontrollzentrum > Registerkarte Lizenz

In dieser Registerkarte werden Dongles und Lizenzen angezeigt und konfiguriert.

Option

Beschreibung

Lizenz

Listet alle aktiven CodeMeter Dongles auf.

Name:

Individueller Name des ausgewählten Dongles. Bei Hardware-Dongles, kann der Name über die Schaltfläche mit dem Stift (rechts davon) geändert werden.

Serien-Nr.:

Seriennummer des ausgewählten Dongles.

Version:

Version der Firmware des ausgewählten Dongles.

Empfehlung: Verwenden Sie immer die aktuellste Firmware.
Um die Firmware zu aktualisieren: Klicken Sie auf die Pfeil-Schaltfläche. Das Online-Update über einen Wibu-Server wird gestartet.

Kapazität:

Anzeige des freien Speicherplatzes in Prozent und Bytes auf dem Dongle.

Symbole:

Drei Symbole ermöglichen Aktionen mit dem Dongle:

  • Stift: Umbenennen des Namens des Dongles.
  • Lampe: Ausgewählten Stick blinken lassen.
  • Pfeil: Aktualisieren der Firmware des ausgewählten Sticks.

Status

Anzeige und eventuell Änderung des Status für einen Dongle.

Hardware-Dongle:
Auswahl des Status des ausgewählten CodeMeter Dongles über Radiobuttons.

  • Deaktiviert:
    Der angeschlossene Dongle ist deaktiviert und kann von keiner Anwendung verwendet werden.
  • Aktiviert solange angeschlossen:
    Der Stick ist aktiviert solange er angeschlossen ist. Nach dem Entfernen vom PC wird er automatisch deaktiviert.
  • Aktiviert:
    Der Stick ist voll aktiviert und bleibt dies auch nach dem Entfernen.
    Empfohlener Status: Stellt sicher, dass bei Verlust des Sticks nicht von Unbefugten auf Lizenzen und persönlichen Daten (z. B.: CmPasswordManager) zugegriffen werden kann.

Änderungen müssen über das Dongle-Kennwort bestätigt werden.

Software-Dongle:

  • Anzeige des Lizenzstatus.

Lizenzaktualisierung

Startet den Assistenten zum Hinzufügen, Ändern und Löschen von Lizenzen.

Hinweis: Steht für COPA-DATA Produkte nicht zur Verfügung. Lizenzen werden über die COPA-DATA Lizenzverwaltung verwaltet.

Auswerfen

Gibt den Stick frei zum Entfernen.
Nur verfügbar für Hardware-Dongles.

Kennwort ändern

Ermöglicht das Ändern des Kennworts.
Nur verfügbar für Hardware-Dongles.

Lizenz löschen

Löscht ausgewählte Lizenz.
Nur verfügbar für Software-Dongles.
Achtung: Diese Option darf auf keine Fall ausgeführt werden, da eine Wiederherstellung der Lizenzen, die auf dem Dongle gespeichert waren, nicht möglich ist.
Für Demo-Modus Software-Dongles gilt: Diese können nach dem Löschen nicht mehr eingespielt werden.

CodeMeter ist gestartet/CodeMeter ist gestoppt

Information, ob der CodeMeter Dienst läuft. Kann im Menü Aktion geändert werden.
Achtung: Der Dienst kann über das Kontrollzentrum nicht gestoppt oder neu gestartet werden, da der zenon Lizenz Transfer Dienst vom CodeMeter Dienst abhängig ist. Ein Beenden des Dienstes ist nur über die Anwendung services.msc des Betriebssystems möglich.

WebAdmin

Startet den Webbrowser mit der Administrationsoberfläche für Dongles. Dazu muss der Port 22350 offen sein. Details siehe Kapitel WebAdmin.


WebAdmin

zenon Lizenzverwaltung 8.00 > Lizenzierung > CodeMeter Software > WebAdmin

Der CodeMeter WebAdmin dient zur Konfiguration und Verwaltung von Dongles im Netzwerk.

Um den CodeMeter WebAdmin zu starten:

  1. Öffnen Sie das CodeMeter Kontrollzentrum.
  2. Klicken Sie auf die Schaltfläche WebAdmin.

    Der CodeMeter WebAdmin wird im Webbrowser geöffnet.

Alternativ verwenden Sie folgenden Link: http://localhost:22350/index.html

Detaillierte Informationen zu den einzelnen Einstellungen finden Sie in der CodeMeter WebAdmin-Hilfe. Sie erreichen diese über das Symbol Fragezeichen (?) im WebAdmin. Die wichtigsten Optionen und Hinweise finden Sie auch in diesem Dokument.

attention Achtung

Der CodeMeter WebAdmin nutzt standardmäßig den Port 22350.
Beachten Sie:

  • Wird eine andere Firewall als die im Windows Betriebssystem integrierte Firewall verwendet, muss dieser Port frei gegeben werden.
  • Wird der Port geändert, kann die WebAdmin-Oberfläche nicht mehr gestartet werden, da der Port Teil der Adresse ist.
    Z. B: http://localhost:22350/configuration/extra.html
    Falls Sie den Port verändert haben, und nicht mehr wissen, wie die Portnummer lautet, können Sie in der Registry nachsehen. Öffnen Sie dazu Regedit.exe und navigieren Sie zum Knoten: HKEY_LOCAL_MACHINE\SOFTWARE\WIBU-SYSTEMS\CodeMeter\Server\CurrentVersion. Im Eintrag NetworkPort finden Sie die aktuelle Portnummer. Tragen den dort verwendeten Port in die Adresszeile des Browsers statt 22350 ein.
    Passen Sie dann den Port im WebAdmin über Einstellungen -> Erweitert -> Extras an.


Zertifizierte Uhrzeit aktualisieren

zenon Lizenzverwaltung 8.00 > Lizenzierung > CodeMeter Software > Zertifizierte Uhrzeit aktualisieren

Sie können die im Dongle gespeicherte zertifizierte Uhrzeit über die CodeMeter Zeitserver aktualisieren. Dazu benötigen Sie Zugang zum Internet.

Um die Uhrzeit zu aktualisieren:

  1. Starten Sie den CodeMeter WebAdmin.
  2. Überprüfen Sie Ihre Netzwerkeinstellungen:
    1. Sind die Proxy-Einstellungen im CodeMeter Webadmin korrekt?
    2. Sind Ihre Zugangsdaten aktuell?
  3. Navigieren zum Menü Container.
  4. Wählen Sie den gewünschten Dongle.
  5. Klicken Sie auf CMContainer Infos

  6. Wählen Sie den Eintrag Zertifizierte Uhrzeit (CM Container).
  7. Klicken Sie auf das Symbol zum Aktualisieren.
  8. Sie erhalten einen Hinweis, dass alle Sticks aktualisiert werden.
  9. Klicken Sie auf OK.

    Sie erhalten eine Information über die durchgeführte Aktualisierung.
    Tipp: Bei einer Fehlermeldung überprüfen Sie vor allem Ihre Zugangsdaten für den Proxy Server.


Netzwerk-Dongles

zenon Lizenzverwaltung 8.00 > Lizenzierung > CodeMeter Software > Netzwerk-Dongles

Jede Lizenz kann im Netzwerk verwendet werden. Damit CodeMeter Dongles im Netzwerk erreicht werden können, muss der CodeMeter Runtime Dienst als Netzwerk Server gestartet werden.

Dazu:

  1. Öffnen Sie den CodeMeter Webadmin: http://localhost:22350/configuration/server_access.html.
    Den WebAdmin können Sie auch über das CodeMeter Control Center starten.

  2. Navigieren Sie zur Seite Einstellungen -> Basis -> Server-Zugriff und setzen Sie die Option Netzwerk-Server aktivieren.
  3. Klicken Sie auf die Schaltfläche Übernehmen.

    Der CodeMeter Runtime Dienst wird neu gestartet.

Damit stehen alle lokal angeschlossenen Hardware- und Software-Dongles über das Netzwerk zur Verfügung. Ausgenommen sind Demo-Lizenzen auf Demo-Dongles. Diese können immer nur lokal genutzt werden.

Noch in diesem Kapitel

Server-Suchliste für Netzwerk-Dongles einrichten

Überprüfen ob ein Dongle im Netzwerk gefunden wird


Server-Suchliste für Netzwerk-Dongles einrichten

zenon Lizenzverwaltung 8.00 > Lizenzierung > CodeMeter Software > Netzwerk-Dongles > Server-Suchliste für Netzwerk-Dongles einrichten

Das Finden von Dongles im Netzwerk erfolgt über Mechanismen der CodeMeter Runtime. Diese sind unabhängig von zenon und können nur durch CodeMeter beeinflusst werden. Wird ein Dongle von CodeMeter nicht gefunden, so wird er auch von zenon Produkten nicht gefunden.

info Info

Nicht zu Verwechseln ist der CodeMeter Mechanismus mit dem Mechanismus der COPA-DATA Lizenzverwaltung.

Diese baut eine direkte Verbindung über den zenon Lizenztransfer auf. Diese Verbindung unterscheidet sich grundsätzlich von der CodeMeter Verbindung.

Der CodeMeter Mechanismus sucht Dongles immer zuerst lokal. Wird lokal die gesuchte Lizenz nicht gefunden, wird im Netzwerk gesucht. Dabei wird standardmäßig ein Broadcast verwendet.
Broadcasts haben folgende Nachteile:

  • Es werden immer alle Rechner im Netzwerk gesucht.
    Dadurch kann es vor allem bei großen Netzwerken und bei vielen Dongles im Netzwerk zu langen Antwortzeiten kommen.
  • Dongles, welche die gesuchte Lizenz nicht besitzen, werden abgefragt.
    Dadurch wird das Netzwerk und die CodeMeter Runtime unnötig belastet.
  • Broadcasts funktionieren nur im lokalen Subnet.
    Befindet sich der Dongle in einem anderem Subnet, dann wird der Dongle nicht gefunden.

Empfehlung: Tragen Sie Dongles in die Server-Suchliste ein. Damit vermeiden Sie die beschriebenen Einschränkungen.

Um einen CodeMeter Server in die Serversuchliste einzutragen:

  1. Starten Sie den CodeMeter WebAdmin: http://localhost:22350/configuration/server_search_list.html.
    Den WebAdmin können Sie auch über das CodeMeter Control Center starten.
  2. Navigieren Sie zu Einstellungen -> Basis -> Server-Suchliste.

  3. Fügen Sie den Server mit Klick auf das Pluszeichen hinzu.
  4. Bei mehreren Servern: Reihen Sie die Server mit den Pfeil-Symbolen in der gewünschten Reihenfolge der Abfrage.
  5. Übernehmen Sie die Einstellungen mit Klick auf die Schaltfläche Übernehmen.


Überprüfen ob ein Dongle im Netzwerk gefunden wird

zenon Lizenzverwaltung 8.00 > Lizenzierung > CodeMeter Software > Netzwerk-Dongles > Überprüfen ob ein Dongle im Netzwerk gefunden wird

Das finden von Dongles im Netzwerk erfolgt über Mechanismen der CodeMeter Runtime. Daher erfolgt auch die Prüfung am besten über die CodeMeter Mechanismen:

  1. Starten Sie den CodeMeter WebAdmin: http://localhost:22350/index.html.
    Den WebAdmin können Sie auch über das CodeMeter Control Center starten.
  2. Am unteren linken Rand sehen Sie den Eintrag Aktueller Server: localhost (127.0.0.1).
    Klicken Sie auf die Schaltfläche

    Ein Dialog mit allen gefundenen CodeMeter Netzwerk Servern wird geöffnet.

  3. Wählen Sie den gewünschten Server aus, um zu kontrollieren, ob der gesuchte Dongle gefunden wird.
    Achtung: Sie sind remote mit dem CodeMeter Server verbunden. Alle angezeigten Informationen stammen vom Remote-Rechner.

Scheint der gesuchte Server nicht in der Liste auf, dann prüfen Sie:

  • Ist die CodeMeter Runtime als Netzwerk Server aktiviert?
  • Ist der Server in die Server Suchliste eingetragen?
    Wurde der TCP/IP Port der CodeMeter Runtime verändert?
    Der Standard Port ist 22350 und sollte nicht geändert werden. Falls Sie den Port verändert haben, und nicht mehr wissen, wie die Portnummer lautet, können Sie in der Registry nachsehen. Öffnen Sie dazu Regedit.exe und navigieren Sie zum Knoten: HKEY_LOCAL_MACHINE\SOFTWARE\WIBU-SYSTEMS\CodeMeter\Server\CurrentVersion. Im Eintrag NetworkPort finden Sie die aktuelle Portnummer. Stellen Sie Am Besten die Portnummer auf Default 22350 zurück.
    Der Port muss auf allen CodeMeter Rechnern gleich sein.
  • Ist die CodeMeter Runtime durch eine Firewall blockiert?
    Überprüfen Sie die Firewall-Einstellungen sowohl am Server als auch am Client.


CodeMeter Dongle als HID oder Laufwerk konfigurieren

zenon Lizenzverwaltung 8.00 > Lizenzierung > CodeMeter Software > CodeMeter Dongle als HID oder Laufwerk konfigurieren

Standardmäßig wird der Dongle als HID (Human Interface Device) ins System integriert. Diese Konfiguration wird empfohlen. Der Dongle kann bei Bedarf aber auch als lokaler Massenspeicher oder Wechseldatenträger konfiguriert werden.

Voraussetzungen:

  • CodeMeter Container mit der Kennung "2-xxxxxxx" oder "3-xxxxxxx".
  • Mindestens CodeMeter Firmware 2.02.
  • CodeMeter Runtime 6.60 und höher. Sollte Ihre installierte CodeMeter Version kleiner sein, können Sie von Wibu Systems (www.wibu.com) die aktuelle CodeMeter Runtime downloaden.

Konfigurationen

CodeMeter Sticks können konfiguriert werden als:

Gerät

Beschreibung

Einschränkungen

HID
(Human Interface Device)

Dongle wird als HID am System angemeldet.
Der Dongle wird damit nicht in der Liste der verfügbaren Laufwerke angezeigt und belegt keinen Laufwerksbuchstaben.

Default für Sticks ohne Speicher.

Spezielle USB Host-Treiber werden nicht benötigt.

Nur verfügbar für CodeMeter Dongles ohne Speicher.

Lokaler Massenspeicher (Mass Storage Device - MSD)

Der Dongle wird als festes lokales Laufwerk mit eigenem Laufwerksbuchstaben angezeigt und verwaltet.

Kann dazu führen, dass:

  • das Betriebssystem für den Dongle zu wenig Speicherplatz meldet
  • das Symbol für den Windows Papierkorb nicht mehr angezeigt wird
  • in einer Virtual Machine der Dongle nicht gefunden wird

Wechseldatenträger

Der Dongle wird als Wechseldatenträger mit eigenem Laufwerksbuchstaben angezeigt und verwaltet.

Der Dongle muss über einen Flash-Speicher verfügen.

Bei einer Konfiguration als Wechseldatenträger:

  • kann bei Systemen, die als Boot-Methode USB-Laufwerke zulassen, das Booten des Rechners verhindert werden
  • erscheint der Dongle als Laufwerk in der Taskleiste und kann damit jederzeit entfernt (ausgeworfen) werden

Ablauf Dongle neu konfigurieren

Status Dongle

Ziel

Ablauf

HID

Lokaler Massenspeicher
  • Konfiguration als Massenspeicher.
  • Konfiguration als lokale Festplatte.

HID

Wechseldatenträger
  • Konfiguration als Massenspeicher.
    Wird automatisch als Wechseldatenträger konfiguriert.

Lokaler Massenspeicher

Wechseldatenträger
  • Konfiguration als Wechseldatenträger.

Wechseldatenträger

Lokaler Massenspeicher
  • Konfiguration als lokale Festplatte.

Lokaler Massenspeicher

HID
  • Konfiguration als HID

Wechseldatenträger

HID
  • Konfiguration als HID

Syntax und Kommandos zur Dongle-Konfiguration

Im CodeMeter Command Prompt stehen Kommandos und Parameter zur Konfiguration der Dongles zur Verfügung.

Syntax: cmu32 /s <serial> --[Kommando Parameter]

  • cmu32: Aufruf.
  • /s (/s): Eingabe Seriennummer des Dongles, für den Aktion gelten soll.
  • --[Kommando Parameter]: Eingabe Kommando und eventuell Parameter.

Kommandos:

Kommando | Bedeutung
cmu32 /s <serial> --show-config-disk | Konfiguration für Stick mit bestimmter Seriennummer anzeigen.
cmu32 /s <serial> --set-config-disk | Stick mit bestimmter Seriennummer konfigurieren.
cmu32 /h | Zeigt die Hilfe zu weiteren Kommandos und Parametern an.

Parameter:

Parameter | Bedeutung
HidCommunication | Konfiguration als HID. Nur möglich, wenn kein Flash-Speicher vorhanden ist.
MsdCommunication | Konfiguration als Massenspeicher. Dongles mit dieser Konfiguration können als lokale Massenspeicher oder Wechseldatenträger konfiguriert werden.
RemovableDisk | Konfiguration als Wechseldatenträger. Setzt MsdCommunication voraus. Aus Status HID nicht direkt möglich.
LocalDisk | Konfiguration als lokale Festplatte. Setzt MsdCommunication voraus. Aus Status HID nicht direkt möglich.

Beispiele:

  • Konfiguration anzeigen: cmu32 /s3-1234567 --show-config-disk
  • Stick als HID konfigurieren: cmu32 /s3-1234567 --set-config-disk HidCommunication

Noch in diesem Kapitel

Dongle als lokalen Massenspeicher konfigurieren

Dongle als HID konfigurieren

Dongle als Wechseldatenträger konfigurieren


Dongle als lokalen Massenspeicher konfigurieren

zenon Lizenzverwaltung 8.00 > Lizenzierung > CodeMeter Software > CodeMeter Dongle als HID oder Laufwerk konfigurieren > Dongle als lokalen Massenspeicher konfigurieren

Um den Dongle in der USB-Kommunikation als fixen lokalen Massenspeicher (Mass Storage Device) anzusprechen:

  1. Überprüfen Sie den Status des Dongles über CodeMeter Command Prompt, den CodeMeter WebAdmin oder den Dateibrowser des Betriebssystems.

    Es ist kein Laufwerk zugeordnet (HID) oder ein Wechseldatenträger wird angezeigt.

  2. Rufen Sie den CodeMeter Command Prompt cmu auf: Start -> Programme -> CodeMeter -> Tools -> CodeMeter Command Prompt.

    Ist der Dongle aktuell als HID konfiguriert, dann:

    • Geben Sie in der gestarteten Kommandozeile ein: cmu32 /s <serial> --set-config-disk MsdCommunication
      Der Dongle wird als Massenspeicher konfiguriert.
    • Entfernen Sie den Dongle und stecken Sie ihn wieder an.
    • Geben Sie in der Kommandozeile ein: cmu32 /s <serial> --set-config-disk LocalDisk
      Der Dongle wird als fixer lokaler Massenspeicher konfiguriert.

    Ist der Dongle aktuell als Wechseldatenträger konfiguriert, dann:

    • Geben Sie in der Kommandozeile ein: cmu32 /s <serial> --set-config-disk LocalDisk
      Der Dongle wird als fixer lokaler Massenspeicher konfiguriert.

    Hinweis: Für <serial> geben Sie die Seriennummer des Sticks ein.

  3. Entfernen Sie den Dongle vom Rechner.
  4. Verbinden Sie den Dongle wieder mit dem Rechner.

    Im CodeMeter Command Prompt und im CodeMeter WebAdmin wird der Dongle jetzt als lokaler Massenspeicher angezeigt, im Dateibrowser des Betriebssystems mit Laufwerksbuchstabe.


Dongle als HID konfigurieren

zenon Lizenzverwaltung 8.00 > Lizenzierung > CodeMeter Software > CodeMeter Dongle als HID oder Laufwerk konfigurieren > Dongle als HID konfigurieren

Um den Dongle in der USB-Kommunikation als Human Interface Device (HID) anzusprechen:

  1. Überprüfen Sie den Status des Dongles über CodeMeter Command Prompt, den CodeMeter WebAdmin oder den Dateibrowser des Betriebssystems.
  2. Es ist ein lokaler Massenspeicher oder ein Wechseldatenträger, jeweils mit Laufwerksbuchstabe, zugeordnet.

  3. Rufen Sie den CodeMeter Command Prompt cmu auf: Start -> Programme -> CodeMeter -> Tools -> CodeMeter Command Prompt.

    Geben Sie in der gestarteten Kommandozeile ein: cmu32 /s <serial> --set-config-disk HidCommunication
    Der Dongle wird als HID konfiguriert.
    Hinweis: Für <serial> geben Sie die Seriennummer des Sticks ein.

  4. Entfernen Sie den Dongle vom Rechner.
  5. Verbinden Sie den Dongle wieder mit dem Rechner.
  6. Im CodeMeter Command Prompt und im CodeMeter Kontrollzentrum wird der Dongle jetzt als HID ohne Laufwerksbuchstabe angezeigt. Im Dateibrowser des Betriebssystems wird er nicht mehr angezeigt.


Dongle als Wechseldatenträger konfigurieren

zenon Lizenzverwaltung 8.00 > Lizenzierung > CodeMeter Software > CodeMeter Dongle als HID oder Laufwerk konfigurieren > Dongle als Wechseldatenträger konfigurieren

Um den Dongle in der USB-Kommunikation als Wechseldatenträger anzusprechen:

  1. Überprüfen Sie den Status des Dongles über CodeMeter Command Prompt, den CodeMeter WebAdmin oder den Dateibrowser des Betriebssystems.

    Es ist kein Laufwerk zugeordnet (HID) oder ein lokaler Massenspeicher mit festem Laufwerksbuchstaben.

  2. Rufen Sie die CodeMeter Kommandozeile cmu auf: Start -> Programme -> CodeMeter -> Tools -> CodeMeter Command Prompt.

    Ist der Dongle aktuell als HID konfiguriert, dann:

    • Geben Sie in der gestarteten Kommandozeile ein: cmu32 /s <serial> --set-config-disk MsdCommunication
      Der Dongle wird Massenspeicher in der Ausprägung Wechseldatenträger konfiguriert.

    Ist der Dongle aktuell als fixer lokaler Massenspeicher konfiguriert, dann:

    • Geben Sie in der Kommandozeile ein: cmu32 /s <serial> --set-config-disk RemovableDisk
      Der Dongle wird als Wechseldatenträger konfiguriert.

    Hinweis: Für <serial> geben Sie die Seriennummer des Sticks ein.

  3. Entfernen Sie den Dongle vom Rechner.
  4. Verbinden Sie den Dongle wieder mit dem Rechner.

    Im CodeMeter Command Prompt und im CodeMeter Kontrollzentrum wird der Dongle jetzt als Wechseldatenträger angezeigt, im Dateibrowser des Betriebssystems mit Laufwerksbuchstabe.


Fehlerbehebung

zenon Lizenzverwaltung 8.00 > Lizenzierung > CodeMeter Software > Fehlerbehebung

Fehler

Lösung

zenon läuft nur im Demo-Modus.

Überprüfen Sie per CodeMeter und/oder COPA-DATA Lizenzverwaltung:

  • Ist der Dongle angeschlossen und über CodeMeter Mechanismen erreichbar?
  • Ist die Lizenz beim jeweiligen Produkt an erster Stelle eingetragen?
  • Ist die Lizenz abgelaufen?
  • Ist der Software-Dongle gebrochen?
  • Belegt ein anderes Produkt auf einem anderen Rechner die Lizenz? (http://localhost:22350/license_monitoring/sessions.html)

Dongle wird nicht gefunden.
  • Überprüfen Sie die Netzwerkeinstellungen.
  • Befindet sich der Stick in einer anderen Domäne, fügen Sie ihn zur Serversuchliste hinzu.
  • Erhöhen Sie die UDP-Antwortzeit.
  • Handelt es sich um eine Virtual Machine, dann konfigurieren Sie den Stick als Wechseldatenträger.
    Achtung: Die Konfiguration als Wechseldatenträger kann - abhängig von der Rechnerkonfiguration - auch dazu führen, dass ein Rechner nicht mehr bootet.
  • Konfigurieren Sie den Stick als HID.

Fehler 410
(bei SD Karten)

Die Verbindung zur SD-Karte ist instabil. Verwenden Sie einen externen Kartenleser.

Zertifizierte Uhrzeit kann nicht aktualisiert werden.

Überprüfen Sie:

  • Proxy-Einstellungen, vor allem Zugangsdaten und Passwort.
  • Liste der Zeitserver unter Einstellungen -> Zeitserver
    z. B.: cmtime.codemeter.com, cmtime.codemeter.de, cmtime.codemeter.fr, cmtime.codemeter.us.

Fehlermeldung bei Aktualisierung der Lizenz beim Einspielen einer WibuCmRaU Datei:

Fehler beim Update des CmSticks x-xxxxxxx:
Dieses Update kann nicht mehr eingespielt werden. Der Inhalt des CmSticks ist auf einem neueren Stand, Fehler 229.

Das Update für diese Lizenz wurde bereits auf den Dongle übertragen. Der Dongle ist auf dem aktuellsten Stand.

Windows Betriebssystem meldet:

Wenig Speicherplatz

Der Dongle wird als lokaler Speicher identifiziert. In einigen Fällen kann dies dazu führen, dass das Betriebssystem "Zu wenig Speicherplatz" meldet.

Diese Meldung kann ignoriert werden.

Alternativ kann der Dongle als HID konfiguriert werden. Damit scheint er nicht mehr in der Windows Laufwerksliste auf.

Windows Betriebssystem zeigt Symbol für den Papierkorb nicht mehr an.

Wenn der Dongle als fixes lokales Laufwerk identifiziert wird, kann es zu diesem Verhalten kommen.

Alternativ kann der Dongle als HID konfiguriert werden. Damit scheint er nicht mehr in der Windows Laufwerksliste auf.